2011-03-15  Petr Mladek  <pmladek@suse.cz>  [80a924c4b3ff1719a64eebc680d965e8b83da25a]

Version 3.3.2.2, tag libreoffice-3.3.2.2 (3.3.2-rc2)


2011-03-08  Petr Mladek  <pmladek@suse.cz>  [df179481bdff7b7760e6ce97275b7b09adae19a9]

Branch libreoffice-3-3-2

This is 'libreoffice-3-3-2' - the stable branch for the 3.3.2 release.
Only very safe changes, reviewed by three people are allowed.

If you want to commit more complicated fix for the next 3.3.x release,
please use the 'libreoffice-3-3' branch.

If you want to build something cool, unstable, and risky, use master.

2011-03-08  Petr Mladek  <pmladek@suse.cz>  [7e713e1625fc89a86d40a556e03214b3846732bd]

Version 3.3.2.1, tag libreoffice-3.3.2.1 (3.3.2-rc1)


2011-01-11  Petr Mladek  <pmladek@suse.cz>  [5c1062b2bb1697eeca47e551eef913813efd0eaa]

Please, ignore the previous message; it was for the libreoffice-3-3-0 branch

This is 'libreoffice-3-3' - the stable branch for the 3.3.x releases.
Only safe changes, reviewed by anoter person are allowed.

If you want to build something cool, unstable, and risky, use master.

2011-01-11  Petr Mladek  <pmladek@suse.cz>  [5874d96a88795f941f8a900d9834e2704e8884ae]

Branch libreoffice-3-3-0

This is 'libreoffice-3-3-0' - the stable branch for the 3.3.0 release.
Only very safe changes, reviewed by three people are allowed.

If you want to commit more complicated fix for the next 3.3.x release,
please use the 'libreoffice-3-3' branch.

If you want to build something cool, unstable, and risky, use master.

2011-01-10  Petr Mladek  <pmladek@suse.cz>  [24fce024b42cdd4f7310c7822b1151f23bebea2b]

Version 3.3.0.3, tag libreoffice-3.3.0.3 (3.3-rc3)


2010-12-29  Yifan J  <yfjiang@novell.com>  [38750afca83fabcb8ed54a9a4ddffc43b00bb8aa]

slideshow test case update.

influenced case:
i_sildeshow.bas

1. give more safe coordination for drawing rectangle

otherwise the testtool may 'click insert chart
icon in the slide page' by accident when trying
to 'drawing a rectangle'

2. use uno slot to Call Slide Show -> Custom Slide Show...

Signed-off-by: Jan Holesovsky <kendy@suse.cz>

2010-12-29  Yifan J  <yfjiang@novell.com>  [f76964c45155a0ad352bda87d208d732eed27851]

use uno slot to click File->Save(as) in Base.

influenced case:
testautomation/dbaccess/optional/dba_db_hsqldb.bas

Signed-off-by: Jan Holesovsky <kendy@suse.cz>

2010-12-29  Yifan J  <yfjiang@novell.com>  [f33f12d1df45316d2289ccdf0b1fd3109666bd67]

more stable export graphic test.

influenced cases:
/testautomation/graphics/optional/d_export_graphic_a.bas
/testautomation/graphics/optional/d_export_graphic_b.bas

1. do not verify exported SVG xml content, just verify
the exported file is existed. Because SVG will be rendered
by Draw directly instead of ASCII import mode (which was
used by the old script to verify the content).

2. replace an inexisted testing picture to an
existed one

Signed-off-by: Jan Holesovsky <kendy@suse.cz>

2010-12-29  Yifan J  <yfjiang@novell.com>  [821b2e4b9a24e404a6f40714481765c58850bb0d]

use uno to invoke File->Digital Signature dialog.

influenced case:
f_security_dialogs.bas
f_security_certified_docs.bas

Signed-off-by: Jan Holesovsky <kendy@suse.cz>

2010-12-20  Yifan J  <yfjiang@novell.com>  [e28cc4c4a2d8d7f8cdae8b9731597c397b2480ea]

set small icon theme at beginning of testing

also replaced tabs characters in source

Signed-off-by: Petr Mladek <pmladek@suse.cz>

2010-12-18  Petr Mladek  <pmladek@suse.cz>  [e7cd45f6cd3347fe7c3b04e55452fb1af055e5c1]

Version 3.3.0.2, tag libreoffice-3.3.0.2 (3.3-rc2)


2010-12-01  Petr Mladek  <pmladek@suse.cz>  [250f40e43da2faec424a1a89d6f855368afade94]

Version 3.3.0.1, tag LIBREOFFICE_3_3_0_1 (3.3-rc1)


2010-11-11  Petr Mladek  <pmladek@suse.cz>  [3084fecfad51093b5151b7202dc740732fdbf0c6]

Version 3.2.99.3, tag LIBREOFFICE_3_2_99_3 (3.3-beta3)


2010-10-27  Caolán McNamara  <caolanm@redhat.com>  [3c11769ba06acb36b1ed0e14fbe4acdbb85f8bcb]

add modelines to .hxx files as well


2010-10-24  Jan Holesovsky  <kendy@suse.cz>  [d43b2489be5f0c93fbabcf3ba465027f233bbf95]

Merge commit 'ooo/OOO330_m12'


2010-10-18  Kenneth Venken  <kenneth.venken@gmail.com>  [db5dc205693ed0a0b0bc7103525d5755bae916a5]

replace sizeof(foo)/sizeof(foo[0]) by SAL_N_ELEMENTS


2010-10-14  Jens-Heiner Rechtien  <hr@openoffice.org>  [6ebd013d614574925a475cc6bc1a50142c545811]

CWS-TOOLING: integrate CWS automationooo330m9


2010-10-14  Joerg Skottke [jsk]  <jsk@openoffice.org>  [2a2a4670a18c7965e896d6f68ac676a4ec474a86]

automationooo330m9: #i115026 - Fuzzy list matching to avoid warnings if the office is installed in some special - non standard - way. As we have no standard, this applies to all installations.


2010-10-13  Caolán McNamara  <caolanm@redhat.com>  [c8c48cada3b0367de2fc57542763a68cddddd2e8]

don't use the Unix splash screen app during the smoketest


2010-10-13  Sebastian Spaeth  <Sebastian@SSpaeth.de>  [a9ce47d131a6ff07b97c45bf29b420dad471c4a8]

Add vim/emacs modelines to all source files

Fixes #fdo30794
Based on bin/add-modelines script (originally posted in mail
1286706307.1871.1399280959@webmail.messagingengine.com)

Signed-off-by: Sebastian Spaeth <Sebastian@SSpaeth.de>

2010-10-12  Petr Mladek  <pmladek@suse.cz>  [12004332f84b41f5c53a77a5d0c9c883559110c7]

bin the prebuilt version_2_*.dll

they are usable only with installed OOo-2.x

2010-10-12  Petr Mladek  <pmladek@suse.cz>  [570056f12a8df78cf2309317f39c104f42dbe1c9]

bin unused old binary crap


2010-10-12  Oliver Craemer [oc]  <oc@openoffice.org>  [1d62040b273e62d14b6844c15f775b935cfdfbc3]

#163885 # Correction of mispelled testownername


2010-10-12  Thorsten Bosbach  <tbo@OpenOffice.org>  [0eabe6cf78f5aadefdfba1d9761914a0add66068]

#i114831# fix outcome from tl83 cws


2010-10-09  Michael Meeks  <michael.meeks@novell.com>  [7f6ae6cd81753413b5682f313ff1f9922d54a569]

disable disabling the quick-starter for now - needs re-visiting.


2010-10-09  Michael Meeks  <michael.meeks@novell.com>  [d45566fb3ead5b42e7022e5ddda8f903b42482fc]

disable the WelcomeDialog for now.


2010-10-08  Petr Mladek  <pmladek@suse.cz>  [984f618be3039dc0134f8dfc598e392e5b9ee348]

Version 3.2.99.2, tag LIBREOFFICE_3_2_99_2 (3.3-beta2)


2010-10-08  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6e21a90bcec9ca45da17c50156672b51a9c71b76]

LO -> LibO


2010-10-06  Jan Holesovsky  <kendy@suse.cz>  [dd02ff0aebf1b9afc3c7c7a87b048d9ae3f81ce8]

Merge branch 'master' of ssh://git.freedesktop.org/git/libreoffice/testing


2010-10-06  Jan Holesovsky  <kendy@suse.cz>  [d787aa644445d067b1f03b8905098964b053baaa]

Merge commit 'ooo/OOO330_m9'


2010-10-06  Caolán McNamara  <caolanm@redhat.com>  [38e8abf656cd96bcae3a5f5516f9c501a0b0f2fe]

#i113503# cppunit stl wrapper headers


2010-10-05  Petr Mladek  <pmladek@suse.cz>  [715dd21d0d06f93c0222453afc13e2c28fd35afe]

more removed include guards using fixguard.py


2010-09-28  Petr Mladek  <pmladek@suse.cz>  [4d81776246a8343ad6eb0d4a56ae866a977ddec8]

Version 3.2.99.1, tag LIBREOFFICE_3_2_99_1  (3.3-beta1)


2010-09-28  Thorsten Behrens  <tbehrens@novell.com>  [9800c4dfbf86204b30e7d4fd5730fb4e9adeb5f9]

LibreOffice branding: make smoketests work


2010-09-24  Kurt Zenker  <kz@openoffice.org>  [57c749996a838a3b56ad2917c656b865880d5fd6]

CWS-TOOLING: integrate CWS ooo33gsl09


2010-09-24  Kurt Zenker  <kz@openoffice.org>  [ce128ead797bbc0bd5a2d83bb1fea764a64a4ff2]

CWS-TOOLING: integrate CWS automationooo330m6


2010-09-23  Noel Power  <noel.power@novell.com>  [52693e0143e86486db2ab5a0b4f30e1584fb90fa]

tweak smoketest doc to explicitly use Bibliography


2010-09-23  Wolfram Garten [wg]  <Wolfram.Garten@oracle.com>  [9c7ffe826f7d855fd7de6884364c3b843c42c20a]

i113714, adding SL language to INC files for g_spellcheck


2010-09-17  Petr Mladek  <pmladek@suse.cz>  [8f84f9f66adbdaa5a2eed261f62866d518bd62b7]

build-java-target.diff: allow to define java target

i#93115
allow to define java target, so the build is usable with the JVM 1.5
even when it is built with JDK 1.6

2010-09-17  Thorsten Behrens  <tbehrens@novell.com>  [956e2e792f58ed207899aa1bf943c11071e97177]

fit-list-to-size.diff: Shrink font automatically when text overflows.

i#94086

Scale-font-down if typing text in Impress and the text box becomes too small.

2010-09-16  Tor Lillqvist  <tlillqvist@novell.com>  [35571759795f72ac99ca033364498f27211e015e]

Update .gitignore for Windows builds


2010-09-16  wg111939  <wg111939@sr1-eham02-03>  [344b221d146db7aa060dd977584dd980ce2ca914]

i114543, deleting useless parts in g_tools.inc


2010-09-15  Petr Mladek  <pmladek@walk.suse.cz>  [8fb77ce85f51282fbb513e170db5011b3cc1f4d8]

Release ooo-build-3.2.98.1, tag OOO_BUILD_3_2_98_1  (3.3-alpha1)


2010-09-15  Marc Neumann [msc]  <Marc.Neumann@oracle.com>  [0ae2ba8a9641d5ba308d3181d0e0e605a50e14b7]

automationooo330m6: #113576# update report builder oxt


2010-09-15  Helge Delfs [hde]  <hde@openoffice.org>  [a33f8ce24e3b406ce8e741c51b1cb0828c0cbc73]

automationooo330m6#i114143#added line break


2010-09-14  obo  <obo@openoffice.org>  [86cf84665ed50d96a0feb42d86248e583e59949d]

CWS-TOOLING: integrate CWS dba33h


2010-09-14  Joerg Skottke [jsk]  <jsk@openoffice.org>  [9ba4a3f5c37faabd8254140c4d8aa36e98b7fa47]

automationooo330m6: Local branch merge


2010-09-13  Thorsten Bosbach  <tbo@OpenOffice.org>  [5b7d21ef853b8d643dbb152fca11a84533987a6b]

#i114474# add a sSelectEmptyLayout()


2010-09-10  Joerg Skottke [jsk]  <jsk@openoffice.org>  [c59e8171e63a1b09e7b060ada2ac71a3efa596f3]

#i109933# - Convert LF to CRLF


2010-09-09  Oliver Craemer [oc]  <oc@openoffice.org>  [5851612e4b450e268280cb793757e816a9e31858]

#i108814# Warning in w_updt.bas in tInsertComment


2010-09-08  wg111939  <wg111939@sr1-eham02-03>  [b842423c7913b36f51d839b3f23cecf400ba8699]

i114404, correct errors in i_us_presentation.bas


2010-09-08  Jan Holesovsky  <kendy@suse.cz>  [a5bb7c0e0edea0fe3b7ac93103ab4687ab12236c]

Merge commit 'ooo/OOO330_m7'


2010-09-07  wg111939  <wg111939@sr1-eham02-03>  [319e9e7b82c3df4a75c01d1f66c80d7a1d1506dd]

i114370, adding wait to g_demoguide.inc


2010-09-07  wg111939  <wg111939@sr1-eham02-03>  [25de2ffe173a438fbaaf2b0b86e9c0d232dd5fcc]

i114367,  [Automation]:ing callsSelectEmptyLayout to g_edit.inc


2010-09-07  wg111939  <wg111939@sr1-eham02-03>  [2e9bda93d20c80188cd6a932847b6cbdcd7119ea]

i114289,  [Automation]: Adding sleep to sub loadgraphic


2010-09-07  Oliver Craemer [oc]  <oc@openoffice.org>  [4f2c069d6a589038456c929ef332f833ffa4505c]

#i114364# [c_updt1.bas] has a warning in tFileOpenCSV


2010-09-07  Joerg Skottke [jsk]  <jsk@openoffice.org>  [940658d2d0b0e1f5d4c63c54a1e6fe1e85801e78]

#i109933# - Converted file back to DOS format containing CRLF. THis is required because OOo otherwise cannot correctly determine the file type


2010-09-07  Jan Holesovsky  <kendy@suse.cz>  [93de5db112e44e18dcf4903e5f7813331c8c8f0d]

Merge commit 'ooo/OOO330_m6'


2010-09-06  wg111939  <wg111939@sr1-eham02-03>  [c06c9f5da355a53e17d4679e5950fc11d7049bb3]

i114347,  [Automation]: Adding sleep to sub loadgraphic


2010-09-06  Marc Neumann [msc]  <Marc.Neumann@oracle.com>  [97817c829106dae290179f50453892e41a70d7f4]

dba33h: #114249# fix testscript to work better


2010-09-03  Kurt Zenker  <kz@openoffice.org>  [fcf1d5f09ef03b29295858bf151c82edf3f46da6]

CWS-TOOLING: integrate CWS fs33a


2010-09-02  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [b2903869e43c6bd909e02c85bb44635c815b6fa7]

dba33h: merged latest changes from CWS fs33a


2010-09-02  Marc Neumann [msc]  <Marc.Neumann@oracle.com>  [507ac228c6bf71f1ff4254fb88102ff95c258ad0]

fs33a: #114249# fix testscript to work better


2010-09-02  Marc Neumann [msc]  <Marc.Neumann@oracle.com>  [06f28426fee151264c53cac612b16c22d19d13cb]

fs33a: #111181# fix testscript to work with the correct message box


2010-09-01  wg111939  <wg111939@sr1-eham02-03>  [8563654f2449164a6a49d0db87dcdb861d91e26b]

i114250,  Adding call sMakeReadOnlyDocumentEditable into ToolsThesaurusContextMenu


2010-09-01  Oliver Craemer [oc]  <oc@openoffice.org>  [976a9b7a5b4f3ca3ff25b8f1f652d3b4a07d2a30]

#i114143# [c_updt_2.bas ] tToolsLanguageThesaurus : replace with is not filled


2010-08-30  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [3fbd0a9f4bd6912f86cd9856b1f1285bdc4df2d1]

dba33h: merge after pulling OOO330.m6


2010-08-26  Ivo Hinkelmann  <ihi@openoffice.org>  [80db5377a1a79094079408b6a75087fa4f104d96]

CWS-TOOLING: integrate CWS automationooo330m5


2010-08-25  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [29ef16907325c014fd8cc1757db7ade62c908ad3]

fs33a: merge after pulling OOO330.m5's changes


2010-08-24  Jan Holesovsky  <kendy@suse.cz>  [6903112d37b66edbea357f19c5a264e89947b69b]

Update .gitignore.


2010-08-23  Marc Neumann [msc]  <Marc.Neumann@oracle.com>  [489f574ebf6bfe148f2423d2450358eef59b10e6]

automationooo330m5: #113492# clear the layout and add one sleep


2010-08-23  Marc Neumann [msc]  <Marc.Neumann@oracle.com>  [c48e35b8155e5656b75c1edb2aad79dbb0714f95]

automationooo330m5: #114064# testcases did not work under mac osx


2010-08-23  Helge Delfs [hde]  <hde@openoffice.org>  [b41788e358841179335c871422c385d455a1eefd]

automationooo330m5#i113978#added exception loading file swdos.txt


2010-08-23  Marc Neumann [msc]  <Marc.Neumann@oracle.com>  [7a385baa1cf7b4490af7dfd84c9e145394634f18]

automationooo330m5: #114058# fix error in window_functions.inc


2010-08-20  Jan Holesovsky  <kendy@suse.cz>  [8127346c28936ed2c7810a13f2664427c99b26f7]

Create .gitignore.


2010-08-18  Kurt Zenker  <kz@openoffice.org>  [c709b2226d41e3e6f2b60f3544a219929189f651]

CWS-TOOLING: integrate CWS automationooo330m4


2010-08-18  Kurt Zenker  <kz@openoffice.org>  [5f639d9f2ada0416978d79ccb3e2e3b71f5f685a]

CWS-TOOLING: integrate CWS automationooo330m3


2010-08-18  Kurt Zenker  <kz@openoffice.org>  [71d13e2ad9da212e726215cc2191ae17ceb06d89]

CWS-TOOLING: integrate CWS jl154


2010-08-18  Helge Delfs [hde]  <hde@openoffice.org>  [da3ffcb831cb64e87b9ee2bf8fb1c89ce9113252]

#automationooo330m4#i113928#adding SL language (50) to writer testscripts


2010-08-18  Helge Delfs [hde]  <hde@openoffice.org>  [9e533cc91d31304945d676e0e1ea31ec9191013b]

automationooo330m4#i113928#adding SL language (50) to writer testscripts


2010-08-18  Helge Delfs [hde]  <hde@openoffice.org>  [95ad690fc4cabf4e104dc7125f9f81067899b30a]

automationooo330m4#i113928#adding SL language (50) to writer testscripts


2010-08-18  Helge Delfs [hde]  <hde@openoffice.org>  [6c9e92a8fb6d5ae4117ef2320aec0f6b4cb1e2c7]

automationooo330m4#i113928#adding SL language (50) to writer testscripts


2010-08-18  Helge Delfs [hde]  <hde@openoffice.org>  [ebb6814df9bffe5731ea401c39b4b05863104819]

#automationooo330m4#i113911#warning corrected


2010-08-18  Helge Delfs [hde]  <hde@openoffice.org>  [a4c4dfc14c78c6e870c52d1d89a19707f8b9775a]

#automationooo330m4#i113911#warning corrected


2010-08-17  Helge Delfs [hde]  <hde@openoffice.org>  [cdbbe882780ed9265ccd32d283086a065dd41af3]

#automationooo330m4#i112568#warning corrected


2010-08-17  Helge Delfs [hde]  <hde@openoffice.org>  [407625d428d22320e165aae3fe0dd2cd585af5d9]

#automationooo330m4#i113602#warning corrected


2010-08-13  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [a759c377540326db0c6e247ca9e3fb54af4c4728]

fs33a: merge after pulling OOO330.m4's change sets


2010-08-13  Joerg Skottke [jsk]  <jsk@openoffice.org>  [24b4066e40ce5c1c8ee6818c0f6c96a6bcb5c9f3]

automationooo330m3: #i113680# - Cannot do without wait-statement. Bad, that is.


2010-08-13  Joerg Skottke [jsk]  <jsk@openoffice.org>  [de366323d50b38131d5b4d2851011cf7f4d8330f]

automationooo330m3: #i112026# - Findbar integrated into w_updt.bas (w_020_.inc)


2010-08-13  Joerg Skottke [jsk]  <jsk@openoffice.org>  [8bb91b1252ca777224d8485dd275e5d0a314805c]

jl154: #i113786# - Extension Manager is even slower. Inserted Wait( 2000 )


2010-08-13  Joerg Skottke [jsk]  <jsk@openoffice.org>  [7cd7454efd258ce52cdcd694958aa9c344e767db]

automationooo330m3: #i107408# - Number of samples has changed: Old 60, new: 56


2010-08-13  Joerg Skottke [jsk]  <jsk@openoffice.org>  [64e578d7fec1f593284de8e40bfb628c21353f4d]

automationooo330m3: #i110184#/#i113761# - Changed handling of messageboxes, made QA-ErrorLogs from Warnlogs, the test is now again functional.


2010-08-13  Joerg Skottke [jsk]  <jsk@openoffice.org>  [4a08a4c137c5ed160c672daf70536729fbf4c5c2]

automationooo330m3: #ii113764# - Moved check for binfilters to external function, too much duplication otherwise


2010-08-13  Joerg Skottke [jsk]  <jsk@openoffice.org>  [24a35c0e03ce3ab68230cfa01c2044940d5509fa]

jl154: Local merge


2010-08-13  Joerg Skottke [jsk]  <jsk@openoffice.org>  [672c69b6200defb0de8a81651296786ce8030b53]

#i113761# - Used opportunity for minor refactoring


2010-08-12  Joerg Skottke [jsk]  <jsk@openoffice.org>  [fe3c2b1418c5ffa4cf636b37902d1d3fae8736f5]

jl154: #i113786# - Removing installed extensions fails because the extension manager has become somewhat slower. Use hCloseDialog() to close the extensionmanager and use a few waitslots should fix the problem.


2010-08-11  Joerg Skottke [jsk]  <jsk@openoffice.org>  [3178ae304383a1dbfef2c1baf33057a4394ea216]

automationooo330m3: #i110184# - Re-enable autotest, need to check problem with unexpected messagebox though.


2010-08-11  Joerg Skottke [jsk]  <jsk@openoffice.org>  [c3aeab25e9e57e1e06b07846121fe549c54ad55a]

jl154: #i113786# - Inverted logic


2010-08-11  Joerg Skottke [jsk]  <jsk@openoffice.org>  [8ebf3c83f00b00fa5636d5d26152b211ca45209c]

jl154: #i113786# - Fix incorrect warning for non-executed basic script.


2010-08-11  Kurt Zenker  <kz@openoffice.org>  [c4b994d83a33a501d38e12638e2bfbd06e0532fa]

CWS-TOOLING: integrate CWS sb128


2010-08-11  Joerg Skottke [jsk]  <jsk@openoffice.org>  [1508081a23b453cbade8e6cd435824bc7afc42d7]

jl154: #i113764# - Check for binfilter, fix syntax error


2010-08-11  Joerg Skottke [jsk]  <jsk@openoffice.org>  [166956fb79abf4472bd130c8b3c968d25a42d5bb]

automationooo330m3: #i113764# - Check for binfilter, fix syntax error


2010-08-11  Joerg Skottke [jsk]  <jsk@openoffice.org>  [b54b098b4584f30fd9b324c32a55ec34d9eeb900]

jl154: Local merge


2010-08-10  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [72759a9b9addc45097e7b9a72b8cdcd88606fc70]

merging in latest changes from OOO330(m3)


2010-08-10  Joerg Skottke [jsk]  <jsk@openoffice.org>  [ee5edffab22181544008820cf10ec7ced2ae02fb]

automationooo330m3: #i110184# - Document load fails when loaded via API. Real problem is that ConvertToURL is called twice which adds another two slashes to the URL which then again cannot be resolved by the API call. Another issue has been filed for the root cause.


2010-08-10  Joerg Skottke [jsk]  <jsk@openoffice.org>  [a5c692981d23e33fd82f36f85f3895cae9fa2bc3]

automationooo330m3: #i113764# - Check for binfilter


2010-08-10  Joerg Skottke [jsk]  <jsk@openoffice.org>  [bf0dc78d1e1ecc6f3e208f642c303884c0b12b97]

automationooo330m3: #i113761# - Product name missing for backing window (#i113760#)


2010-08-03  Ivo Hinkelmann  <ihi@openoffice.org>  [459862c8841af9218282636e89d6ea8e8f900f5f]

CWS-TOOLING: integrate CWS automationooo330m1


2010-08-02  Joachim Lingner  <jl@openoffice.org>  [789aaf328787e321b3fb409c20ee3fbae248b11a]

jl154 merging with OOO330m2


2010-07-29  Joerg Skottke [jsk]  <jsk@openoffice.org>  [d8250398703575cd55adcdcdf4c3d0eeb4bd211b]

jl154: Local merge


2010-07-29  Joerg Skottke [jsk]  <jsk@openoffice.org>  [8db5176aa54b7e00540a4e54549e5715aa734320]

jl154: #i113520# - Made icon counting a little fuzzy by adding two more optional items to the count for the Weblog Publisher extension.


2010-07-28  Joerg Skottke [jsk]  <jsk@openoffice.org>  [4903a0f56e153c4b82d66d48428994f155782812]

automationooo330m1: #i110184# - Excluded test due to failure to load documents containing macros using API call/Slot


2010-07-28  Joerg Skottke [jsk]  <jsk@openoffice.org>  [5b52bf66ec219e65a1a606c9fd893b61554528f7]

jl154: #i113234# - reference list for OOo/Windows


2010-07-27  Joerg Skottke [jsk]  <jsk@openoffice.org>  [3919ff776c7a55188c7196fb483c17ddccace28c]

jl154: #i113234# - Updated documentation in helper function hManageComaprisionList(), more instructions on what to do if the lists do not match.


2010-07-27  Joerg Skottke [jsk]  <jsk@openoffice.org>  [2383397cbc663e15a21a0b21db5f5a3b31f6a746]

jl154: #i113165# - Removed semicolons from script URI, now we can use simple slots to call BASIC wizards


2010-07-27  Joerg Skottke [jsk]  <jsk@openoffice.org>  [88d178de89cd065314613adc8fcf34410fcba0d2]

jl154: #i113234# - QA uses installation that differs from default, removed three entries from lists


2010-07-26  Joerg Skottke [jsk]  <jsk@openoffice.org>  [3ea8d8403f3fd1cf5c73c80b2660e460edf7c206]

jl154: #113234# - Scripts for MacOS X - OOo


2010-07-26  Marc Neumann [msc]  <Marc.Neumann@oracle.com>  [0f52dd6bfbe3abb7f4156510d8937e0124da8cdd]

automationooo330m1: #113339# disable mozilla test on mac


2010-07-26  Oliver Craemer [oc]  <oc@openoffice.org>  [644c7b29c6dc344a6a11b70bd338ea8d2ad72210]

#i113305#: [Automation] changing warnlog to qaerrorlog for greenstate in Spreadsheet


2010-07-26  Joerg Skottke [jsk]  <jsk@openoffice.org>  [7d7d49bf8fb5353aeb115e3cf650e97406eea851]

jl154: #i113165# - Removed no longer needed helper functions as we do not test menus anymore


2010-07-26  Joerg Skottke [jsk]  <jsk@openoffice.org>  [c4a5ae9e55a1bf4b53701dfcc4ef7a338506dd30]

jl154: #113234# - Scripts for MacOS X - OOo


2010-07-26  Joerg Skottke [jsk]  <jsk@openoffice.org>  [cb338cba6b40595b01c81ece94c5f5bcb1cba282]

jl154: #113234# - Scripts for MacOS X


2010-07-26  Oliver Craemer [oc]  <oc@openoffice.org>  [566d7c1ea93c55fbdfbd942b3bdf13b10b681879]

#i113305#: [Automation] changing warnlog to qaerrorlog for greenstate in Spreadsheet


2010-07-26  Joerg Skottke [jsk]  <jsk@openoffice.org>  [368d48c83e15fdb1914854f4ecbc6c0db951d26e]

jl154: #i113165# - Try to use sym-slots in e_all.sid to start basic wizards.


2010-07-22  Joachim Lingner  <jl@openoffice.org>  [e4ad3b76e75a20bff9413ab3e510a67afcd0063a]

jl154 merging


2010-07-22  Joerg Skottke [jsk]  <jsk@openoffice.org>  [bd7a4412380b84a533d30ec513c604ef15940677]

jl154: #i113234# References for Windows


2010-07-22  Joerg Skottke [jsk]  <jsk@openoffice.org>  [225861a5480dff1f7d232290217ca89f15d1049c]

jl154: #i113234# Platform differentiator


2010-07-22  Joerg Skottke [jsk]  <jsk@openoffice.org>  [01856088b83d063bdea90d59356ebc6253902a52]

jl154: #i113234# Re-enable warning


2010-07-22  Joerg Skottke [jsk]  <jsk@openoffice.org>  [3a2fdcaa8b00da59391639d26fa79652e228a8f4]

jl154: #i113234# Just another way to differentiate between brands, builds, platforms etc.


2010-07-22  Jens-Heiner Rechtien  <hr@openoffice.org>  [0f8bd51705e6fcfe634212b021efbd74508f23d7]

CWS-TOOLING: integrate CWS automationemailchange


2010-07-22  Joerg Skottke [jsk]  <jsk@openoffice.org>  [2ba2be4565252dd0f0cf9855d78b637952f613dc]

jl154: #i113234# fixed a jurassic bug in hListCompare() where the returnvalue was determined using an incorrect array (list two should be evaluated)


2010-07-22  Joerg Skottke [jsk]  <jsk@openoffice.org>  [956269cc7090506132e5a668f8738a0d8570c1c9]

jl154: #i113234# provide warnlog


2010-07-22  Joerg Skottke [jsk]  <jsk@openoffice.org>  [6f7cb73c509968716320a63a5d5549da2e5505a2]

jl154: #i113234# Removed platform strings from reference list filenames


2010-07-22  Joerg Skottke [jsk]  <jsk@openoffice.org>  [c09b13fab0ef9126d0bd08d6df7b40ac2294300c]

jl154: #i113234# Removed duplicate entries from reference lists, updated test to avoid those being created.


2010-07-22  Joerg Skottke [jsk]  <jsk@openoffice.org>  [f61d68fcea7296bd72c17e002e88f8b6a1646dc0]

jl154: #i113234# Implemented function to retrieve script names from dialogs that hold separate lists for modules and scripts. Removed gPlatform part from filename, it can be added by a script maintainer if need be. It is already used on osx, further differences might exist on WIndows. This is a TODO.


2010-07-21  Oliver Craemer [oc]  <oc@openoffice.org>  [fa353fb4bb387c73661e06c05d021807f9303a6c]

#i113305#: [Automation] changing warnlog to qaerrorlog for greenstate in Spreadsheet


2010-07-20  Thorsten Bosbach  <tbo@OpenOffice.org>  [766ea9baedcc2985d9714e3547beaa8ab32dbb97]

#i113290# again teps


2010-07-20  Marc Neumann [msc]  <Marc.Neumann@oracle.com>  [23eec158d1e8ccd946720b6d9663b5e1a6ed519a]

automationemailchange: #113281# change email header to oracle address


2010-07-20  Joerg Skottke [jsk]  <jsk@openoffice.org>  [12a6d4b2861615f453eeef3fff033fefd3b839df]

jl154: #i113234# - Added first set of reference files


2010-07-20  Joerg Skottke [jsk]  <jsk@openoffice.org>  [13667c23499d1dbaae7d634201bb75de8a0bc953]

jl154: #i113234 - Fixes to path creation (double slashes removed)


2010-07-19  Thorsten Bosbach  <tbo@OpenOffice.org>  [061e5a18a7f07b9c0cad1972aa9e835ae25c3a81]

#i113248 fix tablecontrol test


2010-07-19  Joerg Skottke [jsk]  <jsk@openoffice.org>  [f11221dad7409cea010964bc63b1589dff960680]

jl154: #i113234 - Added vnd.sun.star script URI instead of old macro URLs


2010-07-19  Joerg Skottke [jsk]  <jsk@openoffice.org>  [2b9e319bbf72e46feeff11e7fe1a6dea136ede18]

jl154: #i113234 - Reworked tests that chaeck presence of scripts, implemanted compare functionality to ease finding lost scripts


2010-07-16  Joachim Lingner  <jl@openoffice.org>  [e7f4016e390cd2de2c87230b2a5d4529a94def99]

jl154 merging with OOO300_m1


2010-07-14  Kurt Zenker  <kz@openoffice.org>  [5e0b036b85f6268c8f676a12ebe06811880043fc]

masterfix: #i10000# add api-adaptions from cws jl152


2010-07-13  Kurt Zenker  <kz@openoffice.org>  [32e32283f4a064f1a90e0c2269c9dc3feeb7bcce]

CWS-TOOLING: integrate CWS smoketest26_OOO330


2010-07-13  Kurt Zenker  <kz@openoffice.org>  [2a803af50aad2d3b05c04963193da9bbe762154d]

CWS-TOOLING: integrate CWS jl153_OOO330


2010-07-13  Kurt Zenker  <kz@openoffice.org>  [d83dc14b98596f32f2fe21173642041ba5a7cd73]

CWS-TOOLING: integrate CWS automationdev300m84_OOO330


2010-07-08  Joerg Skottke [jsk]  <jsk@openoffice.org>  [2cad12f82fc970f51e97692469364534025d3210]

automationdev300m84: Fix typo in .win declaration


2010-07-08  Joerg Skottke [jsk]  <jsk@openoffice.org>  [3747edd54647c59ad755f0488f6c854d98c2c8d9]

automationdev300m84: Removed merge markers at the end of the file.


2010-07-08  Joerg Skottke [jsk]  <jsk@openoffice.org>  [699cfefb238a217b304fa3cffec43061dfd6cbb6]

automationdev300m84: Resolved local conflict


2010-07-08  Helge Delfs [hde]  <hde@openoffice.org>  [7a99f459715f4f736e63401a5d42d08fdd63a2f5]

automationdev300m84#i113030#removed warning and ignorance of testcase


2010-07-08  Marc Neumann [msc]  <Marc.Neumann@sun.com>  [4e6f07d4a7fa59cd870ae66fad72790c16f9d41b]

automationdev300m84: #111330#


2010-07-08  Joerg Skottke [jsk]  <jsk@openoffice.org>  [f367f831403b250107fe12b245d89fe031f4d4d6]

automationdev300m84: #i112887 - The method used to close the hyperlink dialog was wrong. Another CWS brought the possibility to assign HIDs to tabpages so this can now be used. The HyperlinkDialog now has three buttons: ApplyButton, CloseButton and BackButton which can be accessed directly via the dialogs context. Requires a minor change to edia_d_h.win. Furthermore t_tools3.inc had a modification regarding the for-next loop's exit value and the test tInsertHyperlink was modified.


2010-07-08  Joerg Skottke [jsk]  <jsk@openoffice.org>  [4b0964adc5465206de81659d5781cb00d990183a]

automationdev300m84: #i112935 - Removed the invalid issue-ids from the test tFormatWrapObject.


2010-07-08  Joerg Skottke [jsk]  <jsk@openoffice.org>  [bf1861bc393214ce4d28c9c8e7d0d39b37fdf24e]

automationdev300m84: #i112935 - The fix is that i check for iRetries being greater equal MAX_RETRIES. This is against my understanding of the for-next loops internal workings but solves the problem.


2010-07-07  Joerg Skottke [jsk]  <jsk@openoffice.org>  [2adc5ddbc38e761010ff5ddeff4404263b5adbe8]

automationdev300m84: Local merge


2010-07-07  Joerg Skottke [jsk]  <jsk@openoffice.org>  [803e393a70d10f1623fc43c5234194a5e2fa50ff]

automationdev300m84: #ii112847 - Fixed IsNamedDocLoaded by creating an exception list of suffixes which indicate a template being loaded. Not 100 percent safe but better than the old implementation


2010-07-07  Oliver Craemer [oc]  <oc@openoffice.org>  [66e278aeb9413a17902a151b5468a3e89e31544d]

i113009 : [Automation][c_upd1.bas]Workaround for tFileRecentDocument


2010-07-07  Joerg Skottke [jsk]  <jsk@openoffice.org>  [6f53e17f165ebea820e2775faf7774f35565912f]

automationdev300m84: #i112987 - Fixed failing access to dialog.


2010-07-07  Joerg Skottke [jsk]  <jsk@openoffice.org>  [255c4fb1cab91263d4b5f730c4d2ae3ffea73b18]

automationdev300m84: Local merge


2010-07-07  Joerg Skottke [jsk]  <jsk@openoffice.org>  [6ff5b8b3880fadae57fe3a8867ff6d55f9e99f28]

automationdev300m84: #i112987 - Attempted fix for missing dialog (which is a fake, it just became slower)


2010-07-07  Oliver Craemer [oc]  <oc@openoffice.org>  [a58a0b3fe0fe7ee9f27fc84aecbf34f702732e65]

i112991 :[Automation]Chart could not be enabled due to Renaissance


2010-07-07  Marc Neumann [msc]  <Marc.Neumann@sun.com>  [a441e49577ce24289640809aae1f99ec20ad5dd5]

automationdev300m84: #112990#


2010-07-07  sb  <sb@openoffice.org>  [2349437e64850b76edd984a0cef069b43c5a2cd1]

sb128: #i112986# shifted relevant smoketest work to OOo main thread to work around potential deadlocks


2010-07-06  Helge Delfs [hde]  <hde@openoffice.org>  [3da480c8819921444159dbdaef156d97e595d8f7]

automationdev300m84#i112973#exchanged hFileExists with FileExists


2010-07-06  Helge Delfs [hde]  <hde@openoffice.org>  [b1372a2ee8dd7a1136a0e5c020795f679eae7dfa]

automationdev300m84#i112954#added testcase to main sub and fixed missing hFileExists method


2010-07-06  Thorsten Bosbach  <tbo@OpenOffice.org>  [92b959de37ac40851b7a81505c749a3aa7a2b24f]

#i112967# be nice to unexpected extension tabpages


2010-07-06  Marc Neumann [msc]  <Marc.Neumann@sun.com>  [5edb10d2f981af8236f4ce1ece36f31a68b2fb5d]

automationdev300m84: #112957#


2010-07-06  Marc Neumann [msc]  <Marc.Neumann@sun.com>  [69c7345e2e7df14684eaed82e2f9c0f3ca902d5c]

automationdev300m84: #112957#


2010-07-06  Oliver Craemer [oc]  <oc@openoffice.org>  [e214cf32d1ebe9559dd8f9752b4699dafccfb2ba]

i102720 :[Automation][c_upd1.bas]crash in tEditImageMap does not occur anymore


2010-07-06  Oliver Craemer [oc]  <oc@openoffice.org>  [0b1cc595c2e6a71a94eab6cd43c2747b93dcec75]

i112923 :[Automation][w_updt.bas]Timingproblems on SolSparc


2010-07-05  Thorsten Bosbach  <tbo@OpenOffice.org>  [d5adf4cfc95e7e81050b7b383da937ea483f0b4f]

#ii112931# reverted back to last working file


2010-07-05  Thorsten Bosbach  <tbo@OpenOffice.org>  [0f29d4daaf151bfcd27420658abee2c1612f162e]

#i112842# reverted back to a working revision from CWS tl74


2010-07-05  Thorsten Bosbach  <tbo@OpenOffice.org>  [88ef82a701b66f753e718aed4aaed4b480363330]

#i64504# enabled autotest again for this fixed issue


2010-07-02  Thorsten Bosbach  <tbo@OpenOffice.org>  [121528fee00247f8517cfc313b0ebda9373bd108]

#i112897# typo


2010-07-02  Thorsten Bosbach  <tbo@OpenOffice.org>  [675438356926e1d69a45341be6052a125e24b3cd]

#i112897# added missing active.setpage


2010-07-02  Thorsten Bosbach  <tbo@OpenOffice.org>  [f439e18b26f996241198bdf71684eaccbaf21f58]

#i112895# regression in math with passwords


2010-07-02  Thorsten Bosbach  <tbo@OpenOffice.org>  [4814ef0513157b7efaf1f92c39c2733d2d86f673]

#i112893# added exeption for osx


2010-07-02  Thorsten Bosbach  <tbo@OpenOffice.org>  [ecf931370ce9e0341234bb69155f8b4b15a3ea5f]

#i112844# state is not entered in quaste database


2010-07-02  Thorsten Bosbach  <tbo@OpenOffice.org>  [8308a15cd6860647aee63952feed5ad9a6d7328b]

#i112888# gPrivateEnvironmentLocation feature broken


2010-07-02  Thorsten Bosbach  <tbo@OpenOffice.org>  [cb352aa688134eabf1b5dc6a9a5953e54a404ae0]

#112842# fixed: breaks with: unexpected symbol:..


2010-07-02  Thorsten Bosbach  <tbo@OpenOffice.org>  [bdd99b97c6adf1876a03be0f5ef359bc1e1738c5]

#i112839# fixed: else/endif without if


2010-07-02  Thorsten Bosbach  <tbo@OpenOffice.org>  [055b6b2486c0f94693e4409a1884c06dadfa46d1]

#i112840# removed, since not used in any test


2010-06-30  Joachim Lingner  <jl@openoffice.org>  [fb93fbde6aff942bc5a9904e70a210bb5e341d66]

jl154 merge with DEV300_m84


2010-06-23  sb  <sb@openoffice.org>  [8e47fb6ab4edbb589d568bc3ca662f2fe50bc835]

smoketest26: #i112616# generate smoketestdoc.sxw


2010-06-23  obo  <obo@openoffice.org>  [ae7bd7f4249ca94e04f837b23bf691b207976084]

koheirowlimitperf: #i109369# #i109373# #i109384# #i109385# #i109386# #i109387# #i109388# #i109389# #i109391# #i109934# #i109935# #i110116# #i111531# #i111887# #i112190# #i30215# increased the row limit to 1 million, and integrated lots of speed optimization and bug fixes to ensure Calc remains usable after the row limit increase.


2010-06-22  Rene Engelhard  <rene@openoffice.org>  [63505bf6949df61bc8a0d3fe1be414b1b8042abb]

smoketest26: fix smoketestoo_native "build" without Java


2010-06-22  Rene Engelhard  <rene@openoffice.org>  [18d6c7b0e73dfb7ce6b3ecb25aeb42924417f332]

smoketest26: #i101000# fix nodep=true build in smoketestoo_native


2010-06-22  obo  <obo@openoffice.org>  [576dd87f11eb31c903f23f764f1fcb71d1db4b6e]

CWS-TOOLING: integrate CWS automationdev300m81


2010-06-22  obo  <obo@openoffice.org>  [1bc64374c2ad0fc69f29980cb50e8f0d88d30cc9]

CWS-TOOLING: integrate CWS jpropenable


2010-06-22  obo  <obo@openoffice.org>  [9b468e0dd9fc56c6ed71c28fd90674e539ee4e4d]

CWS-TOOLING: integrate CWS fwk143


2010-06-22  obo  <obo@openoffice.org>  [e02bc9c162a8399508f781e05d25e90205fe6d5b]

CWS-TOOLING: integrate CWS jl152


2010-06-22  Joachim Lingner  <jl@openoffice.org>  [4916158a8a5f5cc120167a0c9baccf90745ccbd3]

jl152 merge with DEV300_m83


2010-06-22  obo  <obo@openoffice.org>  [6226e2a8f647d2e92dc1f15e40b8b655348ca5f3]

CWS-TOOLING: integrate CWS impress191


2010-06-21  obo  <obo@openoffice.org>  [74396313fa1b1c60f02f68665b8ea3796a6ecfbe]

CWS-TOOLING: integrate CWS calctabcolor


2010-06-21  Joerg Skottke [jsk]  <jsk@openoffice.org>  [9371a1798a0236633a8b0995c852dfcfc0bd6e11]

automationdev300m81: Local merge with DEV300_m83


2010-06-18  Joerg Skottke [jsk]  <jsk@openoffice.org>  [9459b775854f9701e6619722d1b58a6ce96c2253]

jl152: New issue #i112523 to be fixed later (probably not related to this CWS)


2010-06-18  Joerg Skottke [jsk]  <jsk@openoffice.org>  [b077d9bb7fbc33351a7f8400c02fc98657bdd44a]

jl152: New issue #i112523 to be fixed later (probably not related to this CWS)


2010-06-18  Joerg Skottke [jsk]  <jsk@openoffice.org>  [2ee015691a58a8eb11e73dbc5dba6611fdf7b13b]

jl152: New issue #i112522 to be fixed later (probably not related to this CWS)


2010-06-18  obo  <obo@openoffice.org>  [3ba078f3b6ce87e8b2bbf9d0f0128adaaa7892df]

CWS-TOOLING: integrate CWS vitomation01


2010-06-18  Joerg Skottke [jsk]  <jsk@openoffice.org>  [c2478d4d74b8d290b3e5fcd8a602b4b0ab214025]

Local branch merge


2010-06-18  obo  <obo@openoffice.org>  [9eb082b924d90dcf1cd252da948f9a1547ec6b70]

CWS-TOOLING: integrate CWS tl79


2010-06-18  Thomas Lange [tl]  <tl@openoffice.org>  [58fe2471ad40e3be1afb860ea1375293417c33bb]

cws tl79: merge with DEV300_m83


2010-06-18  obo  <obo@openoffice.org>  [f0dbe935f40124b62f8a58a926e838d863f240bf]

CWS-TOOLING: integrate CWS tl78


2010-06-18  Joerg Skottke [jsk]  <jsk@openoffice.org>  [a05dfeaf74e041a0447bede0d742a845decd6fbd]

jl152: #i112023 - Added issue #i112496 to warnlogs for incorrect menuitem count


2010-06-16  Joachim Lingner  <jl@openoffice.org>  [42c38b1f5a2aa3a09970cc835fef43d8793da213]

jl153 merge with DEV300_m82


2010-06-16  Oliver Craemer [oc]  <oc@openoffice.org>  [f30d60c29ca5ab5dd2581d2e9dc4b6823085dd68]

i112451 :[Automation] Declaration for new Tabcolor UI


2010-06-16  Ivo Hinkelmann  <ihi@openoffice.org>  [fc5d87c26ae1403cdb27677d36ea3839d6574d71]

jpropenable: #i112445# exclude this file from l10n process


2010-06-16  Christian Lippka  <christian.lippka@sun.com>  [5e21a072e683d9dff80f7133e33930d8e8180c39]

updated test to reflect changes from cws renaissance2


2010-06-16  Thorsten Bosbach  <tbo@OpenOffice.org>  [14da1cc6dc6b9376e6bffa8854a8755e33d762dc]

#i111181# masking error not related to this cws, but test that would help here


2010-06-16  Carsten Driesner  <cd@openoffice.org>  [639a7a5cd2fc864bcda0acfda86c032cfdfe1ecf]

fwk143: Merge changes


2010-06-16  Joerg Skottke [jsk]  <jsk@openoffice.org>  [b9f41a62b139e80f9c26ad4d1c117e076e67bdec]

jl152: #i112023 - Added test extension for #i111434 and two version test extensions


2010-06-15  Thorsten Bosbach  <tbo@OpenOffice.org>  [fcd67ae21bda6e38dcce53bb7652d1bce2d4ea8f]

#i112279# additional testautomation fixes


2010-06-15  Thorsten Bosbach  <tbo@OpenOffice.org>  [afaed1884ef8f7a40ec2064536dccc0dd3e03dae]

#i111422# testautomation part


2010-06-15  Thorsten Bosbach  <tbo@OpenOffice.org>  [fb100e48fb1dfffbfb555149efeba873da172b59]

#i110254# testautomation part


2010-06-15  Joerg Skottke [jsk]  <jsk@openoffice.org>  [ff6e031b7ef286645310737cf97848e745413ce5]

jl152: #i120023 - Adjustments to publisher.inc done. The extension manager now populates more slowly than before and the position of the extension in the update dialog has changed.


2010-06-15  wg111939  <wg111939@sr1-eham02-02>  [59114bb5f7d06b257b2c8d0e008918acdc71e707]

Adjusting tests for renaissance1 changes, making sure right tab page is selected


2010-06-15  Helge Delfs [hde]  <hde@openoffice.org>  [897ffe934ca1cf0d99d290995663d4d4ad1833d1]

[no commit message]


2010-06-15  Joerg Skottke [jsk]  <jsk@openoffice.org>  [e14f170b738f133bda473901b31dccc8b6be2a64]

vitomation01: Merged with DEV300 tip, resolved merge conflicts


2010-06-15  obo  <obo@openoffice.org>  [71beddb5de268ce4665dbf7f650e1c6154567bd7]

CWS-TOOLING: integrate CWS chart47


2010-06-15  Joerg Skottke [jsk]  <jsk@openoffice.org>  [a6dfd0a00530bdb918b746a0f220e9f4d3472579]

jl152: #i112023 - Added version33.oxt, version34.oxt and updated files.txt


2010-06-15  obo  <obo@openoffice.org>  [8c02cee3d6df728224604ec91327881bed9adf2c]

CWS-TOOLING: integrate CWS native309


2010-06-15  Kohei Yoshida  <kyoshida@novell.com>  [d4cb91a380e7a1017449cf84161f0a32bf557046]

calctabcolor: rebased to DEV300_m82.


2010-06-14  Thorsten Bosbach  <tbo@OpenOffice.org>  [516a6482b3576e4f673e074303d82e3f6793d68d]

#i110048# testautomation part


2010-06-14  Oliver Craemer [oc]  <oc@openoffice.org>  [0b6e1f5a128aacf0b804c077f4405eb61083795d]

i112381 : [Automation] added waitslots to avoid timingproblems


2010-06-14  Oliver Craemer [oc]  <oc@openoffice.org>  [cfda4ffc6e4ad89ea91963b3db46a03339b308fc]

i112380 : [Automation] ch2_chart_data_dlg_impress.bas fails because renaissance


2010-06-14  obo  <obo@openoffice.org>  [d93b0aaef0f43229dcec9077e9ba10e5455503d9]

CWS-TOOLING: integrate CWS automationdev300m79


2010-06-14  Christian Lippka  <christian.lippka@sun.com>  [6f163e2efc2c521153b88371839208b871dbd84f]

cws impress191: rebase m81


2010-06-14  Joerg Skottke [jsk]  <jsk@openoffice.org>  [1c8fd99b0cc91d14215ec2a5ef0d838a5602b8f6]

fwk143: #i104704 - Bad context fixed.


2010-06-14  Joerg Skottke [jsk]  <jsk@openoffice.org>  [e80add23f54b8b9722e2db4bcb83a3033a90c461]

jl152: Local merge


2010-06-14  Joerg Skottke [jsk]  <jsk@openoffice.org>  [23d550b4234d6b83ebaf1abc503a3cebb4295d65]

jl152: #i112023 - Fix incorrect description.xml within version30.oxt and version31.oxt. The extensions had incorrect version strings and one extension was completely broken, probably checked in as plain text


2010-06-14  wg111939  <wg111939@sr1-eham02-02>  [bb87ad60cc31e8a8ab55bdbe9116b1f6ebaf0f79]

Adjusting tests for renaissance2 changes, i94055


2010-06-11  Joerg Skottke [jsk]  <jsk@openoffice.org>  [cacdb7e34f7613f97b02c49dc098d1fe913bc5f4]

fwk143: #i104704 - Changed testcases to context to the newly declared Hyperlink-Dialog, submitted issue for crosslinked id_002.inc and id_004.inc plus others which id did fix but not verify (because they are not called)


2010-06-11  Joerg Skottke [jsk]  <jsk@openoffice.org>  [1b89c5212bbca495876340c49d7566bed42a2ab9]

fwk143: #i104704 - Added HID_HYPERLINK_DIALOG as HyperlinkDialog


2010-06-11  Joachim Lingner  <jl@openoffice.org>  [99133b83dcbf61d21ceb5616a2616cf60119717c]

jl153 i111878 new versions for cli assemblies


2010-06-10  Joerg Skottke [jsk]  <jsk@openoffice.org>  [62ffffb1fa50c26fbf45fd4ef010a59a0865d50a]

native309: #i112273 - Adjusted version string to 3.3


2010-06-09  obo  <obo@openoffice.org>  [f0bc936c2a2cf3da6b80a521511f2d0f9ec3a547]

CWS-TOOLING: integrate CWS tl74


2010-06-09  obo  <obo@openoffice.org>  [33ecc4eb4d8a379b42ec6f5858d04e14b02763c1]

CWS-TOOLING: integrate CWS findbar01


2010-06-09  Thomas Lange [tl]  <tl@openoffice.org>  [f6bf47c8486e4e72c194353620d773fd9544ec2c]

cws tl74: merge with DEV300_m81


2010-06-09  Thorsten Bosbach  <tbo@OpenOffice.org>  [0adf8ca5aa7cd378fb114493ae03df07b61c15ef]

merge


2010-06-09  Thorsten Bosbach  <tbo@OpenOffice.org>  [4f63c180909f34c5b80e802fcba4496fc4717d2b]

#i111784 CWS gridcontrol_03: Tablecontrol.select does not trigger selection event


2010-06-09  Joerg Skottke [jsk]  <jsk@openoffice.org>  [394e461cac871484660b2510a4d00f02494f9178]

jl152: #i112023 - Changed warnlog to printlog for non existing control. This is acceptable because the control may not be accessible at all for the user and this can be obtained by hiding it or by simply not adding it to the dialog.


2010-06-09  Joerg Skottke [jsk]  <jsk@openoffice.org>  [432e99d8fee5ed525eda813cf83676759f6c608c]

jl152: #i112023 - Removed parts that covered disabling and removing extensions. They are no longer valid as the user cannot remove bundled extensions.


2010-06-09  Joerg Skottke [jsk]  <jsk@openoffice.org>  [b8b06f01434bc2f418939c2345087404f14c01b1]

jl152: Local branch merge


2010-06-08  Michael Stahl  <mst@openoffice.org>  [e632906d87785164717583a81ca63773d0a0d1e6]

merge DEV300_m81


2010-06-08  Joerg Skottke [jsk]  <jsk@openoffice.org>  [16ad5bb4ae52f6e27421ef6ab3d962bed983fb87]

automationdev300m79: #i112207 - Fixed platform identification string in extensions/optional/input/platform/extensions.info to match global variable gtSysName.


2010-06-07  Thomas Lange [tl]  <tl@openoffice.org>  [99660b0178384949f45072ba108649e9d77c2584]

cws tl79: merge with DEV300_m80


2010-06-07  Joachim Lingner  <jl@openoffice.org>  [4a3c96e66bd3033078e2fc487a906138ee38826a]

jl152 merge with DEV300_m80


2010-06-06  Joerg Skottke [jsk]  <jsk@openoffice.org>  [79c3dc644aca928eded94086bda161cb7394dbf3]

vitomation01 (Buster): Logal merge with one conflict resolved


2010-06-04  Ivo Hinkelmann  <ihi@openoffice.org>  [ad762bf848c95987aab4b40d16c5c60215431386]

CWS-TOOLING: integrate CWS dba33f


2010-06-04  Joerg Skottke [jsk]  <jsk@openoffice.org>  [9cb5b7e03fbb3a3f55d9e7649f478126f603485a]

vitomation01: #i109696 - Fix typos


2010-06-04  Joerg Skottke [jsk]  <jsk@openoffice.org>  [4faa9936636eff341564855e894a703fb9116e81]

vitomation01: #i109696 - Parentheses mismatch


2010-06-04  Joerg Skottke [jsk]  <jsk@openoffice.org>  [100d07f2c9f48c4b836738a23fadbc228d39b557]

vitomation01: #i109696 - Solved timing problem on Linux, sleep() again. Argh.


2010-06-04  Joerg Skottke [jsk]  <jsk@openoffice.org>  [c6f18dd8174a082ab16a5a059f4e8bb982540679]

vitomation01: #i109696 - Removed no longer needed parts of the headers


2010-06-04  Joerg Skottke [jsk]  <jsk@openoffice.org>  [91ea927dc418943e07a644454217724062b6924e]

vitomation01: #i109696 - tiEditCutPasteCopySelectall() now has no more sleep(), it did not work anyway


2010-06-04  Ivo Hinkelmann  <ihi@openoffice.org>  [72d6a3c8d1b9438cad5f4c9342a6ccb17dc8b803]

CWS-TOOLING: integrate CWS slidecopy


2010-06-04  Joerg Skottke [jsk]  <jsk@openoffice.org>  [dd51960d8e5034f784382138628efde9c76f5098]

vitomation01: #i109696 - Provide missing control subs


2010-06-04  Joerg Skottke [jsk]  <jsk@openoffice.org>  [603f35cdcaeb05a9898ddabbe7587c1832af18d9]

vitomation01: #i109696 - Provide missing control subs


2010-06-03  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [6b65deba8e133cf5320f5c5032b173e264ec53c4]

slidecopy: merge after copying in CWS renaissance2


2010-06-03  Joerg Skottke [jsk]  <jsk@openoffice.org>  [99b67ed4ab2b5563a8607c64c3bc2997f55ac2bd]

vitomation01: #i109696 - Sleep() removal in some functions.


2010-06-03  Joerg Skottke [jsk]  <jsk@openoffice.org>  [b22c53e7ff4a8e22e0161a58d307f91b2bd28ef2]

vitomation01: #i109696 - Sleep() removal in some functions, added some Impress related slots to hUseAsyncSlot()


2010-06-03  Joerg Skottke [jsk]  <jsk@openoffice.org>  [df7301b4e6708cc157a8b41c59d8cc4f58a6536d]

vitomation01: #i109696 - Reformatted according to coding guidelines, these tests are extremely hard to read and feature an enormous amount of unnecessary wait cycles. Should fix soon.


2010-06-03  Helge Delfs [hde]  <hde@openoffice.org>  [e51e8f10d47f55e2f89fa4627bdfea748246456a]

sw33bf04#85766#adapted testcases for numbering fixes


2010-06-03  Joerg Skottke [jsk]  <jsk@openoffice.org>  [3df1df173390432fc404d5dfdd84f0d69b16e425]

vitomation01: #i109696 - Fix missing subs in d_updt.bas


2010-06-03  Joerg Skottke [jsk]  <jsk@openoffice.org>  [0003d9ad75f67c75bc8e3d7fd7c0cf995b54658f]

vitomation01: #i109696 - Fix timing issue in m_020_.inc


2010-06-03  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [c5652d02cba041909675c4d819fff2f52f12fc2f]

slidecopy: merged latest DEV300.m80 changes


2010-06-03  Thomas Lange [tl]  <tl@openoffice.org>  [236a0555cc7931ea4fbb732f5a833d7400ac39ed]

cws tl78: merge with DEV300_m80


2010-06-03  Ivo Hinkelmann  <ihi@openoffice.org>  [c5c811e23cf308a1b179d209b5edc3c1b53b416a]

CWS-TOOLING: integrate CWS renaissance2


2010-06-03  Joerg Skottke [jsk]  <jsk@openoffice.org>  [37926cb0a3ca8de924970e5719cd1a661a816af7]

vitomation01: #i109696 - Needed to split w_004.inc into two parts, 64k limit strikes


2010-06-03  Joerg Skottke [jsk]  <jsk@openoffice.org>  [c3b4d6008c520e866fae5f94904e45dea0f6bdb6]

vitomation01: #i109696 - Needed to split w_004.inc into two parts, 64k limit strikes


2010-06-03  Joerg Skottke [jsk]  <jsk@openoffice.org>  [d784c4b35d5b6dc6b11e1d54d4e1c17ff63c461a]

vitomation01: #i109696 - Needed to split w_004.inc into two parts, 64k limit strikes


2010-06-03  Joerg Skottke [jsk]  <jsk@openoffice.org>  [7c84d83bb30c149f8d29ae0b3e7ad042f265695e]

vitomation01: Local merge with remote repo


2010-06-03  Helge Delfs [hde]  <hde@openoffice.org>  [8f149a1cbb8acb8dffb23a99991958f4c25624ba]

sw33bf04#112058#adapted testcases for numbering fixes


2010-06-03  Joerg Skottke [jsk]  <jsk@openoffice.org>  [c1ee14bfdeec90ee5833b60781de2bd96b0183c5]

vitomation01: #i109696 - VBA compat tests need to know if it is running in admin mode. Minor fixes


2010-06-02  Joerg Skottke [jsk]  <jsk@openoffice.org>  [c1a083d63d4efec48c454a2c3ebc7e76ad64f813]

jl152: #i112023 - Fixed e_publisher.inc (has new offset in updates list)


2010-06-02  Joerg Skottke [jsk]  <jsk@openoffice.org>  [da2ee143935a9b475e77454f4a0ac875a7af955d]

findbar01: #i111912 - Modified g_findbar.inc to make the CWS pass in reasonable timeframe. Followup-issues are #i111984 and #i112026. Integration is postponed due to massive conflicts with CWS vitomation01


2010-06-02  Joerg Skottke [jsk]  <jsk@openoffice.org>  [a2aca092aa48e592ef81c2e35d3f468ad37a5a0c]

jl152: #i112023 - Removed unused file - Inproved checking for controls in e_update.bas


2010-06-02  Joerg Skottke [jsk]  <jsk@openoffice.org>  [f0d078c568db00a1a906809d96e5042bc1975dcf]

vitomation01: #i109696 - Removed f_first.bas: it does no longer have a special status as we are working with categories now. Tests have been moved to other files. - Removed f_script_organizers.bas, f_basic_dialogs.bas: Their scripts are now combined in f_programmability_dialogs.bas - tInsertAllGraphics() has been removed from (now deleted f_first.bas) and replaces an identical but less strict test in w_updt.bas. This gives a speed gain of about five minutes to w_updt.bas. - graphics_import.inc: Deleted, tests moved to f_topten.bas and w_updt.bas


2010-06-01  Joerg Skottke [jsk]  <jsk@openoffice.org>  [e6fd8f6d2f847ba385b30dfbb39cbeca6ee347bc]

vitomation01: #i109696 - More sleep() gone


2010-06-01  Joerg Skottke [jsk]  <jsk@openoffice.org>  [19487bd8d9492cac83ac37edf65805de7156fb06]

vitomation01: #i109696 - More obvious code reduction


2010-06-01  Joerg Skottke [jsk]  <jsk@openoffice.org>  [d17e9223072017739f4548d620ea1faa5028cb71]

vitomation01: Local merge with DEV300_m80 (Duffy)


2010-06-01  Ingrid Halama  <iha@openoffice.org>  [930f28183c856f9f3f71e8b15e044e0b5bf23579]

chart47: #i111966# don't use a random property - test all properties instead


2010-06-01  Christian Lippka  <christian.lippka@sun.com>  [b8e54dbe388628c3ede1197ec31dd4d481167445]

cws renaissance2: rebase m80


2010-06-01  Ingrid Halama  <iha@openoffice.org>  [1da8994197f2d734958df7041b2d3893e27184cb]

chart47: merge with DEV300_m80


2010-06-01  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [76de7151d0cfd8c7ef1160a6fb10a65e6152671e]

Automated merge with http://hg.services.openoffice.org/cws/dba33f


2010-06-01  Joerg Skottke [jsk]  <jsk@openoffice.org>  [118151646190adbfc8313fd4e84658b6f75b3fa3]

vitomation01: Local branch merge with DEV300_m80


2010-06-01  Joerg Skottke [jsk]  <jsk@openoffice.org>  [dfa9f644c7086abc9ae07272b89433d639b85bee]

findbar01: #i111912 - [Testautomation] Added calls to DialogTest()


2010-06-01  Joerg Skottke [jsk]  <jsk@openoffice.org>  [9dce5ec44ace5bfc95538ca62c58cc9d3e97b004]

vitomation01: #i109562 - Remove code duplication


2010-06-01  Joerg Skottke [jsk]  <jsk@openoffice.org>  [d03539c9b67e60e7e1f137a0b500c098da54984d]

vitomation01: Local merge


2010-05-31  Caolán McNamara  <cmc@openoffice.org>  [b68a128fa1dc680e8990597a263947eb1da7c67c]

cmcfixes74: merge with DEV300 m80


2010-05-31  Joerg Skottke [jsk]  <jsk@openoffice.org>  [1f7701c43f3bf61973019a440f697d8e5df94fec]

findbar01: #i111912 - [Testautomation] Preliminary update test, incomplete. From a testtool POV we have a permanently visible SearchDialog button which should be fixed.


2010-05-31  Joerg Skottke [jsk]  <jsk@openoffice.org>  [4152c49a9419bd18af32467b1bf884ebf4781ae4]

findbar01: #i111912 - [Testautomation] Added findbar declaration to bars.win


2010-05-31  Vladimir Glazunov  <vg@openoffice.org>  [f2e71c9593e26eb50eff8fabe1e3cfd8ea2bae28]

#i10000# prechecks temporaly disabled.


2010-05-31  Ingrid Halama  <iha@openoffice.org>  [29f1e443639bb1a82cc0c46a3e73bee077f4590c]

chart47: #i83866# reset to 2D to speed up following tests


2010-05-31  Ruediger Timm  <rt@openoffice.org>  [258ff81a4706aba4127c9327dc6eebe13063428e]

masterfix #i10000#: Correct module depency line in testgraphical/prj/build.lst


2010-05-31  Joerg Skottke [jsk]  <jsk@openoffice.org>  [43b5bf935b13cf9fe439ef2ad531b244abfda3b6]

vitomation01: Local merge with DEV300_79


2010-05-31  Joerg Skottke [jsk]  <jsk@openoffice.org>  [4ae671e7184ffa6000ee036ea2f7fdec4fda2fca]

vitomation01: #i109696 - Edit mode, another attempt - more waiting


2010-05-31  Joerg Skottke [jsk]  <jsk@openoffice.org>  [7442c9bc9170adbb6345335cc054cf736d853c17]

vitomation01: #i109696 - Edit mode, another attempt with much simplified approach without verification.


2010-05-31  Joerg Skottke [jsk]  <jsk@openoffice.org>  [d8a414315810e761672a9c30a5fd21f6566fd837]

vitomation01: #i109696 - Edit mode, another attempt, again


2010-05-31  Joerg Skottke [jsk]  <jsk@openoffice.org>  [318188d613d5932d482c3266520e2d5d7d79ecc3]

vitomation01: #i109696 - Edit mode, another attempt, again


2010-05-31  Joerg Skottke [jsk]  <jsk@openoffice.org>  [2c7ca0572e105db501d021c7db78eba8b7c665de]

vitomation01: #i109696 - Edit mode, another attempt


2010-05-30  Joerg Skottke [jsk]  <jsk@openoffice.org>  [0a281fbf3e93193d207dfcafc74e1a2c8d0b3087]

vitomation01: local merge from remote repo


2010-05-28  Joerg Skottke [jsk]  <jsk@openoffice.org>  [47839aab7e35ed0c337403aaa1cbe5ce9cc90667]

vitomation01: #i109562 - Disabled test (#i111914)


2010-05-28  Joerg Skottke [jsk]  <jsk@openoffice.org>  [b47f86237a3bd402ddeb19893bed2d7be8e0c441]

vitomation01: #i109562 - Disabled every single HangulHanya conversion test as most of them are broken and - in many cases - need a rewrite


2010-05-28  Joerg Skottke [jsk]  <jsk@openoffice.org>  [02468edcf2dc6cc2474f81c05697e35722b25e1d]

vitomation01: #i109562 - Fix broken loop


2010-05-28  Joerg Skottke [jsk]  <jsk@openoffice.org>  [7ba180037ff5044737d18ea1c7f87c6726ccdfec]

vitomation01: #i109562 - Added issue #i111909 for failing to access rename menuitem in context menu, reformatted files to coding standards (Partially)


2010-05-28  Joerg Skottke [jsk]  <jsk@openoffice.org>  [959d32dd913fd87019b54c38ee96c47a074f7367]

vitomation01: #i109562 - Add one slot


2010-05-28  Joerg Skottke [jsk]  <jsk@openoffice.org>  [3735859902c735285157d6fdb1cbe1f6965cd034]

vitomation01: #i109562 - fCloseNavigator, implementation No 11234372 replaced


2010-05-28  Joerg Skottke [jsk]  <jsk@openoffice.org>  [f1b55b5e8279a341f61191be13cabd735ca0a60a]

vitomation01: #i109562 - Removed delays, added basic errorhandling where it appeared to be useful


2010-05-28  Joerg Skottke [jsk]  <jsk@openoffice.org>  [af75b00c9414a0409996090918511cdefe482d66]

vitomation01: #i109562 - Excluded tCheckDialog due to issue #i111908


2010-05-28  Joerg Skottke [jsk]  <jsk@openoffice.org>  [79362d9ed9b32a7c97553a7ef0f327a5db40fd3d]

vitomation01: #i109562 - Uppercasing gApplication is not required anymore


2010-05-28  Joerg Skottke [jsk]  <jsk@openoffice.org>  [31ea6ff9cd737fca2ec87876f82872abb4573e56]

vitomation01: #i109562 - reformat files according to coding guidelines


2010-05-28  Joerg Skottke [jsk]  <jsk@openoffice.org>  [749c611d47811a032f2678b4dcae854bf1dafee7]

vitomation01: #i109562 - replace wDocSetContext() with hSetDocumentContext()


2010-05-28  Joerg Skottke [jsk]  <jsk@openoffice.org>  [f2e26ede904484d63eacda27817ce1024446c8a6]

vitomation01: #i109562 - formcontrols.inc - disable autoexecuted mouse movements


2010-05-28  Joerg Skottke [jsk]  <jsk@openoffice.org>  [f2e05e896d1c8d0008335aa7005499032ba0d397]

vitomation01: #i109562 - sMakeReadonlyDocumentEditable - make it talk a little.


2010-05-28  Joerg Skottke [jsk]  <jsk@openoffice.org>  [e64f6b0f24b722c0618eac37d0a3d6b4aef86985]

vitomation01: #i109562 - sMakeReadonlyDocumentEditable - do not warn if document is already in edit mode.


2010-05-28  Joerg Skottke [jsk]  <jsk@openoffice.org>  [d841f9a6a90e9380686f5c772c8b4b537e2010c3]

vitomation01: #i109562 - sMakeEdibleDocument - erh - sMakeReadonlyDocumentEditable reworked, back to old simple style as the newly attempted fixes by HDE and me simply do not work.


2010-05-28  Joerg Skottke [jsk]  <jsk@openoffice.org>  [8b54d0aa0c8195d52fb37eb100bb8b2dace28f86]

vitomation01: #i109562 - Double quote fixed


2010-05-28  Joerg Skottke [jsk]  <jsk@openoffice.org>  [5b1253332ad204f4c646f28906017535b35e09ab]

vitomation01: #i109562 - Code cleanup, fixed countless bogus functions, moved stuff to global, make tests use global functions where local copies existed.


2010-05-28  Joerg Skottke [jsk]  <jsk@openoffice.org>  [f52bc8dfaca2de81ed2be6462851e5f601eeefe7]

vitomation01: #i109562 - Added function hGetUsedFilter() - it retrieves the default filter for the current document from the FileSave dialog. This function was replicated multiple times across testautomation.


2010-05-28  Joerg Skottke [jsk]  <jsk@openoffice.org>  [bdc09f8c309454de1060e20a6de4f60e6eaccb29]

vitomation01: #i109562 - Replaced most functions with simpler ones, eliminated unnecessary sleeps etc.


2010-05-28  Joerg Skottke [jsk]  <jsk@openoffice.org>  [9318fe30c859ffa69adefa6cafbc2030b5361fec]

vitomation01: #i109562 - Replaced all complex mouse operation support functions with much simpler generic ones


2010-05-28  Joerg Skottke [jsk]  <jsk@openoffice.org>  [3d2914c71edb44e09554ca34c00db269a9986224]

vitomation01: #i109562 - Just a little better printlog for hUseAsyncSlot()


2010-05-28  Joerg Skottke [jsk]  <jsk@openoffice.org>  [d97bfc46ba09b884a35083a485c57171ccc5fd3f]

vitomation01: #i109562 - More code refactoring in export_graphic.inc. A sthe function worked with invalid returnvalues from dysfunctional helper functions i had to replace quite some code.


2010-05-28  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [2514be48d66710d3fdac8df1a82439c75f578cb5]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/dba33f


2010-05-28  Marc Neumann [msc]  <Marc.Neumann@sun.com>  [404cda84e168bd9156adac40adaa586666fbdf0c]

dba33f: fix some coding errors


2010-05-28  Joerg Skottke [jsk]  <jsk@openoffice.org>  [8dd4ef12ef471314395b7166a69c3c998fd1d4f8]

vitomation01: #i109696 - function fIsDocumentWriteable() and fMakeDocumentWriteable() had stupid printlogs with many typos, fixed.


2010-05-28  Joerg Skottke [jsk]  <jsk@openoffice.org>  [a8100b4af9c852987d59c110f1f5067d780aa513]

vitomation01: #i109696 - function fgetsizexy() does not set its returnvalue but modifies a function parameter instead. There is no checking whatsoever that the Position And Size dialog is really closed and then there were some more problems. Fully refactored


2010-05-28  Joerg Skottke [jsk]  <jsk@openoffice.org>  [cb851ef361ad50dd4f1b6bb9860b140ab58d7d22]

vitomation01: #i109696 - IsNamedDocLoaded now no longer takes the optional second parameter for verbosity. Set GVERBOSE = TRUE before calling the function


2010-05-28  Vladimir Glazunov  <vg@openoffice.org>  [fc26482d981b877c6fb9d9c1013ac9e4164a8a9b]

CWS-TOOLING: integrate CWS gfxcmp02


2010-05-28  Joerg Skottke [jsk]  <jsk@openoffice.org>  [7113c13e64c0246eefab39bbc2afdb91c1687dc3]

vitomation01: #i109696 - IsNamedDocLoaded also exists in t_files.inc (global, required include) so i removed it from here


2010-05-28  Vladimir Glazunov  <vg@openoffice.org>  [512c01f0e6abb5c5f413493f66b4a424a716409b]

CWS-TOOLING: integrate CWS koheiautodecimal


2010-05-27  Thorsten Bosbach  <tbo@OpenOffice.org>  [39bf6eb0bc0b95377b3c93c204c4d18b5f119e8a]

#i111883 crash on .uncheck


2010-05-27  Thorsten Bosbach  <tbo@OpenOffice.org>  [4335f56dcbf54f2cfa3baebd251615e2aeb1b495]

#i111881 new testtool script fixes


2010-05-27  Joerg Skottke [jsk]  <jsk@openoffice.org>  [e67f68668b9f6b3f8ca8262fab00f1eaef988277]

vitomation01: #i109696 - export_graphic.inc calls a lot of very dubious functions. Cleanup


2010-05-27  Vladimir Glazunov  <vg@openoffice.org>  [430857834fe4e29b5783da8bf80cb66671df5573]

CWS-TOOLING: integrate CWS sb122


2010-05-27  Joerg Skottke [jsk]  <jsk@openoffice.org>  [84d4d4771df7e8a0cef08fbda9a6d1b9050b9ae2]

vitomation01: #i109696 - Full refactoring of export_graphic.inc. The test case sported code duplication on epic scale as well as very long sleep() statements which should not be required if coded correctly (i hope)


2010-05-27  Joerg Skottke [jsk]  <jsk@openoffice.org>  [232bdb86cb7fe04cc706f0d37344fdebdccbb8dc]

vitomation01: #i109696 - t_files.inc: Added functions hFileReOpen() and hFileDelete(), the latter being a wrapper for hDeleteFile() which does not follow the naming scheme.


2010-05-27  Vladimir Glazunov  <vg@openoffice.org>  [8b631007fe7cc223751a1b11e31852514f1a469b]

CWS-TOOLING: integrate CWS sb120


2010-05-27  Thomas Lange [tl]  <tl@openoffice.org>  [9d974eef6c6716c012e37db1c15894023f6224c2]

cws tl79: merge with DEV300_m79


2010-05-27  Joerg Skottke [jsk]  <jsk@openoffice.org>  [ba9d82c62c291c5c9009e304320090da19d0e105]

vitomation01: #i109696 - export_graphic.inc reformatted according to coding guidelines


2010-05-27  Joerg Skottke [jsk]  <jsk@openoffice.org>  [5aa3ddbc8d63a14d0d836e31344ac86f422bd4c9]

vitomation01: #i109696 - i_us_presentation.inc: Gnarf


2010-05-27  Joerg Skottke [jsk]  <jsk@openoffice.org>  [d91ff4098c7a8b462f10d8f8c14a1051bf7afd97]

vitomation01: #i109696 - i_us_presentation.inc: More tries


2010-05-27  Joerg Skottke [jsk]  <jsk@openoffice.org>  [2379d4d55efcf2f979cf3f72d6e34de8e55556e5]

vitomation01: #i109696 - i_us_presentation.inc: Try to make the presentation compelte successfully in test number 6


2010-05-26  Thorsten Bosbach  <tbo@OpenOffice.org>  [e92be55cc0cecaf4687eb8aadd3fda86fb8526bc]

#i111822 macos X masking


2010-05-26  Thorsten Bosbach  <tbo@OpenOffice.org>  [67f65f788b0796fc5896a9a4bac79e58ace7e3fe]

strange new files


2010-05-26  Thorsten Bosbach  <tbo@OpenOffice.org>  [893c0716b2f127b02c1f2a7bb322c85ec95120e3]

#i111851 macos X masking


2010-05-26  Thorsten Bosbach  <tbo@OpenOffice.org>  [557f3862bc8fcd4b2e0b5a9e20581cc25a3ec6f8]

#i111851 macos X masking


2010-05-26  Joerg Skottke [jsk]  <jsk@openoffice.org>  [bb3ca700160a84e41df332ba4534236c99dc355d]

vitomation01: #i109696 - The test (i_us_presentation.bas) had problems accessing one control. Refactored large parts of the code to avoid random test interruptions but used aggressive timings, might need further adjusting


2010-05-26  Caolán McNamara  <cmc@openoffice.org>  [d597625544c33d2426b27cb80232ab3d3983ed25]

cmcfixes74: merge with DEV300 m79


2010-05-26  Joerg Skottke [jsk]  <jsk@openoffice.org>  [8a99f2f1c9e1e0db7eebf699687f9ab4ca17aa3c]

vitomation01: #i109696 - two more slots added


2010-05-26  Joerg Skottke [jsk]  <jsk@openoffice.org>  [148d96a2fef97058dbadf98404c3433f38c4211e]

vitomation01: #i109696 - g_tables.inc: Use Wait( 1000 )


2010-05-26  Joerg Skottke [jsk]  <jsk@openoffice.org>  [36bfcbd9afe879cd3deb00aef7db8647de863900]

vitomation01: #i109696 - g_tables.inc: removed unnecessary ucase( gApplication ) statements. gApplication is uppercase, always. Added warnlog for dialogs that refuse to open. Handled test abort when asian support is enabled (Control <Font> does not exist then).


2010-05-26  Joerg Skottke [jsk]  <jsk@openoffice.org>  [ab9bc09311c82c9cc1a52c27d74a2878469ec268]

vitomation01: #i109696 - g_stylist.inc: Try to workaround a few timing issues.


2010-05-26  Joerg Skottke [jsk]  <jsk@openoffice.org>  [0dd8bc49f940b552a7bf4f84ee920864cf780442]

vitomation01: #i109696 - modified i_slidecopy.inc in such a way that it can print a warning instead of an error when the menu-id 27027 (name...) is not available in the context menu of a connector.


2010-05-26  Ingrid Halama  <iha@openoffice.org>  [f948cdf0b922b566fd3b1b813c9a8549a05fe27a]

chart47: #i83868# correct test and assertion for property 'SymbolBitmapURL'


2010-05-26  Oliver-Rainer Wittmann  <od@openoffice.org>  [0024d010c3e6d7f85dfbaa187035f00bc824dc99]

sw33bf04: merge with DEV300_m78


2010-05-26  Joerg Skottke [jsk]  <jsk@openoffice.org>  [be32169d3d97e79b8f18c96b72b3ac0d24abf304]

vitomation01: #i109696 - Fix missing gApplication setting


2010-05-26  Joerg Skottke [jsk]  <jsk@openoffice.org>  [8b29287c1c3432810a19eecccd4cd8fb11061486]

vitomation01: #i109696 - Fix more kontext stuff


2010-05-26  Joerg Skottke [jsk]  <jsk@openoffice.org>  [117c5556f4fc569c2c0f83ecca19213a31fb9c0d]

vitomation01: #i109696 - w_gridlayout enhanced


2010-05-26  Joerg Skottke [jsk]  <jsk@openoffice.org>  [e1043c57df01c3b8e7f6e9ca78e08e21a0227932]

vitomation01: #i109696 - CJK featureswitch had incorrect reference numbers, lots of inverted logic (which was greatly simplified by providing a minimalistic helper function).


2010-05-26  Joerg Skottke [jsk]  <jsk@openoffice.org>  [6b17a39ac4584de40b85ffc36fb41054b03f3b31]

vitomation01: #i109696 - The test tries to close a tabpage twice, fixed.


2010-05-26  Joerg Skottke [jsk]  <jsk@openoffice.org>  [2d8993223386c76d505965545bbb36fa1fc373da]

vitomation01: #i109696 - fix kontext error


2010-05-25  Joerg Skottke [jsk]  <jsk@openoffice.org>  [232c575864a5d3e5b14cf2d0b70f60af38071033]

vitomation01: #i109696 - fix warnlogs caused by untraceable rendering activity when selecting page number in navigator (Document is re-rendered which takes time and cannot be covered by WaitSlot())


2010-05-25  Joerg Skottke [jsk]  <jsk@openoffice.org>  [12673f5a23e891a196a9331113ade7861fcdbc40]

vitomation01: #i109696 - fix various breakages caused by refactoring


2010-05-25  Joerg Skottke [jsk]  <jsk@openoffice.org>  [834a7f25f46b35838df5940791748147636c6027]

vitomation01: #i109696 - fix broken filename


2010-05-25  Joerg Skottke [jsk]  <jsk@openoffice.org>  [b231a00676d36faaa90e0bc49a98bd034c79c3df]

vitomation01: #i109696 - fix typo


2010-05-25  Joerg Skottke [jsk]  <jsk@openoffice.org>  [94ec0875238b2f6175a5310056a90ba831613275]

vitomation01: #i109696 - Dramatically simplified test case, provided long missing function to select item in a list by name (which would work using the treelist function as well but looks rather awkward when called from within a test case - it is just the wrong control.


2010-05-25  Joerg Skottke [jsk]  <jsk@openoffice.org>  [8ebdd8549292a5cd7e6d03095e316f8c6c6fd06a]

vitomation01: #i109696 - Misc fixes + enhancements, new function


2010-05-25  Joerg Skottke [jsk]  <jsk@openoffice.org>  [801de6f0754af93b771b94ebdf43bfe6a02f03d3]

vitomation01: #i109696 - Misc fixes to code logic


2010-05-25  Joerg Skottke [jsk]  <jsk@openoffice.org>  [846c3a3b91ba4d49c40ef9bf9846afa683efeced]

vitomation01: #i109696 - Code compression, there exists a function to compare results, no need to do it manually


2010-05-25  Joerg Skottke [jsk]  <jsk@openoffice.org>  [6a11c466e6887f4fc8835893328f1b6721f51354]

vitomation01: #i109696 - Remove invalid file


2010-05-25  Joerg Skottke [jsk]  <jsk@openoffice.org>  [8f0771fbae396ddbe5ffda0f291821a9568f0ba7]

vitomation01: #i109562 - Update help references and add one missing


2010-05-21  Kurt Zenker  <kz@openoffice.org>  [aa096429499696fce4d380d6eeff8db996a62860]

CWS-TOOLING: integrate CWS gridcontrol_03


2010-05-21  Kurt Zenker  <kz@openoffice.org>  [766450f64fc578bade6af6a71412fec8ed591873]

CWS-TOOLING: integrate CWS npower13_objectmodules


2010-05-21  Oliver Craemer [oc]  <oc@openoffice.org>  [788276773417c1e62be1fa09c2f7d7226c18f725]

i111343 : [Automation] Adapt autotest because of new decimalfeature


2010-05-21  Joerg Skottke [jsk]  <jsk@openoffice.org>  [c424a5df10c05c5913ea4f66691859e49631c6b2]

npower13_objectmodules: Fix incorrect merges


2010-05-21  Joerg Skottke [jsk]  <jsk@openoffice.org>  [d56f688081edd92d1f563405a3e200e05b8ce296]

vitomation01: Local merge with DEV300_m78


2010-05-21  Marc Neumann [msc]  <Marc.Neumann@sun.com>  [e6f4c95e74bdda37f7b3e6a0c1f7c396ca8241a5]

slidecopy: changes for the new taskpane implementation


2010-05-21  Daniel Rentz  <dr@openoffice.org>  [918599d1f0567b24801ddff692a340daf425f5d2]

npower13_objectmodules: rebase and merge with DEV300_m78


2010-05-21  Marc Neumann [msc]  <Marc.Neumann@sun.com>  [5321db853b922ee6d3f4e6c0d7db8d395e81c337]

slidecopy: new files for testing the new taskpane


2010-05-21  Marc Neumann [msc]  <Marc.Neumann@sun.com>  [a45b5f91ca3206ee82a1c6a9cdb6c56d6c15b7eb]

slideshow: new files for testing the new taskpane


2010-05-20  Ingrid Halama  <iha@openoffice.org>  [dd2e9541fd455578ea0bad5e617ad82894ae6e71]

chart47: #i111102# close chart documents after testing


2010-05-20  Marc Neumann [msc]  <Marc.Neumann@sun.com>  [337425b5de4093023abc1ecbdd198232b2962ffa]

slidecopy: fixes for new taskpane


2010-05-20  sb  <sb@openoffice.org>  [cb0a5142ce6d89860c969462fab5e481b33ea187]

sb120: merged in DEV300_m78


2010-05-20  sb  <sb@openoffice.org>  [46159b4adebb33fcdda7d82824145510275c19b7]

sb122: merged in DEV300_m78


2010-05-19  Joerg Skottke [jsk]  <jsk@openoffice.org>  [9fb6b11c96ce115fb48d4150a595fe54ceb2de3a]

vitomation01: #i109562 - Remove invalid reference files


2010-05-19  Joerg Skottke [jsk]  <jsk@openoffice.org>  [cb9234aa04efd3108322dee37177aa0778837414]

vitomation01: #i109562 - Another modification for one more yet unknown situation to hDestroyDocument() / hCloseDialog()


2010-05-19  Joerg Skottke [jsk]  <jsk@openoffice.org>  [70e8fcc45d58e229600253c82d1c99f1259def7d]

vitomation01: #i109562 - tModifyObjects has StarOffice branding, fixed.


2010-05-19  Joerg Skottke [jsk]  <jsk@openoffice.org>  [b232631f159685dfa97b03ec172dc472d74c4de2]

vitomation01: #i109562 - tModifyObjects should complete without the need for a number of restarts.


2010-05-19  Joerg Skottke [jsk]  <jsk@openoffice.org>  [c343fbf7b1758146175cc375ae46bc1d0460428f]

vitomation01: #i109562 - Modify handling of messgeboxes - more enhancements for flexibility


2010-05-19  Joerg Skottke [jsk]  <jsk@openoffice.org>  [037b68b08a910bf0fdaf98c1a2062c733c7687bb]

vitomation01: #i109562 - Modify handling of messgeboxes to suit the needs of the extras_xxx_open-tests which have to deal with an I/O error for some documents now.


2010-05-19  Lars Langhans  <lla@openoffice.org>  [243817853c0ce85ffa7e06667b15cdfbf6cb5fa5]

gfxcmp02:#159601#


2010-05-19  Ivo Hinkelmann  <ihi@openoffice.org>  [0c8613ea286a8f4db27ab72531be1e10ad2abc94]

masterfix #i10000# no need to test JRE


2010-05-19  Marc Neumann [msc]  <Marc.Neumann@sun.com>  [4b96a918b1128ad5d30264430b538a72165bd591]

slidecopy: changes for the new taskpane implementation


2010-05-19  Marc Neumann [msc]  <Marc.Neumann@sun.com>  [6efe9908b2b00e4e99fa2f773fef07dcc677b706]

slidecopy: add new test extension


2010-05-19  Ivo Hinkelmann  <ihi@openoffice.org>  [6d380687e0e18cc5433d0c6242580f14430eec1e]

masterfix: #i10000# fixed for JRE instsets


2010-05-19  Joerg Skottke [jsk]  <jsk@openoffice.org>  [c7ce203334ea6279b3d5f9c999541ffa40cd691a]

vitomation01: #i109562 - removed blanks from filenames as suggested by RE


2010-05-19  Joerg Skottke [jsk]  <jsk@openoffice.org>  [f184115420df653dfb80a97c9d3376328e2d4b4f]

vitomation01: #i109562 - Remove files containing whitespaces as suggested by RE


2010-05-19  Joerg Skottke [jsk]  <jsk@openoffice.org>  [8279c13a2b8533909481c405908051887a0e1524]

vitomation01: merge in automationdev300m77cat0


2010-05-19  Joerg Skottke [jsk]  <jsk@openoffice.org>  [a5ac8295e866ade83fe1f29d205f025cf83ebcb5]

vitomation01: Local merge


2010-05-18  Kohei Yoshida  <kyoshida@novell.com>  [30c1f394f0aa7d29eb92957a511482754b4903c9]

merged from the repo.


2010-05-18  Joachim Lingner  <jl@openoffice.org>  [3b51ba66db641108c4ee64f210dce79130e923e0]

jl152 #i77196# smoketest now uses new extension manager service


2010-05-18  Lars Langhans  <lla@openoffice.org>  [9465ff0139d53f89db9c526a8c1b49f8033b51e7]

gfxcmp02:#159601# picture viewer


2010-05-18  Lars Langhans  <lla@openoffice.org>  [1fb54e2397c051ab4c92c4d50cf58b43e3d4d6aa]

gfxcmp02:#159601# verbose makefile


2010-05-18  Lars Langhans  <lla@openoffice.org>  [dea213ee861ceca62c6d0b6300032082da740e48]

gfxcmp02:#159601# Postscript demo document for solaris


2010-05-18  Lars Langhans  <lla@openoffice.org>  [560bdb2664376fef8851ee412137117c6786eb7c]

gfxcmp02:#159601# Postscript demo document


2010-05-18  Lars Langhans  <lla@openoffice.org>  [16165642d84a926871b457ef985bd2bc3196fa3f]

gfxcmp02:#159601# Postscript failtest document


2010-05-18  Lars Langhans  <lla@openoffice.org>  [57b2017624afd556c39b707a6db49a08503694ef]

gfxcmp02:#159601# cleanups


2010-05-18  Lars Langhans  <lla@openoffice.org>  [9ee0ed57cf33350eab6bebfbe25c3acb4e7ee228]

gfxcmp02:#159601# support makefile


2010-05-18  Lars Langhans  <lla@openoffice.org>  [9c4014cd05c77a2c1bf7293c101381bfe8d43597]

gfxcmp02:#159601# more verbose


2010-05-18  Lars Langhans  <lla@openoffice.org>  [0ed23c4fa415e36f8258a7e2d7a9d42f2e1dcdb1]

gfxcmp02:#159601# support solaris


2010-05-17  Ingrid Halama  <iha@openoffice.org>  [cf8a12054299245af64f21ee99e151e8f833f2c6]

chart47: #i109770# #i110253# reduce assertions 'already disposed or closed' - don't close the document twice


2010-05-17  Joerg Skottke [jsk]  <jsk@openoffice.org>  [f378d53b8060a53c9bdd46720c688b40eeac0814]

npower13_objectmodules: #i111007 - Just some more fixes


2010-05-17  Joerg Skottke [jsk]  <jsk@openoffice.org>  [a688ea573d64b2e98d7616ae6aa06f8cbf2b7b55]

npower13_objectmodules: #i111007 - One of the macros triggers two messages. Additionally we only have a fuzzy match then. Make my day.


2010-05-17  Joerg Skottke [jsk]  <jsk@openoffice.org>  [8f738900a4770f39bb3e795bdbcb7105ab2dab3a]

npower13_objectmodules: #i110724 - hClickButton() has a returnvalue which should be evaluated.


2010-05-17  Joerg Skottke [jsk]  <jsk@openoffice.org>  [df46ea017362c0f1786fc09ff1817226212a1265]

npower13_objectmodules: #i111007 - The test macros deliver slightly unexpected verification strings which requires a second list to be maintained which holds the verification strings (in addition to the list of modules). This is bad but the nicer fix would require to checkin another version of a binary file which i prefer to avoid.


2010-05-17  Joerg Skottke [jsk]  <jsk@openoffice.org>  [ef16776e628b1765573580012a1d86fe2ead83ee]

npower13_objectmodules: #i111007 - Add timeout to button.


2010-05-17  Joerg Skottke [jsk]  <jsk@openoffice.org>  [b54501138031bc030e381dd253e7d934d641a0b2]

npower13_objectmodules: #i111007 - Need to close messagebox after identification


2010-05-17  Ingrid Halama  <iha@openoffice.org>  [52aafc531a53c459e7c1d81dfb997c213a3dc316]

chart47: #i111560# report error if a property is not set and is not MAYBEVOID


2010-05-17  Joerg Skottke [jsk]  <jsk@openoffice.org>  [f736c042c188cb2a28d8654f50acc2cbb06effb6]

npower13_objectmodules: #i110724 - Changed logging slightly because some of the printings where confusing as it duplicated some errormessages making it hard to tell which one was relevant


2010-05-17  Joerg Skottke [jsk]  <jsk@openoffice.org>  [ee95d5bc4e61b182368b84ec791d2cde7cc5b12e]

npower13_objectmodules: #i111007, #110724 - Provided test case (which is as of yet untested because the issues that are tested herein are not yet fixed)


2010-05-14  sb  <sb@openoffice.org>  [4e925702413c3556a08f56d8cc0b9b1df6006e1e]

sb120: #i111558# allow override of tested soffice process


2010-05-12  Ingrid Halama  <iha@openoffice.org>  [fa9be623c7288ad1307ed5f08cbe80915ce8618a]

chart47: #i111560# ApiTest: MAYBEVOID properties are handled wrongly be the api test framework if they are not set initially


2010-05-12  Joerg Skottke [jsk]  <jsk@openoffice.org>  [b97bc4098f6079431a62e33ff9c174f4461fc500]

npower13_objectmodules: #i110724 - Created test case. I wonder if it works when run from our internal servers. There might be an issue with the accessrights. However, i then just need to update the Strings to check for.


2010-05-12  Joerg Skottke [jsk]  <jsk@openoffice.org>  [1a0c4c8a6b9a1ec2a50fbe43b762feed362ec05e]

npower13_objectmodules: #i110672 - Wrote automated test that found issue #i111553. Needed to enhance the treelist-tools to do fuzzy filename matching as the document can be readonly under certain conditions.


2010-05-12  Ingrid Halama  <iha@openoffice.org>  [d3373f17275d3166a0d73041fb4ce15e6dcabc8e]

chart47: #i111552# ApiTest: LineDash Property is tested with wrong type


2010-05-12  Lars Langhans  <lla@openoffice.org>  [932d6aa464b0765d35dbc6cd831ad22c4a7cc1c7]

gfxcmp02: #159601# add test


2010-05-12  Oliver Craemer [oc]  <oc@openoffice.org>  [245d43cadb51050893920b0a63abf449dd26fb6c]

i111343 : [Automation] Adapt autotest because of new decimalfeature


2010-05-11  Kohei Yoshida  <kyoshida@novell.com>  [cedf44f688663fd8814c862cb511f8ad9a34a596]

rebased to DEV300_m77.


2010-05-11  Christian Lippka  <christian.lippka@sun.com>  [f54d65566ab0bb81b610e78ebfa823eea4b6553e]

merge


2010-05-11  Christian Lippka  <christian.lippka@sun.com>  [6529b80efb80d337fa3ac9cb09b88dd277fba87b]

#i107213# addapt cut&paste check in impress to new impress layout default


2010-05-11  Joerg Skottke [jsk]  <jsk@openoffice.org>  [a4416f41231acb1ed8ebd0abe2d80bbee4cf5345]

vitomation01: #i109562 Removed code duplication and very costly sleep statements in ch2_losa.inc, brings 20 minutes per testcase (grand total of about 2hrs). Reformatted ch2_xml_format.inc


2010-05-11  Ivo Hinkelmann  <ihi@openoffice.org>  [0bce02ad8fc5e526c3e9332cd6cefb7fe0d24657]

CWS-TOOLING: integrate CWS hr76


2010-05-11  wg111939  <wg111939@sr1-eham02-02>  [500b025c4059b29937b0de7b7d256535186d9c16]

Adjusting tests for renaissance2 changes


2010-05-11  Ivo Hinkelmann  <ihi@openoffice.org>  [d9d87e530b19806ecdadfc80d31a36876dc4b131]

CWS-TOOLING: integrate CWS npower14miscfixes


2010-05-11  Ivo Hinkelmann  <ihi@openoffice.org>  [bdaf07fe8db9f85cb9d8c581a1f7b34266ff1433]

CWS-TOOLING: integrate CWS impress188


2010-05-11  Joerg Skottke [jsk]  <jsk@openoffice.org>  [45f255defe2a23978de7566d52b9250f80232640]

sb122: #i110083 - modified platforms.inc to also evaluate RC = -7 from hExtensionAddGUI()


2010-05-10  Ivo Hinkelmann  <ihi@openoffice.org>  [818e1c93a4eae8e7b7afad134228e2ad87b6ea96]

CWS-TOOLING: integrate CWS vcl110


2010-05-10  Joerg Skottke [jsk]  <jsk@openoffice.org>  [b4f22c7a92c8bf841b497c84ba501e1e1957ab58]

vitomation01: #i109562 - Renamed help related reference files as requested by RE, changed autotests to replace all blanks in the productname with underscores


2010-05-10  Joerg Skottke [jsk]  <jsk@openoffice.org>  [6f546b07112b92ad324d82ec02571a42cc3ebe6a]

vitomation01: #i109562 - Increased maximum array size to 25000 (10000 was not enough for the current help file sizes)


2010-05-10  Joerg Skottke [jsk]  <jsk@openoffice.org>  [903f68aae8c77e680d72a29e4c2a29a43762e627]

vitomation01: #i109562 - Remove blanks from reference file names as requested by RE


2010-05-10  Joerg Skottke [jsk]  <jsk@openoffice.org>  [38089c9393f2b4eefa763a2c608d664a0989eaa1]

vitomation01: #i109562 - Fix misuse of hInitSingleDoc() - The function creates a writer document but we need Calc.


2010-05-10  Joerg Skottke [jsk]  <jsk@openoffice.org>  [7a0507f13faa6457ceb27bc802be49db9d4b0096]

vitomation01: #i109562 - Fix missing closing quote


2010-05-10  Joerg Skottke [jsk]  <jsk@openoffice.org>  [1caed6f9aa350ee9d4028a8021fffd28ce427ed4]

vitomation01: #i109562 - Increased array size as a first ttempt to fix an array out of bounds error, the problem however is likely to be found elsewhere


2010-05-10  Joerg Skottke [jsk]  <jsk@openoffice.org>  [a5a66a385741de97d04af93306491d266cb78bd0]

vitomation01: #i109562 - Removed undeclared identifier brc and irc


2010-05-10  Joerg Skottke [jsk]  <jsk@openoffice.org>  [f6463acbd55b2a4c203a557cd2aaff312f376ed1]

vitomation01: #i109562 - Warnlog for incorrect messagebox when signing documents


2010-05-10  Joerg Skottke [jsk]  <jsk@openoffice.org>  [008e3ed80e77052faa6253ab3b33d33f6d9bb629]

vitomation01: #i109562 - Fix typo (i really should work locally...)


2010-05-10  Joerg Skottke [jsk]  <jsk@openoffice.org>  [d66ba861b80d2c42bfc74ae802de8733c1e2cfae]

vitomation01: #i109562 - Fix broken functions, replaced fancy variable names i, A, BornToKill with speaking identifiers.


2010-05-10  Lars Langhans  <lla@openoffice.org>  [71c0d61ea392733c9f83def578d6bc171d0ab08e]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [56d5f64886d70e140635dda68121ba694009c0f1]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [09d1ff2924861ac52fc2bd7faa61b3af0dd8910e]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [5326da058ad8db24a893bde64f54f73e2ec32e77]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [1eac2c48790987e1536781cf4c9d9fcdb21d572e]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [6c626c065c97a0b3608ec5329794a682807c9fa0]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [a088d7015f4b6123c05ad13068a9acdea47b2d50]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [d8679b5d417e7e5143e550365b737e74fc6012af]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [5a0c18bd40caaddd1a03b251024854996d5fa034]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [13876cd0a73fee599f86c096a02b0fa41b2f120e]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [d032ac5eaadfab699c41d93ce268f31a783cffae]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [497468862bc293b53c83354f64e608485a0cd493]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [5a2a96acb37a3d6a4b53faed06588280439a19d2]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [87b3e32c17c316b201191d70702b1d8e22704be6]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [7b3da63b425ff76267d19a3fb3488bd7e7a36960]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [960a8232b332c25250e4d4a4de561d919cd9d3c7]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [bdf54334f9f1b511ff964bb0e6cdaf3c058a6f5d]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [d06c3753862723e39d336673e884e5674fdb4ff3]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [937b406927c6c559b568386ff71943dbd69723ff]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [94f21d9e4167c256346c559cab890f9b87b4fc71]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [3e0b06f8e88c62305bd8bfab5fa0d495efae53de]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [280ac8a8ece4c01f1b6ee111f341293bdadf63f6]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [88070748e65012f25620d8400949fdbebac1e387]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [f87cd81bbaddc6fc3c569375b0697806c04db1bf]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [e501cb56c7331026aa02ab919c748f1735375eec]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [6ea3a7ef1fe70359769b35a7889d9d8b0cd1506c]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [82b898fa438d4f64b95f5d2fe812782d438e0dad]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [cdbefbde42a1555a0cc0427073bb31659456d23c]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [e55fa42d86dd20134cffc0f77864ab32e065656f]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [7545346cf45b52203c7621167f288963ee5d1005]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [e66f0974fe37e9fc8867aa7f9e445588236022a7]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [3e0dee6726d614dab5098bae46ba91c54607368f]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [4a20379568b1bd8868100dee5ab6a84c15e09880]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [fc9eba151a5ab78681ab8b53b8a49601c90dfc6b]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [70506070d74f15b020f979c04e6df044f432efd8]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [0d2d86ddc2f6923cae6ef5e7e620e909cc6f9e26]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [4689b77a1add51da0de970083114655185c3ae27]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [cf2d2ccfdfed599ee8301057b978c101af6c22d6]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Joerg Skottke [jsk]  <jsk@openoffice.org>  [ea66018c4717732fed5cf445b51001b0373ce967]

sb122: #i110083 - QUASTe ID String added


2010-05-10  Joerg Skottke [jsk]  <jsk@openoffice.org>  [3d604d774341fac37e1cb2033c2bf5315ee6e744]

sb122: #i110083 - QUASTe ID String added


2010-05-10  Lars Langhans  <lla@openoffice.org>  [58682a21e336dffe2ab5a9299efaf4e58432982e]

gfxcmp02: #159601# cleanups


2010-05-10  Lars Langhans  <lla@openoffice.org>  [04affb285844c349b9c4ced97c9f6a2664c6780b]

gfxcmp02: #159601# cleanups


2010-05-10  Lars Langhans  <lla@openoffice.org>  [6f6547b41b41e090bc5c7353a0358467589d3eb4]

gfxcmp02: #159601# cleanups


2010-05-10  Joerg Skottke [jsk]  <jsk@openoffice.org>  [936d9070d50bedbc88619cbba7a14c1b13fa63ae]

sb122: #i110083 - Added test case


2010-05-10  Joerg Skottke [jsk]  <jsk@openoffice.org>  [5acdf04125c3ef08a04e824f801f042a7eeb7bcf]

sb122: #i110083 - Added test case


2010-05-10  Joerg Skottke [jsk]  <jsk@openoffice.org>  [64bdbfa883b0aa955ce5bb916d2ad8b2e25a1999]

sb122: #i110083 - Added test case


2010-05-10  Joerg Skottke [jsk]  <jsk@openoffice.org>  [1e6f3215d9eeaff35d30913f60c5f9bce15937ae]

vitomation01: #i109562 - Reworked fInsertOLE() as the function had a number of shortcomings (No returnvalue in case of server timeout/object not found errors and others)


2010-05-06  Kohei Yoshida  <kyoshida@novell.com>  [8546a9d2056be479c132859dc5aa9834a7782a81]

Merged from the repo.


2010-05-05  Joerg Skottke [jsk]  <jsk@openoffice.org>  [1063cf767f92c5b4f213a98c8027646ec859b192]

sb120: Merging in CWS automationdev300m76cat0 as it should remove a lot of annoying background noise


2010-05-04  Joerg Skottke [jsk]  <jsk@openoffice.org>  [21ccbe60b4931f18f9553e851b0feacab232a51b]

vitomation01: #i109562 - g_ole.inc has new issue with DEV300m77 when saving Impress documents, added WarnLog for issue 110938


2010-05-03  Oliver Craemer [oc]  <oc@openoffice.org>  [1d85034f399e2d46952c807e817c179172b8f1e5]

i111343 : [Automation] Adapt autotest because of new decimalfeature


2010-05-03  Joerg Skottke [jsk]  <jsk@openoffice.org>  [2f6d40a718917031cc7cde85bdc3cf00bb2a86d8]

vitomation01: #i109562 - hDeleteMacro() was too fast. Added a minute slowdown between keyboard actions


2010-05-03  Joerg Skottke [jsk]  <jsk@openoffice.org>  [37885e5c8a07b033a377d7eafe49e7b420405672]

vitomation01: #i109562 - Remove no longer existing include


2010-05-03  Joerg Skottke [jsk]  <jsk@openoffice.org>  [c62aff8c979ec126e8042f6f2947f3371152f2eb]

vitomation01: #i109562 - Need to ucase cApplication as the all-caps rule does only apply to gApplication.


2010-05-03  Joerg Skottke [jsk]  <jsk@openoffice.org>  [a047fe17aa3ea1260b3c7bf8cef1ecf9aa01e698]

vitomation01: #i109562 - Code compression and simplification


2010-04-30  Joerg Skottke [jsk]  <jsk@openoffice.org>  [779f727f524cfa9c267c3f65838b5a2e93eda35c]

vitomation01: #i111282 - extended f_window_functions.bas to cover BASIC IDE, StartCenter and Database as well. Needed to get rid of fSplitWindowTitle (too complex and not flexible enough to do the job) and needed to build in some safeguard against hGetWindowCaption() which causes array out of bounds errors and modifies its function parameters. Removed QAErrorlog as the issue with the incorrect windowtitle of the StartCenter is never going to be fixed, printlog will do.


2010-04-30  npower Developer  <npower@openoffice.org>  [41fcf5585b5d4a5aded8df44af8214afb36785c2]

npower13_objectmodules: #i111245# merge heads


2010-04-30  Mihaela Kedikova  <misheto@openoffice.org>  [937743410ecf9feadeb50988da7022db296c95e2]

gridcontrol_03: bug fixes


2010-04-30  Joerg Skottke [jsk]  <jsk@openoffice.org>  [1da272c6add12927665ad5e1b6974c58ca61ea60]

vitomation01: #i111247 - Fixing glitches


2010-04-30  Joerg Skottke [jsk]  <jsk@openoffice.org>  [ad6c27acc349f28f7a7d8dcd7af023b7f312f897]

vitomation01: #i111247 - Add missing includes


2010-04-30  Joerg Skottke [jsk]  <jsk@openoffice.org>  [bcbc29cb907dd08c6082ff5a43367c3ff124bfd1]

vitomation01: #i111247 - Small fixes for stability


2010-04-30  Joerg Skottke [jsk]  <jsk@openoffice.org>  [c9c2b394276c3e5b44f633371c7764f7bf7c98fa]

vitomation01: #i111247 - Fix f_basic_modules.bas, remove invalid qaerrorlogs etc.


2010-04-29  Joerg Skottke [jsk]  <jsk@openoffice.org>  [8894ff466b032dff05e129464b09a568b0414f40]

vitomation01: #i111247 - Missing quote


2010-04-29  Joerg Skottke [jsk]  <jsk@openoffice.org>  [2610b9fc1330f93606d2ae9741162eb9d21a9547]

vitomation01: #i111247 - Other method to select text in BASIC IDE


2010-04-29  Joerg Skottke [jsk]  <jsk@openoffice.org>  [5822c55c28a896469df5c18349f625a0c7db6caf]

vitomation01: #i111247 - Various small enhancements


2010-04-29  Joerg Skottke [jsk]  <jsk@openoffice.org>  [2fa2900180b4ab3dc8874dfdc37a05cc91091d5a]

vitomation01: #i111247 - Use hInsertMacroFromFile() instead of hInsertMacro().


2010-04-29  Joerg Skottke [jsk]  <jsk@openoffice.org>  [e5a6a199c5b4e76687c5a54b8843a0bb51a9084f]

vitomation01: #i111247 - More repairs


2010-04-29  Thomas Lange [tl]  <tl@openoffice.org>  [7af151f6af81733507bdeb59526f4101623d944e]

cws tl78: merge with DEV300 m77


2010-04-29  Joerg Skottke [jsk]  <jsk@openoffice.org>  [5be5a0fe7469dc3d7530feb64e1ad2de06cfc51d]

vitomation01: #i111247 - Repair broken test


2010-04-29  Joerg Skottke [jsk]  <jsk@openoffice.org>  [86256bde31027fe58cd5b2b88af2374121f93a0e]

vitomation01: #i109562 - Fixed syntax error


2010-04-29  Joerg Skottke [jsk]  <jsk@openoffice.org>  [bd70f532c4f2d55deb9ef59ed6cb2055ca53e734]

vitomation01: Local branch merge


2010-04-29  Joerg Skottke [jsk]  <jsk@openoffice.org>  [8668c5988d3921fe48877eb3b4067abb3df268bd]

vitomation01: #i111247 - Attempt to rework and simplify hRenameTab(). This has been one of the very troublesome functions that ended up looking rather awkward and were not really understandable from a logical point of view. However, chances are small that the new implementation is really going to work...


2010-04-29  Oliver Craemer [oc]  <oc@openoffice.org>  [ea3691c708833eb7d8e23d32c8e2b61b039a394e]

i1111639 : [Automation]tFileSaveAsDBF in c_updt1.bas has timingproblems


2010-04-28  Christian Lippka  <christian.lippka@sun.com>  [875a1e6d44e341e8c7571383fbb9ee820fb92a39]

renaissance2: rebase m77


2010-04-28  Joerg Skottke [jsk]  <jsk@openoffice.org>  [e7513ff877712f76bd764bce23eed6db889cbc9c]

vitomation01: #i108621 - Need to explicitly set gApplication before running tEditFields, the previous test sets it at the end and thus disables the setting from sub w_002_


2010-04-28  Oliver Craemer [oc]  <oc@openoffice.org>  [b54510a03da80d331e0d87f07f67d59b802ef904]

i1111639 : [Automation]tFileSaveAsDBF in c_updt1.bas has timingproblems


2010-04-28  sb  <sb@openoffice.org>  [c293d6d85f1f55d3af7b25eef9d2af07ddd1c81f]

sb120: do not swallow exceptions


2010-04-28  Joerg Skottke [jsk]  <jsk@openoffice.org>  [cdc7f8e23ee6e78b0cc54c81437731607633040f]

vitomation01: #i108621 - Removed sEditFields and restored the single test cases for Writer and HTML


2010-04-27  Mihaela Kedikova  <misheto@openoffice.org>  [584a8514207a06be38d40361048c535ca812dba3]

gridcontrol_03: merge with DEV300_m77


2010-04-27  Thorsten Bosbach  <tbo@OpenOffice.org>  [49c684bc0f391a98ef5838b900cf9a3470588a7b]

#i111168# MacOS X: F11 -> MOD1 T


2010-04-27  Thomas Lange [tl]  <tl@openoffice.org>  [d72c659e2c59535a9e5f935e0daa70ebf9cb4735]

cws tl79: merge with DEV300_m77


2010-04-27  Thorsten Bosbach  <tbo@OpenOffice.org>  [bf27b013a2b138c99d9f9a67ccaa1d3abfda9fce]

#i111164# replace->replaceBTN


2010-04-27  Joerg Skottke [jsk]  <jsk@openoffice.org>  [1afdbafda27c64aad974d9dc8bd08eedb0fb16d4]

vitomation01: Fix VERBOSE <> GVERBOSE typo introduced when going back to HDEs sMakeReadonlyDocumentEditable patch


2010-04-27  Joerg Skottke [jsk]  <jsk@openoffice.org>  [0c1a27434c994ac9cb8c50c1eff204782a3411ec]

npower13_objectmodules: #i111175 - Adjust indexes for scripts belonging to modules, the latest changes caused an index out of bounds error.


2010-04-27  Joerg Skottke [jsk]  <jsk@openoffice.org>  [3ba16367bec19ec3d1f3f3cf39dc930ab0a6eecb]

npower13_objectmodules: #i111175 - Blind fix for changed nodecount and -position as well as enhanced string matching.


2010-04-26  sb  <sb@openoffice.org>  [206b0e46fa6883e56b8f0f35903369b61c529a17]

sb120: #i111159# made XMessageBoxFactory test code more robust


2010-04-26  wg111939  <wg111939@sr1-eham02-02>  [364f18c0be07beba3151f42a85b58c30b52005e7]

i111162


2010-04-26  wg111939  <wg111939@sr1-eham02-02>  [2e58606313afdafafdaed1e545592ccae10c79a4]

i111149


2010-04-26  Joerg Skottke [jsk]  <jsk@openoffice.org>  [e02061f86bea3bc50702bdea4ccd0f07dc5fead8]

vitomation01: #i109562 - Re-apply patch from CWS autmatindev300m76cat0 as all attempts to fix the sMakeReadonlyDocumentEditable() problem for good failed.


2010-04-26  Joerg Skottke [jsk]  <jsk@openoffice.org>  [1057445d52d241d7e6c512a936f05d015a1efc33]

vitomation01: #i109562 - Re-apply patch from CWS autmatindev300m76cat0 as all attempts to fix the sMakeReadonlyDocumentEditable() problem for good failed.


2010-04-26  Marc Neumann [msc]  <Marc.Neumann@sun.com>  [0ed73fd8ab19aa39df4d550f550960c0684f8c5d]

tl74#108360#readonly document should be made readable


2010-04-26  wg111939  <wg111939@sr1-eham02-02>  [fb3a65f8a024fcf915156c234fd33e5e434b25af]

i111149


2010-04-26  Helge Delfs [hde]  <hde@openoffice.org>  [f232fd53a372ba91d4bb0c4f30c2629373598010]

tl74#108360#readonly document should be made readable


2010-04-26  Lars Langhans  <lla@openoffice.org>  [35d3742fcf4bb740cb94497e05a4fd95c87b694b]

gfxcmp02:#resolve#


2010-04-25  Caolán McNamara  <cmc@openoffice.org>  [0dc4061050a5ed788e3055b14720b32289a365d5]

cmcfixes74: merge with DEV300_m77


2010-04-23  sb  <sb@openoffice.org>  [103b1fe7fa357ed40b765548b7ab26a1bb41a96c]

sb120: merged in DEV300 masterfixes


2010-04-23  sb  <sb@openoffice.org>  [f7789aaa8fa77fc69ce58e0e672d337996c1119d]

sb121: merged in DEV300 masterfixes


2010-04-22  Jens-Heiner Rechtien  <hr@openoffice.org>  [e006133680b7dca510dd8d95193f05cf3c105dfa]

DEV300 masterfix: #i111084#: fix smoketest for setsolar based child workspaces


2010-04-22  Joerg Skottke [jsk]  <jsk@openoffice.org>  [02e4ef472891f22899263c755415c6608f0ee440]

vitomation01: #i109562 - Speedup


2010-04-22  Joerg Skottke [jsk]  <jsk@openoffice.org>  [d3eb7da322c0d5e3a4dd6184a0aa295757390703]

vitomation01: #i109696  - sub hTBOTypeInMathDoc removed as it was only a wrapper for another function.


2010-04-22  Joerg Skottke [jsk]  <jsk@openoffice.org>  [f39bfef75738f1a6120a47588bbfa6a7b8710218]

vitomation01: #i108621 - Removed two QAErrorLogs that stated that the tests are not suitable for Unix(like) OS. Changed those to be printlogs instead


2010-04-22  Joerg Skottke [jsk]  <jsk@openoffice.org>  [3df475c4863517c1da6345e34ebe29d46650e054]

vitomation01: #i108621 - Re-enabled two tests that were excluded (and marked with QAErrorLogs). The issue has been resolved for quite some time now. Inserted a single sleep( 2 ) statement as a dirty workaround for a toolbar which reacts slowly.


2010-04-22  Joerg Skottke [jsk]  <jsk@openoffice.org>  [0367ed0c64b6045604b97728dbca9de9c9f5cffb]

vitomation01: Local merge with DEV300_m77


2010-04-22  sb  <sb@openoffice.org>  [6e0a61a054bfd563d65d54bee00ebe90650f5054]

sb121: merged in DEV300_m77


2010-04-21  sb  <sb@openoffice.org>  [94dcf866ad6874e4e8d98917a8480ffcd067e112]

sb120: -c bdd775934f7f dropped changes from my patch that -c 0f69f969e000 had already addressed more bluntly


2010-04-21  Caolán McNamara  <cmc@openoffice.org>  [9d8e9a471cebed0d6eeb45878909431021545c1a]

cmcfixes74: merge with DEV300 m75


2010-04-21  sb  <sb@openoffice.org>  [36834e46ce19f0b4362c02911e30542f11389602]

sb120: merged in DEV300_m77


2010-04-21  Joerg Skottke [jsk]  <jsk@openoffice.org>  [9230eb7683cccbb9fd31ec16cbee31af0dd89534]

vitomation01: #i108387 - Force checkin with DOS CR/LF line terminators


2010-04-21  Joerg Skottke [jsk]  <jsk@openoffice.org>  [ae7b5126f95a80250dd39ba03e4f604914e9dae1]

vitomation01: Experiment - introduce more dynamic delays for slower machines to sMakeReadOnlyDocumentEditable


2010-04-21  Joerg Skottke [jsk]  <jsk@openoffice.org>  [5e490245d839115da37d6e06c6c87a275e1d9b65]

vitomation01: #i108621 - re-enabled two tests that had unjustified qaerrorlogs


2010-04-21  Joerg Skottke [jsk]  <jsk@openoffice.org>  [bda4bf7e508cccb8e6a4d0cc453fcf2a7ceebe2e]

vitomation01: Experimental change to sMakeReadOnlyDocumentEditable(), added waitslot for slower machines


2010-04-21  Joerg Skottke [jsk]  <jsk@openoffice.org>  [b315e7358f9acef9665ceba88c62e32c45cfbd1e]

vitomation01: Experimental change to sMakeReadOnlyDocumentEditable()


2010-04-21  Ruediger Timm  <rt@openoffice.org>  [6372b74edb4a38f93de1fe826b8a2369ce1f0413]

DEV300 masterfix: #i10000#: Some fixes for the new smoketest: solenv/inc/installationtest.mk used wrong variables (UPDMINOR is not set on RE master builds, use LAST_MINOR from minor.mk instead), smoketestoo_native/makefile.mk needed adaptions to new install set naming scheme.


2010-04-21  Joerg Skottke [jsk]  <jsk@openoffice.org>  [52c8a7900a695ddef9d743c948a6f14511cc1b94]

vitomation01: Experiment - full rewrite of sMakeDocumentEditable()


2010-04-20  Helge Delfs [hde]  <hde@openoffice.org>  [7948bc8919994cce382b4a21a97eb60b93e808fa]

dict321#111011#issue id removed


2010-04-20  Helge Delfs [hde]  <hde@openoffice.org>  [587393b2b2190d895f9ca9d537c6f772a3645ab0]

dict321#111011#selecting of drawing object optimized


2010-05-03  Ivo Hinkelmann  <ihi@openoffice.org>  [2622cd934fce8c3bee8e898b2a37a8a619b53991]

CWS-TOOLING: integrate CWS automationdev300m77cat0


2010-05-03  Ivo Hinkelmann  <ihi@openoffice.org>  [ce11ea98787e9a442778d9a8e22aae6f0e589c8d]

CWS-TOOLING: integrate CWS automationdev300m76cat0


2010-04-20  Joerg Skottke [jsk]  <jsk@openoffice.org>  [1798a2d97139645494d35c9203339cb8c04c699e]

vitomation01: #i111009 - Move tScripting to required tests as requested by HDE


2010-04-20  Joerg Skottke [jsk]  <jsk@openoffice.org>  [f9454c8212e4cb3f5d92e557e36e812c35422221]

vitomation01: #i109562 - simplified iniinfo.inc again by using byval parameter modifier instead of explicitly creating a copy of the parameter string in hStringReplaceChar()


2010-04-20  Joerg Skottke [jsk]  <jsk@openoffice.org>  [a941d57e46b11512aeb377d1e8b878862ca1b8c0]

vitomation01: Local merge with CWS automationdev300m76cat0 (which is currently nominated) - changes for slovenian language where not merged. Fixed.


2010-04-20  Joerg Skottke [jsk]  <jsk@openoffice.org>  [0889b4a557ed557fa8920eee11e97fa098590af4]

vitomation01: Local merge with CWS automationdev300m76cat0


2010-04-20  Joerg Skottke [jsk]  <jsk@openoffice.org>  [ebc4cd29f4c29e5ecc43906f06de14a9b32c8803]

vitomation01: #i108621 - moved tEditFields into sub sEditFields to allow tEditFields and tHTMLDocEditFields to use the same code as the only difference is the gApplication. Both test cases are needed because QUASTe is more than picky about removed test cases (simply refuses to update)


2010-04-20  Joerg Skottke [jsk]  <jsk@openoffice.org>  [adf4087b56eaa66564bca12690d9c4434210dfe4]

vitomation01: #i109562 - remove all traces of hGetListFileSize(), set the max size to 10000 which currently is by far more than enough.


2010-04-19  Kohei Yoshida  <kyoshida@novell.com>  [6d347a46ad999b5b906e0b1ed04adfd9dc9f8314]

koheiautodecimal: rebased to DEV300_m76.


2010-04-19  Joerg Skottke [jsk]  <jsk@openoffice.org>  [a289e3d7380623312e256f313cc119013cb7206d]

vitomation01: #i109562 - fix typo


2010-04-19  Joerg Skottke [jsk]  <jsk@openoffice.org>  [0b24e7acb73107d056defe6cb7b02f56763679a3]

vitomation01: #i109562 - Simplify basic_ide.inc, kill hClickToolbarButton() and map it to hClickButton()


2010-04-19  Joerg Skottke [jsk]  <jsk@openoffice.org>  [4cb101f0a9dd265b6debf94e8a3b0c351eafea3c]

vitomation01: #i109562 - Slot <SaveSourceTest> should rather be called <SaveSourceText>


2010-04-19  Joerg Skottke [jsk]  <jsk@openoffice.org>  [d4f6d063d3bdb10976530b3d78beb3831bb56c24]

vitomation01: #i109562 - Small enhancements, need checking on different machine.


2010-04-19  Joerg Skottke [jsk]  <jsk@openoffice.org>  [7cb77ab4b9d3019d531ef802cf59615f741c99f2]

vitomation01: #i109562 - Reworked method to check for Templates and Samples dialog, should now no longer fail on slower machines.


2010-04-19  Joerg Skottke [jsk]  <jsk@openoffice.org>  [153b15855aff5e11cd50a3c7bf1ae02d5a403517]

vitomation01: #i109696 - Removed three functions from t_listfuncs.inc


2010-04-19  Joerg Skottke [jsk]  <jsk@openoffice.org>  [ce7ac3bc90306ddc49ed95ffa5407a5978cefa41]

vitomation01: #i109562 - t_macro_tools.inc - removed dependency to t_listfuncs.inc


2010-04-19  Joerg Skottke [jsk]  <jsk@openoffice.org>  [6aff2a34339bcafc8ecced93d6673144f5dd51eb]

vitomation01: #i109562 - basic_usertemplate.inc - provided test case documentation (was missing after old style documentation removal)


2010-04-19  Joerg Skottke [jsk]  <jsk@openoffice.org>  [f0c9880db80565203d8454c38dd113a936236387]

vitomation01: #i109562 - basic_modulehide.inc - code compression


2010-04-19  Joerg Skottke [jsk]  <jsk@openoffice.org>  [27f1dc31cd0750520088fcc9399b6ad11149a067]

vitomation01: #i109562 - basic_macros.inc - more refactor


2010-04-19  Joerg Skottke [jsk]  <jsk@openoffice.org>  [c6750f26c0a9b806f5919f03868a4d590ae4ea25]

vitomation01: #i109562 - basic_macros.inc - partial refactor


2010-04-19  Joerg Skottke [jsk]  <jsk@openoffice.org>  [2b0397da3f192073afdd771fb96c9be17fc8305b]

vitomation01: #i109562 - tools_customize.inc was broken after partial refactoring.


2010-04-16  sb  <sb@openoffice.org>  [1b7f15c8410e28b69ba075043ad114259bd7dbd4]

sb120: #i110944# jpipe.dll wrapper around jpipx.dll


2010-04-16  Joerg Skottke [jsk]  <jsk@openoffice.org>  [fd0d531a9102a5af2afcffb5352100087d1212cc]

vitomation01: #i108622 - w_updt.bas:tZORest() - This is a bug tracked as issue #i56594 now assigned to development. The test has been modified to recover by using a single mouseclick to select the graphics object to prevent later issue to get masked.


2010-04-16  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [dc71e09544b59415483bff899cd2867443bda9e2]

dba33f: merge with m76-branch


2010-04-16  Jens-Heiner Rechtien  <hr@openoffice.org>  [5686df9c5ff5ffe8201db537b9299595b017698e]

DEV300: merge masterfix ea9085d6db4c@DEV300


2010-04-16  Jens-Heiner Rechtien  <hr@openoffice.org>  [5b02df2c28fd88cf5a9394620dc686073e718856]

CWS-TOOLING: integrate CWS sb118


2010-04-15  sb  <sb@openoffice.org>  [5175a8288dd8248cd1d29598e9ba7f625c2135bc]

sb120: #i110925# do not check Locale for non-empty Country


2010-04-15  Joerg Skottke [jsk]  <jsk@openoffice.org>  [7076b01685465839d9888bac25fb3a4aa2ce83ed]

vitomation01: #i109562 - Restructured test, code cleanup


2010-04-15  Joerg Skottke [jsk]  <jsk@openoffice.org>  [bf6dbfb37834204e92e82ca0bc9337cafa64d336]

vitomation01: #i109562 - Restructured test


2010-04-15  Helge Delfs [hde]  <hde@openoffice.org>  [a4be8437d6a39c8d53a135fa5f4da323a62dc127]

automationdev330m76cat0#110900#re-eneabled previous workaround


2010-04-15  Helge Delfs [hde]  <hde@openoffice.org>  [b2171f223c2d6f9e40959f50a98f891a4b941013]

automationdev330m76cat0#110900#Workaround for flickering toolbar when loading a document->added do..loop


2010-04-15  Joerg Skottke [jsk]  <jsk@openoffice.org>  [82d55b118debf75fc99d123853a463de58fc8e48]

vitomation01: #i109562 - More stability fixes


2010-04-15  sb  <sb@openoffice.org>  [bb3fe8a547b68a1b6422550d45713e22679f08a0]

sb120: merged in backout from cws/sb118


2010-04-14  sb  <sb@openoffice.org>  [d1f1ce7aac8e355171736b70df63f2c1c146666c]

sb118: merged in backout


2010-04-14  Oliver Craemer [oc]  <oc@openoffice.org>  [b8078c81772c118bff4bcef974a96a59e1c776cf]

i110879 : [Automation] sMakeReadOnlyDocumentsEditable fails


2010-04-14  Helge Delfs [hde]  <hde@openoffice.org>  [05c4aefb13152685334fd2050a6aa1215dcee0ca]

vcl100#110741#adapted autotest for removed fonts button->control removed


2010-04-14  Helge Delfs [hde]  <hde@openoffice.org>  [95b1776784f10743f27be63e692975ff05902ae5]

vcl100#110741#adapted autotest for removed fonts button->testcase removed


2010-04-14  wg111939  <wg111939@sr1-eham02-02>  [42def01810c0a39a787e74f236ded4e0d755fed0]

i110864


2010-04-14  Thomas Lange [tl]  <tl@openoffice.org>  [ce3e794471cd9f28d915edb9998a3a4b0d593dc9]

cws tl74: merge with DEV300 m76


2010-04-14  Joerg Skottke [jsk]  <jsk@openoffice.org>  [a4711c2769c0b1e6115ef059afd3f67bcd65a377]

vitomation01: Regression fixing - Repair f_topten.bas


2010-04-14  Helge Delfs [hde]  <hde@openoffice.org>  [3d343863964a6324fd974a582fba7d0c77aec242]

automationdev300m76cat0#107893#added support for slovenian language


2010-04-13  tb121644  <tb121644@sr1-eham02-04>  [564bd1af9360e04c175f00dc9bc0ffd85b322d4e]

#i110714# [Automation]result extract holds wrong product name


2010-04-13  Helge Delfs [hde]  <hde@openoffice.org>  [be0400fa580619d487670343a5abd055660bd4fb]

automationdev300m76cat0#107893#added support for slovenian language


2010-04-13  Helge Delfs [hde]  <hde@openoffice.org>  [b3aa95c5ee03dc984660fca79dff68e648faf22f]

automationdev300m76cat0#107893#added support for slovenian language


2010-04-13  Helge Delfs [hde]  <hde@openoffice.org>  [1ed3b8722ff435f28f3caa27baaa2657a67a6501]

automationdev300m76cat0#107893#added support for slovenian language


2010-04-13  Helge Delfs [hde]  <hde@openoffice.org>  [fd11fa359dfad59efdc99f80f861736d3318a758]

automationdev300m76cat0#107893#added support for slovenian language


2010-04-13  Helge Delfs [hde]  <hde@openoffice.org>  [b385d9dac9aa7201c17d49c9c3b2d2a4b27973a2]

automationdev300m76cat0#107893#added support for slovenian language


2010-04-13  Helge Delfs [hde]  <hde@openoffice.org>  [e8f2bc10dd3e66680b85cac567142fadffe9bba2]

automationdev300m76cat0#108057#fixed language detection for slovenian language


2010-04-13  tb121644  <tb121644@sr1-eham02-04>  [e935bb8b8939709480b71db37daf9c5f3fbb05c7]

#i109825# enable testautomation for gridcontrol


2010-04-13  Joerg Skottke [jsk]  <jsk@openoffice.org>  [7156056fce61d01c771379c290f4604df152eb9d]

vitomation01: #i109562 - ConvertPath is a function! Fixed.


2010-04-13  Joerg Skottke [jsk]  <jsk@openoffice.org>  [c1d0c0055bb9a402b0b08b12d74047f25b297047]

vitomation01: #i109562 - Protect function parameters, they should not be changed (ConvertPath behaves differently, though )


2010-04-13  Joerg Skottke [jsk]  <jsk@openoffice.org>  [2a8abf44f05f92428ccbc4595b9b4894d2a4d4ae]

vitomation01: #i109562 - ConvertPath was far too complex, cleaned up. Introduced unified functions to replace single characters or small substrings within a string, still need to remove countless clones


2010-04-13  Helge Delfs [hde]  <hde@openoffice.org>  [5380c58954932750dcbe05088144f9a2aceeb5a8]

automationdev300m76cat0#108549#added workaround to set focus of document


2010-04-13  Helge Delfs [hde]  <hde@openoffice.org>  [6115e24da8ee85d99cbe24759a403e54e64d8a73]

automationdev300m76cat0#108549#added workaround to set focus of document


2010-04-12  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [e369a13de5c10d1f328b8682bebc29973b107eb0]

slidecopy: merge


2010-04-12  Jens-Heiner Rechtien  <hr@openoffice.org>  [57d31e18edacfb56fe8c7c211f0fe51ca0f2ab3b]

CWS-TOOLING: integrate CWS dr74


2010-04-12  Jens-Heiner Rechtien  <hr@openoffice.org>  [704fadcc76ef244f943ab45fffbd31bcddbf766b]

CWS-TOOLING: integrate CWS automationdev300m75cat0


2010-04-12  Helge Delfs [hde]  <hde@openoffice.org>  [529ce32b77153d9bbf94249700af493bdac72f4f]

automationdev300m76cat0#110648#added workaround if tables in Autopilot need a long time to load


2010-04-12  Helge Delfs [hde]  <hde@openoffice.org>  [502bf70c628f19542c15c20e4d1fcdd81798464c]

automationdev300m76cat0#i110807#fixed undimensioned variable...cleanup


2010-04-12  Joerg Skottke [jsk]  <jsk@openoffice.org>  [adab0f963e062152841965dc8b968e1c40568661]

vitomation01: #i109562 - Modifications to OLE tests, remove function DisableNavigator() as it was identical to hCloseNavigator() which again now is just a call to hCloseDialog...


2010-04-12  Christian Lippka  <christian.lippka@sun.com>  [f893c831376c71ca164758f6147ec9f1ba3ecca9]

impress188: rebase m76


2010-04-12  Joerg Skottke [jsk]  <jsk@openoffice.org>  [3b1a7d289a59f5756fdf9348266f45e18bb2e10d]

automationdev300m76cat0: #i110804 - Added missing version number to officeinfo.txt which is used for building the OLE application names


2010-04-12  Joerg Skottke [jsk]  <jsk@openoffice.org>  [994c7e26f0cc6404b06f59d6fd6e03ae64b3ad8c]

vitomation01: #i109562 - local merge with DEV300_m76 which had conflicts with changes from native0


2010-04-12  Joerg Skottke [jsk]  <jsk@openoffice.org>  [ff00313b7f72259fe0fec066b24fb8901bb336a9]

vitomation01: #i109562 - Code cleanup, use parameters where possible


2010-04-09  Oliver Craemer [oc]  <oc@openoffice.org>  [da8efacb817d4d8ba27e37f3d32359f5bb2a740a]

[automation] c_updt1.bas : tViewNavigator fail


2010-04-09  Caolán McNamara  <cmc@openoffice.org>  [8d0526647573aebe2d46b27e23621cf4c076cbd8]

cmcfixes74: merge with DEV300 m76


2010-04-08  npower Developer  <npower@openoffice.org>  [03391038bc61417930e4b9c1171b399b8de09f7e]

npower13_objectmodule: merge heads ( from merge to DEV300_m75 )


2010-04-07  sb  <sb@openoffice.org>  [2150b1aaf9d6137f926f47e373ae8bffbfda93fc]

sb120: merged in re/DEV300_next towards DEV300_m76 via cws/sb118


2010-04-07  sb  <sb@openoffice.org>  [90f3a63b2bbedef2762f4d3b1d46eedf008c7f9d]

sb118: merged in re/DEV300_next towards DEV300_m76


2010-04-07  Helge Delfs [hde]  <hde@openoffice.org>  [0cb1a2ce7c75f64ef0db1064e9e2cc6b08fd0f09]

tl74#i107229#testautomation for thesaurus in right click context menu


2010-03-31  Oliver Craemer [oc]  <oc@openoffice.org>  [eb48c7cb29d9fad3cacb466f16603aebee7110ce]

#i108586# [Automation] Timingproblem in ch_lv1.bas


2010-03-25  Joerg Skottke [jsk]  <jsk@openoffice.org>  [bc7aede456783adfa9a2234d98e828d27e08638d]

vitomation01: #i109562 - Add inport to .bas file, modified test case for even better readability, handled macros blocked message


2010-03-25  Joerg Skottke [jsk]  <jsk@openoffice.org>  [02d6311fcb5b3b955ae389dac793b0d53edfc5d0]

vitomation01: #i109562 - Rework and simplification


2010-03-25  Joerg Skottke [jsk]  <jsk@openoffice.org>  [186f8b023ebebc9247c40363c75270182aef9192]

vitomation01: #i109562 - The test document does not auto-execute the macro (as assumed during test development). Added macro execution and reordered dialog handling


2010-03-25  Oliver Craemer  <oc@openoffice.org>  [556282b9baa7ed4b500d6e3316639b408a48cd5f]

#i110311# [Automation] Timingproblems while selecting chartelements


2010-03-24  Oliver Craemer  <oc@openoffice.org>  [fea2b2120ab4f5cc69181c1571008b562f27a584]

#i110357# [Automation] adapt spreadsheettestscripts for new thesaurus


2010-03-24  Thomas Lange [tl]  <tl@openoffice.org>  [e352477836e79ac317362ee9a4b02f65bd111a7d]

cws tl78: merge with DEV300_m75


2010-03-24  Joerg Skottke [jsk]  <jsk@openoffice.org>  [b13ae9645509c1e106aa3190a89f5553bb35dc9d]

npower14miscfixes: Fixed incorrect closing mehod


2010-03-24  Thomas Lange [tl]  <tl@openoffice.org>  [ba2ce76a76541bbdc6c941669967b403a3faf4a3]

cws tl74: merge with DEV300_m75


2010-03-24  Oliver Craemer  <oc@openoffice.org>  [4b8e906fd457f35e77ec519f9f129c9adf180269]

#i110357# [Automation] adapt spreadsheettestscripts for new thesaurus


2010-03-24  Joerg Skottke [jsk]  <jsk@openoffice.org>  [dd006a4d1d6a2b34c86eb95792b740fdca747b51]

npower14miscfixes: More includes added, fixed logic error


2010-03-24  Joerg Skottke [jsk]  <jsk@openoffice.org>  [b7e14bbc022c89e366778c27b63c29777d6518eb]

npower14miscfixes: Added missing quote


2010-03-24  Joerg Skottke [jsk]  <jsk@openoffice.org>  [09a753aae2f72864decd047d0279edd1f81d0ee6]

npower14miscfixes: Added missing include


2010-03-24  Joerg Skottke [jsk]  <jsk@openoffice.org>  [edc9ff9fb7ce684300055f57139d0459ca648f7d]

npower14miscfixes: #i109699 - Added test to f_basic_vba-compat.bas


2010-03-24  Joerg Skottke [jsk]  <jsk@openoffice.org>  [3c78e48bbafd18736ec27f3b2b38479726c8dda1]

npower14miscfixes: #i106744 - Added sample macro to f_basic_issues.bas, called both with VBAsupport = 1 and without.


2010-03-24  Marc Neumann [msc]  <Marc.Neumann@sun.com>  [483f53b4ea3009b552e428c6a42c2867dc31b24d]

cws tl74: #108359#


2010-03-23  Marc Neumann [msc]  <Marc.Neumann@sun.com>  [7824c1d9ab3ebab8db0734ab0dfdedc6f593e3a8]

cws tl74: #108360#


2010-03-23  Marc Neumann [msc]  <Marc.Neumann@sun.com>  [8fc967d38b961d5f658c4c4506b893ebf9ef1af1]

cws tl74: #108360#


2010-03-23  Mihaela Kedikova  <misheto@openoffice.org>  [44fd52a65c9539a82c5fde9d81f71be508ba9bde]

gridcontrol_03: merge with DEV300_m75


2010-03-23  sb  <sb@openoffice.org>  [a8cd26bfa748f78fd7ca19abede5c97fa7ba0e58]

sb118: removed obsolete files


2010-03-23  Joerg Skottke [jsk]  <jsk@openoffice.org>  [c3e30d6b5a194a6dadd9c6275db4d9fada531dd6]

vitomation01: #i109562 - Fix incorrect interpretation of returnvalue, added workaround for non-working EditSelectAll slot in BASIC IDE


2010-03-23  Joerg Skottke [jsk]  <jsk@openoffice.org>  [794e4dec107665176b9a0675955e283ed81b72dc]

vitomation01: #i109562 - context error


2010-03-23  Joerg Skottke [jsk]  <jsk@openoffice.org>  [f44ac4642c6e717f29bddd638ff696a718f049bb]

vitomation01: #i109562 - More cleanup


2010-03-23  Joerg Skottke [jsk]  <jsk@openoffice.org>  [b8c63e1628b3f5c8740dfcfb4a27e7381fa9fa9f]

vitomation01: #i109562 - Provide missing includes, reworked hDeleteMacro()


2010-03-22  Joerg Skottke [jsk]  <jsk@openoffice.org>  [66aabbe9dbead19c689779f71b565b73bac45adc]

vitomation01: #i109562 - More cleanup


2010-03-22  Joerg Skottke [jsk]  <jsk@openoffice.org>  [4f31cc36a83594adffa36b192c15109be626793d]

vitomation01: #i109562 - More cleanup


2010-03-22  Joerg Skottke [jsk]  <jsk@openoffice.org>  [e2672338c2493a317b768b9dbc9748914a11ec54]

vitomation01: #i109562 - More cleanup


2010-03-22  Joerg Skottke [jsk]  <jsk@openoffice.org>  [3613a3e749e5e9cc64969278ad44a2d3f370e4ee]

vitomation01: #i109562 - More cleanup


2010-03-22  Joerg Skottke [jsk]  <jsk@openoffice.org>  [5538e6adfba396ef618cf81677d4049b3a0308e5]

vitomation01: #i109562 - More cleanup


2010-03-22  Joerg Skottke [jsk]  <jsk@openoffice.org>  [bda074e95c3298fa5b2699945c576f18330637d0]

vitomation01: #i109562 - Fix missing occurrences of deleted functions


2010-03-22  Joerg Skottke [jsk]  <jsk@openoffice.org>  [877c4aad929c642e4af5647d4570d7652e620ad1]

vitomation01: #i109562 - get rid of hBasicModuleCreateNew() as it does basically the same as hCreateModuleForDoc(). Had to clean up hCreateModuleForDoc() as well for that


2010-03-22  Andreas Bregas  <ab@openoffice.org>  [ceca065250f897e12651c1dec35db6f776a3ab0d]

npower14miscfixes: merge with DEV300_m75


2010-03-22  Joerg Skottke [jsk]  <jsk@openoffice.org>  [e53adc3ff3cb21c9f6bdf91b374813a00703fa46]

vitomation01: #i109562 - remove printlog from hGetPathSigne, added printlogs to convertpath() to track usage


2010-03-22  Joerg Skottke [jsk]  <jsk@openoffice.org>  [b42a50466114c0373865c674fa47f9e3901425f1]

vitomation01: #i109562 - My dirtiest - hard coded accelerators for tabswitching in BASIC IDE, these are not language dependent for all i know. Remove the accelerators from accelerators.txt


2010-03-22  Joerg Skottke [jsk]  <jsk@openoffice.org>  [452a45e40e44bb7f5d6acf1dfc755c274d1a6806]

vitomation01: #i109562 - My dirtiest - a few minor cleanups but the code could probably use a real facelift


2010-03-22  sb  <sb@openoffice.org>  [3032261dd1c05c3f43465499ab6efc34fd58a68e]

sb121: minor code improvement


2010-03-22  Joerg Skottke [jsk]  <jsk@openoffice.org>  [9ba97806abd1957d72770806df0a6a3134ff9997]

vitomation01: #i109562 - remove unnecessary ucase( gApplication ) statements, the string is always uppercase


2010-03-22  Joerg Skottke [jsk]  <jsk@openoffice.org>  [459134257d8f3994cf9952e2a4a155d475fb0423]

vitomation01: #i109562 - Use parameters where possible, removed weird code constructs


2010-03-22  Joerg Skottke [jsk]  <jsk@openoffice.org>  [a01fbe56d18b0c01f32043d1b83b9236b9068c62]

vitomation01: Local merge


2010-03-19  Marc Neumann [msc]  <Marc.Neumann@sun.com>  [130979e361a84d9b128e065ea966c834a5b7bb83]

tl74: #108360# fixed for new thesaurus and refactoring


2010-03-19  Joerg Skottke [jsk]  <jsk@openoffice.org>  [0ecdb9e3494650cb4848d4ff6715b2a850d5a2df]

vitomation01: #i109562 - find out how frequently we call hGetPathSigne()


2010-03-19  Joerg Skottke [jsk]  <jsk@openoffice.org>  [e055dbe23bf76ef3b365cfec0563afb65b1929c5]

vitomation01: #i109562 - silence hGetUNOService()


2010-03-19  Joerg Skottke [jsk]  <jsk@openoffice.org>  [d811e1dbcdd244412e7712615f82e1a78a1850cb]

vitomation01: #i109562 - silence performance helper functions


2010-03-19  Joerg Skottke [jsk]  <jsk@openoffice.org>  [1af4d75a1c9ac228db6a1110447d0432c4fc0872]

vitomation01: #i108621 - Completed method to retrieve suitable field type, added printlog


2010-03-19  Joerg Skottke [jsk]  <jsk@openoffice.org>  [bc39272a0e6ead5741e9fc07025b888230e3aed0]

vitomation01: #i108621 - the default field did not work in all languages. Implemented another approach to make sure that we have a filed that makes the edit... button show on the Edit Fields dialog.


2010-03-19  Joerg Skottke [jsk]  <jsk@openoffice.org>  [3ec3f1ecfadc49165ed8c3151fe24c0260b85d02]

vitomation01: #i109696 - formcontrol still not selected reliably (what works on one platform must not necessarily work on another)


2010-03-19  Joerg Skottke [jsk]  <jsk@openoffice.org>  [8d9d8328548a4ccc2944d87f5db2a9bdcb6a959a]

vitomation01: #i109696 - Use hClickbutton() and hUseAsyncSlot() wherever possible


2010-03-19  Joerg Skottke [jsk]  <jsk@openoffice.org>  [d8360189139d1498b8a69a9b0ed0dade8d1161f4]

vitomation01: #i109696 - Removed one more file (moved included function to another file)


2010-03-19  Joerg Skottke [jsk]  <jsk@openoffice.org>  [6f21a6e8e6207bbec82e28fef201185d5fde089c]

vitomation01: #i109696 - Better readability


2010-03-18  Joerg Skottke [jsk]  <jsk@openoffice.org>  [0f63ebfe59c4de55efb187ad20f97e06d73892b9]

vitomation01: #i109562 - looks like i am getting it!


2010-03-18  Joerg Skottke [jsk]  <jsk@openoffice.org>  [c43fada77d20e454bf2d2ed0158af0d4c3511455]

vitomation01: #i109562 - another try


2010-03-18  Joerg Skottke [jsk]  <jsk@openoffice.org>  [0dde10603bf3adfdb789a918eb8b6f98245faecd]

vitomation01: #i109562 - slowly homing in on the real problem...


2010-03-18  Joerg Skottke [jsk]  <jsk@openoffice.org>  [c51dbad392ee87bf4b765c12764d8c0392dbe27e]

vitomation01: #i109562 - add some debugging info to find out why the horizontal line always returns an error - the test is too fast to watch and a breakpoint doesn't help either


2010-03-18  Joerg Skottke [jsk]  <jsk@openoffice.org>  [3b0a3aa0e76b4ed063e2c9c970b34890fd37d4da]

vitomation01: #i109562 - fixed one potentially faulty errormessage (very confusing!)


2010-03-18  Joerg Skottke [jsk]  <jsk@openoffice.org>  [84c99d898fbbb1d8ff482e9d6d02bb41ac266efe]

vitomation01: #i109562 - try to get the entryfiled of the property browser filled with a new string as fast as possible


2010-03-18  Joerg Skottke [jsk]  <jsk@openoffice.org>  [05db6af27a79afd1edff97880e2cf74d3374f7e4]

vitomation01: #i109562 - more attempted code compression


2010-03-18  Joerg Skottke [jsk]  <jsk@openoffice.org>  [8af5d36affd349bbea09683279d899a1d0420be2]

vitomation01: #i109562 - more attempted code compression


2010-03-18  Marc Neumann [msc]  <Marc.Neumann@sun.com>  [728f00b9f43daf9223234494afb2e038787e6f33]

tl74: #108360# fixed for new thesaurus and refactoring


2010-03-18  Joerg Skottke [jsk]  <jsk@openoffice.org>  [cc71814b98cd45796134967c4c40bfb2cb66f653]

vitomation01: #i109562 - more attempted code compression


2010-03-18  Joerg Skottke [jsk]  <jsk@openoffice.org>  [223f24eab4dea9d948d9a6794482aa647ad0ed11]

vitomation01: #i109562 - more attempted code compression


2010-03-18  Joerg Skottke [jsk]  <jsk@openoffice.org>  [34cbc5066b1ecd78e61adfc6bdd30d99447416f6]

vitomation01: #i109562 - more attempted code compression


2010-03-18  Joerg Skottke [jsk]  <jsk@openoffice.org>  [a5a57ada337e225fa0f0f191428ccd17aba94dca]

vitomation01: #i109562 - more attempted code compression


2010-03-18  Joerg Skottke [jsk]  <jsk@openoffice.org>  [3165ff75ba2f1a757062874bb4ed740e080d752e]

vitomation01: #i109562 - more attempted code compression


2010-03-18  Joerg Skottke [jsk]  <jsk@openoffice.org>  [80ea7731e640e05e031eb4a84df8a781b98adde5]

vitomation01: #i109562 - more attempted code compression


2010-03-18  Joerg Skottke [jsk]  <jsk@openoffice.org>  [e577b0fe74f38dab851258141faae0572f67470c]

vitomation01: #i109562 - more attempted code compression


2010-03-18  Joerg Skottke [jsk]  <jsk@openoffice.org>  [e220edd288f37f5db86009ab811bbd24e425bbde]

vitomation01: #i109562 - Test: try to remove calls to hOpenPropertyBrowser() and hClosePropertyBrowser(), using hUseAsyncSlot() instead


2010-03-18  Joerg Skottke [jsk]  <jsk@openoffice.org>  [bea24c8b63040c1c17cbe4fbc9868d09f6213056]

vitomation01: #i109562 - Added ICONTROLCOUNT to basic_formcontrols.inc


2010-03-18  Joerg Skottke [jsk]  <jsk@openoffice.org>  [208fb41072a5dc8f5c8855d0cdff5106262b5071]

vitomation01: #i109562 - Simplified formcontrols.inc - exit for-next on first success.


2010-03-18  Joerg Skottke [jsk]  <jsk@openoffice.org>  [30d43ff8a898f9d4af93e9f099c6599d2101a161]

vitomation01: #i109562 - Simplified formcontrols.inc - there was little to do because these functions are pretty fancy already.


2010-03-18  Joerg Skottke [jsk]  <jsk@openoffice.org>  [2e7deabc6ad32c79e440e871257d6203c081dc58]

vitomation01: #i109562 - Removed tabpages.inc, moved function hDocumentInfoSelectTab() to the only include file that uses it.


2010-03-18  Joerg Skottke [jsk]  <jsk@openoffice.org>  [eaaa325eb99e09558d500091551bd7f55c133992]

vitomation01: #i109562 - Removed all_interfaces.txt, it has become too inaccurate


2010-03-17  Joerg Skottke [jsk]  <jsk@openoffice.org>  [cb66e09a8330ff88b3e510c7c1543a4d8588c518]

vitomation01: #i109696 - Compressed t_macro_tools.inc and t_treelist_tools.inc


2010-03-17  Joerg Skottke [jsk]  <jsk@openoffice.org>  [024c2fdf6401db8fc607e869ffc22f8785ab781e]

vitomation01: #i109696 - Compressed t_macro_tools.inc and t_treelist_tools.inc


2010-03-17  Helge Delfs [hde]  <hde@openoffice.org>  [00a80772f2e21a35bd044a07a5f2a4246a725fa4]

tl74#i1601#Added slots Toggle case, First Letter Capitalized and Sentence case


2010-03-17  Helge Delfs [hde]  <hde@openoffice.org>  [83cea1295f3d61a08a69fbf8a2cc2ad358705aaf]

tl74#i1601#Added slots Toggle case, First Letter Capitalized and Sentence case


2010-03-17  Joerg Skottke [jsk]  <jsk@openoffice.org>  [72b7dc58408f5eeea5f3e7a517b972fbbb685393]

vitomation01: #i109696 - Compressed t_stringtools.inc


2010-03-17  Joerg Skottke [jsk]  <jsk@openoffice.org>  [45b6c6a2ab8940d6e0baf6793a2368071878ea83]

vitomation01: #i109696 - Compressed t_security_tools.inc


2010-03-17  Joerg Skottke [jsk]  <jsk@openoffice.org>  [eb218d0328b7e0d01c173265f79d5a0a9d51bd5e]

vitomation01: #i109696 - Removed stupid function hWaitForTreeList() - Good idea, bad execution.


2010-03-17  Helge Delfs [hde]  <hde@openoffice.org>  [b97841a8bc75157820cd2d2496517cabc6b352d4]

tl74#i108360#Adaptions for new thesaurus dialog


2010-03-17  wg111939  <wg111939@sr1-eham02-02>  [469a5b0790f3af02e64e0bc4e311329ade598048]

native0: 161788


2010-03-30  Vladimir Glazunov  <vg@openoffice.org>  [e795512b4f13a016e16b024d261d72ef862650a5]

native0: #161747 - Removed reference files for StarOffice and StarSuite - transplanted from changeset 07f16b1c0c4f@native0


2010-03-30  Vladimir Glazunov  <vg@openoffice.org>  [fcf2319bc15dd238522ca4c6d94e21f69c423d21]

native0: #161747 - Removed reference files for StarOffice and StarSuite - transplanted from changeset 9827ae8ec61a@native0


2010-03-17  Joerg Skottke [jsk]  <jsk@openoffice.org>  [51fde4bea96131a4f7187877f229b0271308f324]

vitomation01: Fix the fixes - make VERBOSE to GVERBOSE


2010-03-17  Joerg Skottke [jsk]  <jsk@openoffice.org>  [3ffbeb1f86b4d8e660245eba76d8bf166f457836]

vitomation01: Fix the fixes - Add issue id for problem when loading documentbound macros via api (#i110184)


2010-03-17  Joerg Skottke [jsk]  <jsk@openoffice.org>  [3acdc6a40cde772ba29ed9d0533cdda929433cdc]

vitomation01: Fix the fixes - where refactoring went too far - hClickButton() still has iWait variable, removed it


2010-03-17  Joerg Skottke [jsk]  <jsk@openoffice.org>  [09693fb8bca1c33fb30461e8aaf8503a00f04bdd]

vitomation01: Fix the fixes - where refactoring went too far - removed usage of no longer existing apicalls.inc


2010-03-17  Helge Delfs [hde]  <hde@openoffice.org>  [c1f666be8a8a5513942298b7cce51a5432554bd9]

tl74#i108360#Adaptions for new thesaurus dialog


2010-03-17  Helge Delfs [hde]  <hde@openoffice.org>  [4b650a0d2a09dc93bffa58eba9bb42acd2abba1a]

tl74#i108360#Adaptions for new thesaurus dialog


2010-03-17  Joerg Skottke [jsk]  <jsk@openoffice.org>  [eb62f2af671864aedbe8c4940cc2155c1abc5836]

vitomation01: Fix the fixes - where refactoring went too far


2010-03-16  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [1e0cf13e184be8f59feb820f846dfee2c35abc50]

merge with DEV300_m75


2010-03-16  Joerg Skottke [jsk]  <jsk@openoffice.org>  [eb6abd3a381a9e1ab8a3987e10ab584c7aa74ef5]

native0: #161747 - updated help reference


2010-03-30  Vladimir Glazunov  <vg@openoffice.org>  [78afe0b5608cfc66899b766d1be180e803453282]

native0: #161747 - security tools fixed - transplanted from changeset 3bfb30297e75@native0


2010-03-30  Vladimir Glazunov  <vg@openoffice.org>  [38abd6e95461da41113613b6df5c0999ad30b59d]

native0: #161747 - Fix help tests (missing reference files) and disabled saving files in 645 (binfilter) format for now. Need to check why the f_basic_incorrect_passwords still fails. - transplanted from changeset a4aeb020fcca@native0


2010-03-16  Joerg Skottke [jsk]  <jsk@openoffice.org>  [c85ea4f30ca19f2e8d06ddd83c6c65842343b243]

vitomation01: #i109562 - The test did not append a suffix to the filename causing the test to fail loading the file again. By reducing the number of filepath components (path, filename and suffix are now stored in one single variable) it was possible to simplify the test significantly.


2010-03-15  Helge Delfs [hde]  <hde@openoffice.org>  [17f8c38175c2aa69123655fb75009ea8fa51f690]

tl74#i105514#Autotests adapted for new thesaurus dialogs


2010-03-15  Joerg Skottke [jsk]  <jsk@openoffice.org>  [f019d5b9950a136efcd39ae565e4da261cab71d1]

vitomation01: Branch merge with DEV300_m75


2010-03-15  Joerg Skottke [jsk]  <jsk@openoffice.org>  [3e0a1b4efb6f739d98b6b1307490de789bace6e9]

vitomation01: #i110065 - Enhance list functions as a foundation for changes requested by KLA


2010-03-13  Joerg Skottke [jsk]  <jsk@openoffice.org>  [2f76a49d0c9cc84bf047238d42d13a85ba19be69]

native0: #161747 - Fix help tests (missing reference files) and disabled saving files in 645 (binfilter) format for now. Need to check why the f_basic_incorrect_passwords still fails.


2010-03-16  Joerg Skottke [jsk]  <jsk@openoffice.org>  [b6edd4ad306b8895283f2babbbb069ad156dc8fa]

native0: #161747 - Filternames for platforms with larger filter set


2010-03-15  Joerg Skottke [jsk]  <jsk@openoffice.org>  [1a7c5d246f8ddfb301e17de6e07335beab3e5a8d]

native0: #161747 - Add automatic filename completion to test case (which caused the test to fail)


2010-03-15  Joerg Skottke [jsk]  <jsk@openoffice.org>  [230d3bdd3866d649b7774ecc6dca2b645b9dacf0]

native0: #i161747 - Update filterlists to support Oracle Open Office


2010-03-15  Joerg Skottke [jsk]  <jsk@openoffice.org>  [15dc5dfe67482b9d659ccc20aa2000f14790b112]

native0: #i161747 - Update help tests to support Oracle Open Office


2010-03-12  Joerg Skottke [jsk]  <jsk@openoffice.org>  [3f40ace55f9dceae26f24bc1229917b44516a162]

vitomation01: #i110065 - Enhanced hManageComaprisionList(), hListCompare(), introduced hListResultEvaluation() and adjusted all calling test cases.


2010-03-12  Helge Delfs [hde]  <hde@openoffice.org>  [3998f96067ae5fcac672d2202f8ea419bcf276d0]

native0#161752#greenstate fixes


2010-03-30  Vladimir Glazunov  <vg@openoffice.org>  [875238fbfa38ebdf79619cbbeb8b236b668dbed7]

native0#161752#greenstate fixe - transplanted from fee134b4457b@native0


2010-03-11  sb  <sb@openoffice.org>  [65f7740eabad73a6621d4399ed6b49284415faed]

merged in re/DEV300_next towards DEV300_m75


2010-03-11  Joerg Skottke [jsk]  <jsk@openoffice.org>  [1d92b91ba7ee7e714076ecf4eec36143ccf79419]

vitomation01: #i109562 - Indention according to coding guidelines


2010-03-11  Joerg Skottke [jsk]  <jsk@openoffice.org>  [bf04ac9ecda1400cf28f76d69d0422c1f0b0387f]

vitomation01: #i109562 - Indention according to coding guidelines


2010-03-11  Joerg Skottke [jsk]  <jsk@openoffice.org>  [a99c20871d6150f6ae9a2cf98c553405cd770836]

vitomation01: #i109562 - Removed DateiFreigeben() and DateiSperren(), they are unused


2010-03-11  Marc Neumann [msc]  <Marc.Neumann@sun.com>  [1f994d13c61c31f1e9f52136cc07a840d86211c6]

native0: #161745# fix item count


2010-03-11  Joerg Skottke [jsk]  <jsk@openoffice.org>  [39cdbd9cc836987043b9817a0453eee3c2160782]

vitomation01: Local merge with DEV300_m74


2010-03-11  Joerg Skottke [jsk]  <jsk@openoffice.org>  [9a3715105e4e179d996b6b664f06156cbe9f2787]

vitomation01: #i109562 - chmod -R 777 on all files below framework


2010-03-11  Joerg Skottke [jsk]  <jsk@openoffice.org>  [861d3b487feb679518e253338c3f79dff35b9426]

vitomation01: #i109562 - Bring Office version info up to date.


2010-03-11  Joerg Skottke [jsk]  <jsk@openoffice.org>  [39b27c17b3fe8a15f14604987a678ddf4efedfc8]

vitomation01: #i109562 - Fixed documentation in hGetOLEObjectName()


2010-03-11  Joerg Skottke [jsk]  <jsk@openoffice.org>  [aca6c1bb1e4c1d8d826aebae715b6323b23fe239]

vitomation01: #i109562 - Allow using gApplication as parameter for hGetOLEObjectName() in t_OLE.inc


2010-03-11  Joerg Skottke [jsk]  <jsk@openoffice.org>  [b1445df6ee1fce7e4005e4eaa162828e3c16fced]

vitomation01: #i109562 - Removed unexpected ***** Warning: Indention error ***** strings


2010-03-11  tb121644  <tb121644@sr1-eham02-04>  [3a68170feeb1e0faaf54e13cfdbecd0a7a463f62]

#9999# fix window title test


2010-03-10  Vladimir Glazunov  <vg@openoffice.org>  [ef995d121aadcf16479ec59919b752d280f70384]

CWS-TOOLING: integrate CWS ab76


2010-03-10  Joachim Lingner  <jl@openoffice.org>  [1c1fe7827ae412fe012cc8e31697b0c639b7e38a]

native0 #i161639# increase assembly versions


2010-03-10  Joerg Skottke [jsk]  <jsk@openoffice.org>  [3a7ac5822398acde7904664e07e6571e5a553ce2]

vitomation01: #i109562 - removed init_tools.inc, performance.inc and all calls to those


2010-03-10  Joerg Skottke [jsk]  <jsk@openoffice.org>  [9bd982f7beb8b7842c18886d461312c4eeab41da]

native0: #161747 - Adjustments


2010-03-10  Joerg Skottke [jsk]  <jsk@openoffice.org>  [e014c6ad1c3e6d95693bd6c188e4a0289ee51c8f]

vitomation01: #i109606 - code compression


2010-03-10  Joerg Skottke [jsk]  <jsk@openoffice.org>  [75e8c15dc504ba608a81c2062695ade0afa86551]

vitomation01: #i109606 - code compression


2010-03-10  Vladimir Glazunov  <vg@openoffice.org>  [af5dbc828072ab6640f5c5dc668b26f43c72fb58]

CWS-TOOLING: integrate CWS chartmultiline


2010-03-10  Joerg Skottke [jsk]  <jsk@openoffice.org>  [485bc4ff90ae3e77efa381c14bce7cf37cb428f3]

vitomation01: #i109606 - hInitSingleDoc(), hInitBackingMode() existed twice. This renders init_tools.inc useles, removed.


2010-03-10  Joerg Skottke [jsk]  <jsk@openoffice.org>  [48a5c550da20bd90906435db6206f34acfb1c1d3]

vitomation01: #i109562 - Code compression


2010-03-10  Helge Delfs [hde]  <hde@openoffice.org>  [058bcef088a3735b1f312bd84c323117056fce4d]

tl74:#i108360#Adaptions to have greenstate for Cat0


2010-03-10  Joerg Skottke [jsk]  <jsk@openoffice.org>  [75cbed71e51ab2b14b26af2c37bab1f595a10b20]

native0: #161747 - Fixed scriptcount(s) in f_basic_vba-compat_import_nothing-/-disabled-/-enabled.bas


2010-03-10  Joerg Skottke [jsk]  <jsk@openoffice.org>  [4c171a34dbd18e58dea3aa55b988084decf8b082]

native0: #161747 - Fixed scriptcount in f_script_organizers.bas


2010-03-09  Christian Lippka  <christian.lippka@sun.com>  [d84183a6ac97bbe47b22b7249a501dad3b21d66c]

rebase m74


2010-03-09  Ingrid Halama  <iha@openoffice.org>  [a7ce8279249efb9c2b9171becaae57d62e26f37b]

chartmultiline: merge with DEV300_m74


2010-03-09  Joerg Skottke [jsk]  <jsk@openoffice.org>  [84cae9b1b40cb72839563c899be23bbe6d11b304]

vitomation01: #i109562 - Fixed documentation in the file macros.txt


2010-03-09  Joerg Skottke [jsk]  <jsk@openoffice.org>  [670c928042da2bc1fd460af7a6e0d98c1c0ab589]

vitomation01: #i109562 - Fixed documentation in the file accelerators.txt


2010-03-09  obo  <obo@openoffice.org>  [eb2704d519880489b5888e5c92709753f51ca138]

#i10000# Restore change sets from damaged repository, helpcontent2 and testautomation changes


2010-03-09  Christian Lippka  <christian.lippka@sun.com>  [ff987b2c620efcb8bb3a9c8022d1ca2b60b0d59b]

rebase to m73


2010-03-09  Marc Neumann [msc]  <Marc.Neumann@sun.com>  [303469f6e79f1ef40f8761be7aa807297f4fbbef]

native0: #161745# fix item count


2010-03-09  Joerg Skottke [jsk]  <jsk@openoffice.org>  [b1d73cc26a741bb1013e554cb6009f9955536089]

vitomation01: #i109562 - Fixed logic error


2010-03-09  Joerg Skottke [jsk]  <jsk@openoffice.org>  [83d722824dc978d536cc643bd82b3628fdf62ef4]

vitomation01: #i109562 - Fixed lost CFN string


2010-03-09  Joerg Skottke [jsk]  <jsk@openoffice.org>  [8b1f314998f3cc7764f8ebbf3063dca8c1faf383]

vitomation01: #i109562 - workaround a timing problem


2010-03-09  Joerg Skottke [jsk]  <jsk@openoffice.org>  [b9d87a7e6acb01ed28a11617cd022ba012159b81]

vitomation01: #i109562 - logic error fixed


2010-03-09  Joerg Skottke [jsk]  <jsk@openoffice.org>  [49ce6af96151a84272de0804e6e11f457ea1c64f]

vitomation01: #i109562 - Adjustments to autotest (to find the problem causing the runtime exception)


2010-03-09  sb  <sb@openoffice.org>  [d14e7a0493f7b8332ecb82c9e54cb07e0d76cccc]

sb118: added documentation


2010-03-09  Joerg Skottke [jsk]  <jsk@openoffice.org>  [b781b962a743ffdd11b58ceca420cb9991162e0b]

vitomation01: #i109562 - Re-enable Autotest


2010-03-09  Joerg Skottke [jsk]  <jsk@openoffice.org>  [6cfb37921220449df1913d7fd3bc9a891ae96c9a]

vitomation01: #i109562 - fix


2010-03-09  Joerg Skottke [jsk]  <jsk@openoffice.org>  [1daeb9da51a7559398b05539b4e8b9e80f530d8d]

vitomation01: #i109562 - Remove debug stuff


2010-03-09  Joerg Skottke [jsk]  <jsk@openoffice.org>  [93dd2d130429a31beb35f2fe87f39a4126b27134]

vitomation01: #i109562 - replaced a number of loops for document deletion, there is a function for this (hFileCloseAll)


2010-03-09  Joerg Skottke [jsk]  <jsk@openoffice.org>  [66158cf5be5eacb7398940c9c39b027e3f41f017]

vitomation01: #i109562 - Removed calls to required files t_doc1.inc and t_tools1.inc, the files are loaded multiple times already when the test is started.


2010-03-08  Joerg Skottke [jsk]  <jsk@openoffice.org>  [94bdc0734503581c45f309fa8341eb33cb57825a]

vitomation01: #i109696 - fix two more incorrect lcase-usages (funny thing, really. Could have been me <g>)


2010-03-08  Joerg Skottke [jsk]  <jsk@openoffice.org>  [1e22496eee2ad61425871842faf97f1851b14036]

vitomation01: #i109562 - removed record_macro.bas, it is unused


2010-03-08  Joerg Skottke [jsk]  <jsk@openoffice.org>  [a2fb53309fd74670e0e533e93be38f4381e6f82d]

vitomation01: #i109562 - Some time ago it was decided that a global variable be introduced which switches on and off between verbose mode for functions. THis is needed for profiling. The variable is called GVERBOSE and is set to FALSE in master.inc::getUseFiles()


2010-03-08  Joerg Skottke [jsk]  <jsk@openoffice.org>  [834af5fb9dd03f219d8c85bde32c5d8b97b30f08]

vitomation01: #i109562 - Fix typo


2010-03-08  Joerg Skottke [jsk]  <jsk@openoffice.org>  [e580d48b552af1ce574dc53def1bde2c0db1961f]

vitomation01: #i109562 - hClickButton() only convert cSlot to lowercase once


2010-03-08  Joerg Skottke [jsk]  <jsk@openoffice.org>  [600170082aa1030de57d6a59f88d3d3c3ba7af60]

vitomation01: #i109562 - hClickButton() minor fix


2010-03-08  Joerg Skottke [jsk]  <jsk@openoffice.org>  [f7d0857f57df75d83fbd0282de2fd545687d1c92]

vitomation01: #i109562 - hClickButton() minor fix


2010-03-08  Joerg Skottke [jsk]  <jsk@openoffice.org>  [9fa7072af718cb47089c932bf4f56495331d74d5]

vitomation01: #i109562 - Make hClickButton() a little verbose by default


2010-03-08  Joerg Skottke [jsk]  <jsk@openoffice.org>  [dd5ebc56f0e06fe847e0960e14e41a149d895a86]

vitomation01: #i109606 - Removed t_toolbar_impress.inc, it is unused


2010-03-08  Joerg Skottke [jsk]  <jsk@openoffice.org>  [40c2dae449f8961142036c7c1981bc24bac1ae29]

vitomation01: #i109606 - Removed t_toolbar_calc.inc, it is unused


2010-03-08  Joerg Skottke [jsk]  <jsk@openoffice.org>  [6353a6b522a2ffb54a85caf88873e2c9a70b9398]

vitomation01: #i109606 - Removed t_server_info.inc, it is unused


2010-03-08  Joerg Skottke [jsk]  <jsk@openoffice.org>  [d047fe9a7a13037379479d41c995cc96a9424992]

vitomation01: #i109606 - Removed t_proxy_info.inc, it is unused


2010-03-08  Joerg Skottke [jsk]  <jsk@openoffice.org>  [1b6089970c7ec93c22b3704a5002679e6c52e349]

vitomation01: #i109562 - Use hClickButton whereever possible (get rid of duplicate functionality from hClickNextButton())


2010-03-08  Joerg Skottke [jsk]  <jsk@openoffice.org>  [5aef99b6c762e3b97089bc42dfc82d9d9c760e2b]

vitomation01: #i109562 - Use hClickButton whereever possible (get rid of duplicate functionality from hClickNextButton())


2010-03-08  Joerg Skottke [jsk]  <jsk@openoffice.org>  [0a0e156d4f59ec0bfcba72e332368388850a4cd2]

vitomation01: #i109562 - Code compression, removed overhead


2010-03-08  Joerg Skottke [jsk]  <jsk@openoffice.org>  [45373993104fa5938b2878d3ecb43e9135df001b]

vitomation01: #i109562 - Code compression, removed overhead


2010-03-08  Joerg Skottke [jsk]  <jsk@openoffice.org>  [53f2eaac95e97127216ef6f5c3a141cecefb60aa]

vitomation01: #i109696 - Removed hToolsCustomizeClose() from customize_tools.inc


2010-03-08  Joerg Skottke [jsk]  <jsk@openoffice.org>  [b942a56ca6003c4c4107092b418678f1e9bd8549]

vitomation01: #i109696 - Removed functions hChangeControlSettings() and hCheckControlSettings() and the containing files t_ctrl_1.inc and t_ctrl_2.inc, they are unused


2010-03-05  Joerg Skottke [jsk]  <jsk@openoffice.org>  [e2ee6d471ed9293bc75f4d778b0a8e93d3056540]

vitomation01: #i109696 - Removed hToolsCustomizeAddNewMenu(), it is unused


2010-03-05  Joerg Skottke [jsk]  <jsk@openoffice.org>  [d61a7a43365d56e9efd040f44c0d9390f768a23c]

vitomation01: #i109696 - Added slot ContextProperties to hUseAsyncSlot(), should make test much more stable. Modified hClosePropertyBrowser() and hOpenPropertyBrowser()


2010-03-05  Joerg Skottke [jsk]  <jsk@openoffice.org>  [0c99bebfcdf13d9b9c81d211b470a79cd4808d02]

ab76: #i107070 - Added test macro to f_basic_issues.bas


2010-03-04  sb  <sb@openoffice.org>  [a74159c7b14efdf4dff10d1ef16ac346092d0a65]

merged in re/DEV300_next towards DEV300_m74


2010-03-04  sb  <sb@openoffice.org>  [3e6c1532da323f6962c5196defa832abe7957221]

sb118: #i109791# improved CPPUNIT_CFLAGS handling


2010-03-04  Joerg Skottke [jsk]  <jsk@openoffice.org>  [c36a20f2df54daefbcc2d0a82503e18362f739d2]

vitomation01: #i109696 - hGetRefFilePath()


2010-03-04  Joerg Skottke [jsk]  <jsk@openoffice.org>  [2a6262d9f429f151b065e51e4f9152daf75e61a4]

vitomation01: #i109696 - Removed unused function hOpenRunMacroDialog()


2010-03-04  Joerg Skottke [jsk]  <jsk@openoffice.org>  [6078803b971d066a2581264f483719583b249018]

vitomation01: #i109696 - Removed hCheckPropertyPresence() and hSetLabelName()


2010-03-04  Joerg Skottke [jsk]  <jsk@openoffice.org>  [e46b4d5453f9cdc6ea0ff8102342847961c039e5]

vitomation01: #i109696 - Removed URLGraphicCheck, DialogTestForViewOptions


2010-03-04  Joerg Skottke [jsk]  <jsk@openoffice.org>  [bf025516d2ba1935e7ee53cf95fc0b0b22f05abe]

Removed javatools (unused)


2010-03-04  Joerg Skottke [jsk]  <jsk@openoffice.org>  [bbc065c0db4ad65f38f0581d3c3750f17618bb11]

vitomation01: #i109696 - Removed two more unused functions (hGetTwoDIgitLangCode, hGetI18nData)


2010-03-04  Joerg Skottke [jsk]  <jsk@openoffice.org>  [a154434508a0cebed8123c6a75471874a498c022]

vitomation01: #i109696 - Removed two more unused functions


2010-03-04  Joerg Skottke [jsk]  <jsk@openoffice.org>  [cd8acfa5e7eb3149fd5384a7b1742d5f461ae691]

vitomation01: #i109696 - Refactored help_tools


2010-03-04  Joerg Skottke [jsk]  <jsk@openoffice.org>  [197a61de2d944bbef2eadff0b810b707f1041e6d]

vitomation01: #i109696 - remove ,ultiple unused functions


2010-03-04  Joerg Skottke [jsk]  <jsk@openoffice.org>  [8915c75484acd2eeac4f92fc49b04cfc8bbda77d]

Removed filedlg_tools (unused)


2010-03-04  Joerg Skottke [jsk]  <jsk@openoffice.org>  [7e780c1065b64f7e3ed84153017e609bc904022f]

vitomation01: #i109696 - customize_tools.inc simplification


2010-03-04  Joerg Skottke [jsk]  <jsk@openoffice.org>  [8313e3cf1502e0e41369a61460d405b67b94d774]

Removed apicalls (unused)


2010-03-04  Joerg Skottke [jsk]  <jsk@openoffice.org>  [ec218c032c1a67f1019e9a70c85895860ba3dac4]

Removed arrayfuncs (unused)


2010-03-04  Joerg Skottke [jsk]  <jsk@openoffice.org>  [f6fafcafbb853414da74c334a55f7cb98d975869]

vitomation01: #i109696 - qaerrorlogs -> printlogs, these are no errors really


2010-03-04  Rene Engelhard  <rene@openoffice.org>  [7251fa8171f0c2e8745cc3b4e3f2b81a7a805593]

sb118: add missing CFLAGS+= $(CPPUNIT_CFLAGS) to loads of other makefiles, too


2010-03-03  Rene Engelhard  <rene@openoffice.org>  [46f8af264d1f0fdc6a0d545c25c7f3d60ce405ff]

sb118: remove obsolete testshl2


2010-03-03  Rene Engelhard  <rene@openoffice.org>  [70d427328f5a74c559d3ef9eed09a64aec135c98]

sb118: add --with-system-cppunit


2010-03-03  sb  <sb@openoffice.org>  [49a8f2d8e65898be8c0844d65fda8eb3111b84e3]

sb118: further qadevOOo fixes


2010-03-03  Ivo Hinkelmann  <ihi@openoffice.org>  [c3a1da9ef885e8c908fbd1bb359f9f55446a8243]

CWS-TOOLING: integrate CWS chartshapes


2010-03-03  Ivo Hinkelmann  <ihi@openoffice.org>  [853ea74f999203c557a07c971b672aa439337e46]

CWS-TOOLING: integrate CWS qadev40


2010-03-03  Ivo Hinkelmann  <ihi@openoffice.org>  [b53927b3c40171cd22755be753369e7327ebbb06]

CWS-TOOLING: integrate CWS sb119


2010-03-03  Thomas Lange [tl]  <tl@openoffice.org>  [7267854e963690f0fb3b19674cd3c4ec1ebedbee]

cws tl74: merge with DEV300_m73


2010-03-02  Ivo Hinkelmann  <ihi@openoffice.org>  [45c97e8e1679b35ac24397e4f98a3ae2480a8cbb]

CWS-TOOLING: integrate CWS sb111


2010-03-02  Joerg Skottke [jsk]  <jsk@openoffice.org>  [e45fc1a85ed96b4b68038da119cb689c45195d32]

vitomation01: Rebased to DEV300_m73


2010-03-02  Ingrid Halama  <iha@openoffice.org>  [3254ea064997047cc13e83f2cf5bedbddb8ae120]

chartmultiline: merge with DEV300_m73


2010-03-02  Joerg Skottke [jsk]  <jsk@openoffice.org>  [7a2cc69f9a54dc8b90da6fe0c9626d7ebd48b16a]

vitomation01: #i109696 - t_tools1.inc - Removed unused functionErgebnis Schreiben()


2010-03-02  Joerg Skottke [jsk]  <jsk@openoffice.org>  [7455ccae78cec9b516a18e084e4e15decfac02eb]

vitomation01: #i109696 - t_tools2.inc - Removed unused function fRemoveDoubleSpace()


2010-03-02  Joerg Skottke [jsk]  <jsk@openoffice.org>  [04af6f43c0cb998747e442a45ab88153fbaaa92f]

vitomation01: #i109696 - t_tools2.inc - moved function fGetFileText() to graphics/optional/includes/global/export_graphic_2.inc, this is the only test that uses this function.


2010-03-02  Joerg Skottke [jsk]  <jsk@openoffice.org>  [a24f4cac66ef10d5f97d0eb09c3bf6c63248f309]

vitomation01: #i109696 - t_tools2.inc - removed unused function SetURL()


2010-03-02  Joerg Skottke [jsk]  <jsk@openoffice.org>  [e2213153256377e7e2709428130f0c08f4409276]

vitomation01: #i109696 - t_tools2.inc - removed unused function ActivateAutoPilot


2010-03-02  Joerg Skottke [jsk]  <jsk@openoffice.org>  [b076e8e028085497bc00a692dbde3b0dbf30234f]

vitomation01: Removed testcase func_LoadSaveGeneral_1 (it is broken and not called anywhere anymore) alongside with three other global functions only used herein


2010-03-02  Joerg Skottke [jsk]  <jsk@openoffice.org>  [0ea596e76ea66a4071e1d1cc9a549b84be23500b]

vitomation01: #i109696 - Done removing unused functions.


2010-03-02  Joerg Skottke [jsk]  <jsk@openoffice.org>  [f2fb60ca17863e041d4f2e8ab42700d3b23ffca8]

vitomation01: #i109696 - Removed unused function PfadName()


2010-03-02  Joerg Skottke [jsk]  <jsk@openoffice.org>  [2b5bf27b08a9e61976e19184fcba170b96123c2a]

vitomation01: #i109696 - Removed unused function PfadExtract()


2010-03-02  Joerg Skottke [jsk]  <jsk@openoffice.org>  [b254e4d621f31d605c49eeffa963eab41a896802]

vitomation01: #i109696 - Removed wrapper function hFileExists() - it does exactly the same as the builtin function FileExists() plus some overhead.


2010-03-02  Joerg Skottke [jsk]  <jsk@openoffice.org>  [acc14c32209174bfe3793630fba809df243b4ffd]

vitomation01: #i109696 - Removed wrapper function hDirectoryExists(). This function - in addition to the built in function FileExists() also checked for the file type (verifying that the object is a rela directory, not a file) but this functionality was not explicitly requested by any function call. The function was only used to determine whether an object of given name exists. If this is not the case it is created. So the function provided unused functionality.


2010-03-01  sb  <sb@openoffice.org>  [9d222ba205bc8135b0de321fcc52dbe9bd287742]

sb118: make sure test OOo instances can dump core upon crash


2010-03-01  Joerg Skottke [jsk]  <jsk@openoffice.org>  [6b8441cf478be8d4f2902299418be4abe16f682f]

vitomation01: #i109696 - Removed any reference to deleted file t_dirloc.inc


2010-03-01  Joerg Skottke [jsk]  <jsk@openoffice.org>  [c1dbaa1b6972f38845050652e24ee1eaa6682e36]

DEL: The file contained exclusively functions that were duplicates to those in t_dir.inc.


2010-03-01  Joerg Skottke [jsk]  <jsk@openoffice.org>  [6cbb0d5646f9ee952c855d2d6721367c01e8e114]

vitomation01: #i109696 - Replaced call to GetFileNameListLocal() with GetFileNameList().


2010-03-01  Joerg Skottke [jsk]  <jsk@openoffice.org>  [08ae56156e03d611a4dbb2344b61af6eb86f71b6]

vitomation01: #i109696 - Removed GetFileNameListLocal(), it is unused


2010-03-01  Joerg Skottke [jsk]  <jsk@openoffice.org>  [b18b2b0459d22f163ae57f178396be8fea96f57a]

vitomation01: #i109696 - Removed hFileExistsLocal(), it is unused


2010-03-01  Joerg Skottke [jsk]  <jsk@openoffice.org>  [42128f95f9ee121b2b2f14fda137e9f8d28e5c64]

vitomation01: #i109696 - Removed hDirectoryExistsLocal(), it is unused


2010-03-01  Joerg Skottke [jsk]  <jsk@openoffice.org>  [5be885470b154699ec3e00c03a5a41bbdd82ed41]

vitomation01: #i109696 - Removed GetFileListLocal(), it is unused


2010-03-01  Joerg Skottke [jsk]  <jsk@openoffice.org>  [015c35125c1d005d29ea82f83d8431a4a76ebdc1]

vitomation01: #i109696 - Removed GetDirListLocal(), it is unused


2010-03-01  Joerg Skottke [jsk]  <jsk@openoffice.org>  [750ae321eadaa1cc9b5590f6fc980b78cc169108]

vitomation01: #i109696 - Removed GetAllDirListLocal(), it is unused


2010-03-01  Joerg Skottke [jsk]  <jsk@openoffice.org>  [75eaf662cf67638d1ced93920dfc5051b9fb6336]

vitomation01: #i109696 - Removed KillFileListLocal(), it is unused


2010-03-01  Joerg Skottke [jsk]  <jsk@openoffice.org>  [50d31cd975fdfbe1c44fb23229ce080970aebca7]

vitomation01: #i109696 - Removed KillDirListLocal(), it is unused


2010-03-01  sb  <sb@openoffice.org>  [124e174d38dca719638672bf2c8dfd164a8a5ebc]

merged in CWS sb119


2010-03-01  Joerg Skottke [jsk]  <jsk@openoffice.org>  [198bf43896113c07526347146320ae5cc8f988b7]

vitomation01: #i109696 - Removed GetFileSizesLocal(), the function cannot work because filesizes must be retrieved as long integers, integers will not do.


2010-03-01  Joerg Skottke [jsk]  <jsk@openoffice.org>  [65951d8a23ee47594efef6a91692440e54693f31]

vitomation01: #i109696 - Removed GetAllFileListLocal(), it is unused and duplicates GetAllFileList() from t_dir.inc


2010-03-01  Joerg Skottke [jsk]  <jsk@openoffice.org>  [050dba841f808912a68a10da496345929c56d8dc]

vitomation01: #i109696 - Removed function DirNameListLocal() from t_dirloc.inc. It is unused and contains hard coded path separators - and is maximum badly coded.


2010-03-01  Joerg Skottke [jsk]  <jsk@openoffice.org>  [620a160758df263a5430b8ce95d370a6c8a43f02]

vitomation01: #i109696 - Removed functions hKillFile() and hKillFileLocal(), they are unused


2010-03-01  Joerg Skottke [jsk]  <jsk@openoffice.org>  [aa4544b06a489aa39e9614463b77449618a15738]

vitomation01: #i109562 - Reverted to hClosePropertyBrowser(), the function hCloseDialog() is not usabe in this case.


2010-03-01  Joerg Skottke [jsk]  <jsk@openoffice.org>  [976705436560778084d8caa320c6b635b7f0f0cc]

vitomation01: #i109562 - Use hFileCloseAll() to close multiple windows in a row (was explicitly coded and copied multiple times). Medium risk change, might have to revert


2010-03-01  Joerg Skottke [jsk]  <jsk@openoffice.org>  [e201c88df04075ccfb001e172a329019a9d8cc12]

vitomation01: #i109696 - CWS printerpullpages replaced the old DruckenDlg, removed code.


2010-03-01  Joerg Skottke [jsk]  <jsk@openoffice.org>  [5de39a8b1213ff3f65a710f1cdf14a45bbf56b8c]

vitomation01: #i109696 - experiment: Make hClosePropertyBrowser() obsolete


2010-03-01  Joerg Skottke [jsk]  <jsk@openoffice.org>  [f2f8d35c80d54fc99abbb1eca0034e2a2b59d637]

vitomation01: #i109696 - restored options_ooo_general.inc from OOO320 branch


2010-03-01  Joerg Skottke [jsk]  <jsk@openoffice.org>  [9cf43a4c7b8395926a479b75462596918c8af2c9]

vitomation01: #i109696 - Desaster: The content of w_gridlayout was accidentially copied into options_ooo_general.inc (whose content is lost). Moving changes from options_ooo_general into w_grid_layout1.inc before restoring old options_ooo_general.inc


2010-03-01  Joerg Skottke [jsk]  <jsk@openoffice.org>  [70639f44a435e334fb38b45fae4e8e40e47724fd]

vitomation01: #i109696 - Code simplification, more slots to hUseAsyncSlot(), more removal of hCloseNavigator


2010-03-01  Vladimir Glazunov  <vg@openoffice.org>  [e01345ece5767112cc266526fcb64e6f385d6f02]

CWS-TOOLING: integrate CWS hr69


2010-03-01  Thomas Benisch  <tbe@openoffice.org>  [4e7d1a7ff525c18d64ff1dcf264b84b4d8de43b4]

chartshapes: merge with DEV300_m72


2010-03-01  Joerg Skottke [jsk]  <jsk@openoffice.org>  [72e0461638243dd208263b8035b58fb038470e8c]

vitomation01: #i109696 - Code simplification in t_docfuncs.inc


2010-03-01  Joerg Skottke [jsk]  <jsk@openoffice.org>  [ec43b9dff9dd6909bf479297efe1e786fee0cbee]

vitomation01: #i109696 - Remove hCloseNavigator(), use hCloseDialog() instead, eliminated function


2010-03-01  Joerg Skottke [jsk]  <jsk@openoffice.org>  [c51acc864f0785053a0a07daa5b83c9e0694ce04]

vitomation01: #i109696 - Remove hCloseNavigator(), use hCloseDialog() instead, eliminated function


2010-03-01  Joerg Skottke [jsk]  <jsk@openoffice.org>  [acf66bf74a52d29d3ed6a0207db4654daae76dbc]

vitomation01: #i109696 - remove hCloseScriptOrganizer(), hCloseDialog() is better


2010-03-01  Joerg Skottke [jsk]  <jsk@openoffice.org>  [9ef4df9162e0fb9de0bd3150d4e0699130ac169f]

vitomation01: #i109696 - experiment: Replace hCloseScriptOrganizer() and hCloseNavigator() with hCloseDIalog()


2010-03-01  Marc Neumann [msc]  <Marc.Neumann@sun.com>  [ec42f51353b7e4354d8f20d135122af205f24a19]

add Oracle Open Office to the list of known offices


2010-03-01  Joerg Skottke [jsk]  <jsk@openoffice.org>  [59f43baae74510c76a48a3e45fe19db4187d6f0e]

vitomation01: #i109696 - Added VERBOSE constant (private) to file t_tools3.inc


2010-03-01  Marc Neumann [msc]  <Marc.Neumann@sun.com>  [544df994f7484423ce32939ad09319c20adaf093]

cws hr69: #109701# fix testscripts


2010-03-01  Marc Neumann [msc]  <Marc.Neumann@sun.com>  [945fa9145cbb9adc5c3ecac4b3a393fbd309a169]

cws hr69: #109701# fix testscripts


2010-03-01  Joerg Skottke [jsk]  <jsk@openoffice.org>  [3e731c75310a272bb98eaca1b292715ce1ea74c9]

vitomation01: #i109696 - removed hFileExport(), it is unused


2010-03-01  Joerg Skottke [jsk]  <jsk@openoffice.org>  [b9aad94abc57234cfc14bc88b86ddce6de647fd5]

vitomation01: #i109696 - removed unused functions hSys2IntDlg(), hInt2SysDlg() and hhSysToInt()


2010-03-01  Joerg Skottke [jsk]  <jsk@openoffice.org>  [c57634b36c1dfba7caf663a3620dbe1a3448755d]

vitomation01: #i109696 - hIsWebPageLoaded() is not called, removed the function


2010-03-01  Joerg Skottke [jsk]  <jsk@openoffice.org>  [bb0f7b74a813a207420da07fd31f685296ed3626]

vitomation01: #i109696 - Moved function IsItSaved() to c_import_general.inc as this is the only test still using this function


2010-03-01  Joerg Skottke [jsk]  <jsk@openoffice.org>  [624b47f4ac979611c65c09a503c575a0943d3ce6]

vitomation01: #i109696 - Removed unused function IsItSaved


2010-03-01  Joerg Skottke [jsk]  <jsk@openoffice.org>  [e89ec9dfeaec2aaa094f073b112e524c91a64c14]

vitomation01: #i109696 - Removed unused function hListIntegrityTest()


2010-03-01  Joerg Skottke [jsk]  <jsk@openoffice.org>  [5ad1b2617a77ba1ed20ee646812d898ce7ffb4cd]

vitomation01: #i109562 - Added EditLinksWriter and EditHyperlink slots to hUseAsyncSlot()


2010-03-01  Joerg Skottke [jsk]  <jsk@openoffice.org>  [b74d6332b555879971682d375ff4f4a6fa764ff6]

vitomation01: #i109562 - collect hCloseDialog(), hUseAsyncSlot() and hClickButton() in t_tools3.inc to have them together in one place and to reduce filesize (there is a limit to the max number of lines per file somehow)


2010-02-26  sb  <sb@openoffice.org>  [dd4389dc3fad63cc42e9320c855d0c69f4dee2b4]

sb118: improved tests (no getActiveTopWindow etc.)


2010-02-26  Kohei Yoshida  <kyoshida@novell.com>  [866852bf33fc9bbba8424b66f5ad6793e51c80ba]

calctabcolor: rebased to m72.


2010-02-26  Ingrid Halama  <iha@openoffice.org>  [dfb0a060698b0459bd62566db0b9b987c615c878]

chart43: merge with DEV300_m72


2010-02-26  Jens-Heiner Rechtien  <hr@openoffice.org>  [ef09faf7fb2af9e60db1bfb78e75a5d7b5b7bacb]

hr69: #i109593#: fix basic style license header


2010-02-26  sb  <sb@openoffice.org>  [dd0464f80a390867d171561e5eea7b8efb635107]

sb119: merged in DEV300_m72


2010-02-26  Thomas Lange [tl]  <tl@openoffice.org>  [3fb0124f8ab16777743e9c5e226a66f764e3ee51]

cws tl74: merge with DEV300_m72


2010-02-25  sb  <sb@openoffice.org>  [53aa2170e3a30075952bf90c80822f6aabf67dfc]

sb118: #i109125# change source file copyright notice from Sun Microsystems to Oracle


2010-02-25  Joerg Skottke [jsk]  <jsk@openoffice.org>  [327655db9db7ba7eb719395d313c150a8ee0599d]

vitomation01: Local (automatic) merge.


2010-02-25  Joerg Skottke [jsk]  <jsk@openoffice.org>  [787ad0f47335bdfc50cdfc2f2afdd7cdb13d13d8]

vitomation01: #i109562# - Massive refactoring in places with many sleep() statements. Removed invalid issue-ids (and re-enabled the tests), added issue #i109605# (ImageMap).


2010-02-25  sb  <sb@openoffice.org>  [87b410ab0055092a24de0f950f563fa2aa33d584]

sb118: #i109125# change source file copyright notice from Sun Microsystems to Oracle


2010-02-25  sb  <sb@openoffice.org>  [eb81f78cfc64f741deba82b1c67f9a4fc6d17b2d]

sb111: merged in DEV300_m72


2010-02-25  sb  <sb@openoffice.org>  [f5112edb7df833b6b682e34ff6878c17ea7391c0]

sb118: merged in to-the-side sb118 changes


2010-02-25  sb  <sb@openoffice.org>  [4c193f3c48400ee5e3ae540f3c3d07c9a25f4219]

sb118: merged in DEV300_m72


2010-02-25  Thomas Lange [tl]  <tl@openoffice.org>  [047690d5ed4126b5fdbf60ed73897d91974cda9d]

cws tl74: merge


2010-02-25  Joerg Skottke [jsk]  <jsk@openoffice.org>  [ea3cdd1c5a0305e8c07b08efb57176f756820ae0]

vitomation01: #i109562 - hCloseDIalog() - Finally the function appears to be stable and relieable.


2010-02-25  Joerg Skottke [jsk]  <jsk@openoffice.org>  [529b78f8fd293c2dde31dfde52f3611436311dd1]

vitomation01: #i109562 - removed invalid issue id #i158646 from test case tEditIndexEntry - the crash(!) was marked as qaerrorlog and excluded the entire test case. Refactored tEditCompareDocument (the test silently closed the filter selection dialog (if it appears that would be a bug!).


2010-02-25  sb  <sb@openoffice.org>  [0c077660ee7fe67fb821cb7101b0cbe54f605564]

sb118: #i80788# further improved XMessageBoxFactory test to avoid random sleeps


2010-02-24  sb  <sb@openoffice.org>  [542872e8ae4fca735dcf2025a2f86d6883426577]

sb118: #i80788# second part of fix for Toolkit test


2010-02-24  Joerg Skottke [jsk]  <jsk@openoffice.org>  [bdc9080639ad37e80cc1121fbbd18dbb2c469463]

vitomation01: #i109562 - Even more so


2010-02-24  Joerg Skottke [jsk]  <jsk@openoffice.org>  [c648b9bbfc9ab27f1f2b23b18ff55e8c78615942]

vitomation01: #i109562 - Fixed typos etc.


2010-02-24  Joerg Skottke [jsk]  <jsk@openoffice.org>  [bb9b88b7befaa33b41498f68689d31d6c25141b4]

vitomation01: #i109562 - Modify hCloseDialog() again, syntax of if-statement was bogus


2010-02-24  sb  <sb@openoffice.org>  [d03e3b47547cc2cbae37524bf3b2e6ab66d3602d]

sb118: #i80788# fixed Toolkit test


2010-02-24  sb  <sb@openoffice.org>  [f829bdd92222603dc8ece4546a8e684ac5019805]

sb118: #i109564# fake skeleton for missing interface test


2010-02-24  Joerg Skottke [jsk]  <jsk@openoffice.org>  [edb64511ae7a067d26a8f6e17d3d96ff6eea20ed]

vitomation01: #i108621 - Simplified code in tEditCompareDocument, it checked for a number of prerequisites which are required and enforced at the start of each test. The test did not complain about missing dialogs and did not use timeouts


2010-02-24  sb  <sb@openoffice.org>  [061e3901f06552b63eec807382168cb57653c568]

sb118: cleanup


2010-02-24  Joerg Skottke [jsk]  <jsk@openoffice.org>  [7656a5414b66cba05c2ba2963bf2a9a86433eb6b]

vitomation01: #i109562 - Modify hCloseDialog() as it needs to handle optional dialogs correctly as well, adjusted a few other routines to reflect the enhancement


2010-02-24  Joerg Skottke [jsk]  <jsk@openoffice.org>  [106c0dfa10bf180ed0c3df774cf0b299c4e53908]

vitomation01: #i108621 - Need to revert to use a field from the user data as other fields do not allow editing


2010-02-24  Joerg Skottke [jsk]  <jsk@openoffice.org>  [f78dc1e43b58fd0de84c05deb8e6c1e8c1056791]

vitomation01: #i109562 - Call hCloseDialog() in extension_manager_tools.inc


2010-02-24  Joerg Skottke [jsk]  <jsk@openoffice.org>  [dd5c227af267362d02d99f335892799dc232e96c]

vitomation01: #i109562 - Remove ritual dialog-closing stuff, call hCloseDialog() instead


2010-02-24  Joerg Skottke [jsk]  <jsk@openoffice.org>  [09c6994f94fbc0fd8e4bce68c4162dcb9f7dbd75]

vitomation01: #i108621 - Fix incorrect select case syntax


2010-02-24  Joerg Skottke [jsk]  <jsk@openoffice.org>  [521f41a0eca417f2cbae3bbe271214e0c5c14681]

vitomation01: #i108621 - Minor fix in hCloseDialog()


2010-02-24  Oliver Craemer  <oc@openoffice.org>  [2a6104444e635ba2cfecaad19470e69d7a2b134d]

#i85043# HID for AutoFormatRename is duplicate


2010-02-24  Oliver Craemer  <oc@openoffice.org>  [5370d976376c4f2459914dea8e49622c7194e725]

#i85043# HID for AutoFormatRename is duplicate


2010-02-24  Joerg Skottke [jsk]  <jsk@openoffice.org>  [e03d2504939f742bf89c6ebfebba8b252eddfb13]

vitomation01: #i108621 - simplified function interface of hClodeDialog()


2010-02-23  sb  <sb@openoffice.org>  [e1977fb86913114bfb8720d024762cdfed947b21]

sb118: removed timeouts and forced process termination from test code (to make failures better debuggable)


2010-02-23  sb  <sb@openoffice.org>  [d57250a10c3b80ecedf4485285435ae4351c8956]

sb118: on non-WNT, use a single solver OOo installation for all tests


2010-02-23  Joerg Skottke [jsk]  <jsk@openoffice.org>  [3e495d32fa827e6c505a7750c9caf2756d166732]

vitomation01: #i108621 - Added function to close a dialog with timeout using three different methods. Using this function removes the need to use sleep() and can significantly reduce the coding effort.


2010-02-23  Joerg Skottke [jsk]  <jsk@openoffice.org>  [75b63ad66e44d2f0348bc77436ff025534662b07]

vitomation01: #i108621 - Reworked tEditFields to use InsertFieldsTime which should insert a valid field for all languages/locales without the need to update the tst each time a new language is added to the testtool environment. Removed test for HTML document as it was a copy of tEditFields just running with different gApplication. If it should be desired to have a separate test for HTML documents it is sufficient to call the new test with gApplication HTML.


2010-02-23  Joerg Skottke [jsk]  <jsk@openoffice.org>  [2562af1abb15d460a983e483e500bfbbc6c1e847]

sb119: #i108411 - Added Crash-slot (allows for automated testing of crash reporting feature)


2010-02-19  sb  <sb@openoffice.org>  [e70c11dc705c22beb78d1cb02a761fe152e1cffb]

sb118: various improvement/cleanup of qadevOOo code


2010-02-19  sb  <sb@openoffice.org>  [4c196fce84a80bdbb3a38645bfc341a143b7df3d]

sb118: keep $(OOO_JUNIT_JAR) off JARCLASSPATH to avoid problems on Windows


2010-02-18  sb  <sb@openoffice.org>  [754f359928c4ba937cc8a38b465adffb03abf0bf]

sb118: fixed typo


2010-02-17  sb  <sb@openoffice.org>  [d1ac5982c1b7b976fa5650308aeb2f5be24c6825]

sb118: fixed code layout


2010-02-17  Vladimir Glazunov  <vg@openoffice.org>  [048151c18c1bab53aecf4ff19251daca851be08f]

CWS-TOOLING: integrate CWS changefileheader2


2010-02-17  Kohei Yoshida  <kyoshida@novell.com>  [1a7a2acfccbffdb435813661cc7acc14e1403968]

calctabcolor: rebased to m71.


2010-02-16  Vladimir Glazunov  <vg@openoffice.org>  [670ecbd956f90100ddd6e828fab3dbf698701204]

CWS-TOOLING: integrate CWS cbosdo01


2010-02-16  sb  <sb@openoffice.org>  [4b0c256b6e6c40f07dbd9e61383c4cf940426aa9]

sb118: adapted remaining */qa/unoapi tests to new framework


2010-02-16  sb  <sb@openoffice.org>  [5f8c90847562c31caf1bc34267bf221e974a2ff0]

sb118: handle --without-junit gracefully


2010-02-15  Helge Delfs [hde]  <hde@openoffice.org>  [b99b46b801f51ee9b52f41faa13efb4f811ccf05]

cbosdo01: i108312: fixed integer to string


2010-02-15  Ingrid Halama  <iha@openoffice.org>  [14467679da440f989dbad7d0f7326041368e301b]

chartmultiline: compiler warnings


2010-02-15  Oliver Craemer  <oc@openoffice.org>  [2f097ff5615057bb47bcfc424647a6ac1d33d621]

#i108777# Automatic Tests for Hierarchical axes label


2010-02-12  sb  <sb@openoffice.org>  [a2a4de61c0e4eab1c14fd602db64f923d9b28571]

sb118: moved test OOo installation stuff to new solenv/inc/installationtest.mk (makefile parts) and new test module (C++ and, new, Java unit test parts); adapted sw/qa/unoapi to new (Java) test framework


2010-02-12  Jens-Heiner Rechtien  <hr@openoffice.org>  [517fd1e6939513f60eb2a64e60664ec84768571f]

changefileheader2: #i109125#: change source file copyright notice from Sun Microsystems to Oracle; remove CVS style keywords (RCSfile, Revision)


2010-02-12  sb  <sb@openoffice.org>  [406cd1695023495c36b7cca88a01e9be9c7c3e96]

sb118: minor code cleanup


2010-02-12  sb  <sb@openoffice.org>  [3939771017a1cec83a8d2fd759a349a37ff32fdf]

sb118: update tCase whenever tEnv is renewed


2010-02-12  Thomas Lange [tl]  <tl@openoffice.org>  [811eb4a2269dfa3a2b47e00fa470eb4765650422]

cws tl74: merge


2010-02-11  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [4428b0c044d37772ee90c9e5b0cc21e548b87c68]

automated merge from dba33e


2010-02-10  Helge Delfs [hde]  <hde@openoffice.org>  [9b6dad022950785f5cbc9b93352f6f372db3e08c]

cbosdo01: i108312: reworked for activation in test cycle


2010-02-10  Helge Delfs [hde]  <hde@openoffice.org>  [8ae81f637dbac7d1001ee49948e2d79441d15605]

cbosdo01: i108312: reworked function to select entrys in treelistbox


2010-02-10  Helge Delfs [hde]  <hde@openoffice.org>  [cf49d6890bb32973feba5de000df44f22e77728b]

cbosdo01: i108312: added test documents


2010-02-10  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [935d43a4ce1b60f993bf226dff5325dd6d8cdc5f]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/dba33e


2010-02-10  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [c41d101ca26e9c81b239bdcd0870de5e2bd65d75]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/dba33e


2010-02-10  Marc Neumann [msc]  <Marc.Neumann@sun.com>  [cef86edf8a8edbf884f92c7540e49a0d119a769c]

dba33e: #108973# reenable db_JDBCMySQL.inc


2010-02-10  Marc Neumann [msc]  <Marc.Neumann@sun.com>  [a5dd900f838eba68faf9111e0f8f73ec69adf449]

dba33e: #108973# reenable misc_Macro.bas


2010-02-10  Marc Neumann [msc]  <Marc.Neumann@sun.com>  [725e4c7413051efa5b93b040b87544f81da2640f]

dba33e: #108973# reenable misc_Macro.bas


2010-02-09  Thorsten Bosbach  <tbo@openoffice.org>  [aa6035ca1f740da31f8ed12beada1749abf6801d]

do not split product name at spaces


2010-02-09  Lars Langhans  <lla@openoffice.org>  [bdbe466c803f3fc6477ea1a6ab4742dbc3202381]

qadev40: #i106419# patch integrated


2010-02-09  Lars Langhans  <lla@openoffice.org>  [d006cdc298ffb6e3931f843a80f1c5c611f55ffd]

qadev40: #161119# refactoring


2010-02-09  Lars Langhans  <lla@openoffice.org>  [8db4a3dd4f344e268f0ead1833905ba3fd9eb967]

qadev40: #161119# cleanups


2010-02-09  Lars Langhans  <lla@openoffice.org>  [ede474eaaacfb42a4626d2e5ee3a68ffe8af4cf2]

qadev40: #161119# catch IllegalArgumentException


2010-02-09  Lars Langhans  <lla@openoffice.org>  [ac40a9f22e369d99429208705cdc297cf2f701c2]

qadev40: #161119# refactoring


2010-02-09  Lars Langhans  <lla@openoffice.org>  [044935aa9f0b39fc25ae77afeab9f9938d7cd26b]

qadev40: #161119# refactoring


2010-02-09  Lars Langhans  <lla@openoffice.org>  [ac03ae1e19c83c29a2d4053d7c26302e6be85d73]

qadev40: #161119# refactoring


2010-02-09  Lars Langhans  <lla@openoffice.org>  [e4380db9ec5f14fcfa6e4c32ccf3c01bcb52127e]

qadev40: #161118# cleanups


2010-02-09  Lars Langhans  <lla@openoffice.org>  [bac291ccb7e47b9063db2167e17ddef88d3decbc]

qadev40: #161118# cleanups, remove old main functions


2010-02-09  Lars Langhans  <lla@openoffice.org>  [6cb14e45530c253a1417108fcb9a58b6a3a98ddc]

qadev40: #161118# cleanups, new getter for major, minor, cwsname


2010-02-09  Lars Langhans  <lla@openoffice.org>  [bc62fb0d490f1d06caa07ff9a247ffd6d8d56b70]

qadev40: #161118# remove old main functions


2010-02-09  Lars Langhans  <lla@openoffice.org>  [d7bfed58054168ac8909a6463b52a994b84713ae]

qadev40: #161118# remove old main functions


2010-02-09  Lars Langhans  <lla@openoffice.org>  [57754d83608a65e46d4b2d52bca3dea67175b248]

qadev40: #161119# refactoring


2010-02-09  Lars Langhans  <lla@openoffice.org>  [0cba9cfc6b24b7c168edb7e48592ed81a6143ea2]

qadev40: #161119# refactoring


2010-02-09  Lars Langhans  <lla@openoffice.org>  [216d36e7e56bce1ec00a8708b122784bcea02fd7]

qadev40: #161119# refactoring


2010-02-09  Oliver Craemer  <oc@openoffice.org>  [c00b4e55c6a80e2ef79fb71a104290fb19fb7197]

#i108777# Automatic Tests for Hierarchical axes label


2010-02-09  Lars Langhans  <lla@openoffice.org>  [df87bcb7bb6ceda0447fd81b5cc6c7eac719de10]

qadev40: #161119# refactoring


2010-02-09  Oliver Craemer  <oc@openoffice.org>  [7c2616be73781e473a0dc9033ad825810144a03a]

#i108777# Automatic Tests for Hierarchical axes label


2010-02-09  Lars Langhans  <lla@openoffice.org>  [d8b22842109596b61e709a8b403a89225771f175]

qadev40: #161119# refactoring


2010-02-08  Andreas Bregas  <ab@openoffice.org>  [79a72c8d86ec6a4d1136a898dc5ebe48db057aca]

ab76: merge with DEV300_m71


2010-02-08  sb  <sb@openoffice.org>  [68aa09a7d38ccbfc11e9c709ac79ebb74e922374]

sb118: merged in DEV300_m71


2010-02-05  sb  <sb@openoffice.org>  [e1ab38a2fa876898058a62dfb4a8b6c4e9d29f1e]

sb118: take installation set from SHIPDRIVE if appropriate


2010-02-05  Vladimir Glazunov  <vg@openoffice.org>  [05ef5ce4e0ca71c81b31399619b2ed30ec6bb1e5]

CWS-TOOLING: integrate CWS svxsplit


2010-02-05  sb  <sb@openoffice.org>  [84965129bb28394ff5804261e93c374366db86a7]

sb111: merged in DEV300_m71


2010-02-05  ms93807  <ms93807@x4240-so5>  [edaa8db331ee113d6d2451eaabab9016bcf5bf09]

dba33e: #108973# refactor and code cleanup


2010-02-05  ms93807  <ms93807@x4240-so5>  [c7fd249afad5e6a9f269fff831bf2ae2602af0b5]

dba33e: #108973# refactor and code cleanup


2010-02-04  Mathias Bauer  <mba@openoffice.org>  [aefaedda2a45f6aa237a22e712c2621e642fd990]

CWS svxsplit: merge with m71


2010-02-04  Helge Delfs [hde]  <hde@openoffice.org>  [a1b070baea445168a46621d61035842ae392da5a]

cbosdo01: i108312: adaptions in testautomation for moving/removal of code


2010-02-04  Helge Delfs [hde]  <hde@openoffice.org>  [b3c12e40fa3c09acb18a6e5b647caf0380b79910]

cbosdo01: i108312: adaptions in testautomation for moving/removal of code


2010-02-04  Helge Delfs [hde]  <hde@openoffice.org>  [4662bc5e98f12cfb0695bf956734b2c344af6f0f]

cbosdo01: i108312: adaptions in testautomation for moving/removal of code


2010-02-03  Kohei Yoshida  <kyoshida@novell.com>  [b680d2e7ed17dfe020e53e7cda7b83ac96a708b2]

rebased to m71.


2010-02-03  Helge Delfs [hde]  <hde@openoffice.org>  [7fab50797507cad2111eb913c81eb4063c4853bb]

cbosdo01: i108312: adaptions in testautomation for moving/removal of code


2010-02-03  Helge Delfs [hde]  <hde@openoffice.org>  [67a391ebeb1c4dfd1777355f7b0b33d4ab0bb535]

cbosdo01: i108312: adaptions in testautomation for moving/removal of code


2010-02-03  Helge Delfs [hde]  <hde@openoffice.org>  [754f272242fe6072d6fb3adffafd450793dd8e6e]

cbosdo01: i108312: adaptions in testautomation for moving/removal of code


2010-02-03  Helge Delfs [hde]  <hde@openoffice.org>  [6dc3bb921cba8add476fa86ad6861c946f8e3452]

cbosdo01: i108312: adaptions in testautomation for moving/removal of code


2010-02-03  Helge Delfs [hde]  <hde@openoffice.org>  [fc59d1b87f2b59aa4390d2d5af6f9b89ce27717b]

cbosdo01: i108312: adaptions in testautomation for moving/removal of code


2010-02-03  Helge Delfs [hde]  <hde@openoffice.org>  [8539dca430b8a2a15f0fbe632ee730e8f4a393f9]

cbosdo01: i108312: adaptions in testautomation for moving/removal of code


2010-02-03  Helge Delfs [hde]  <hde@openoffice.org>  [7f2290d711225eeecd407ba83efc8b86be8ef411]

cbosdo01: i108312: adaptions in testautomation for moving/removal of code


2010-02-03  sb  <sb@openoffice.org>  [8113e06b9ccc289abd4183bbf6fa4b6c1ee3b41d]

sb118: reverted parts of HG -c 160b248247a0 again: the "static code executing before SAL_MAIN" problem was too severe; instead, globally set DBGSV_INIT build env var to new solenv/bin/dbgsv.ini


2010-02-03  sb  <sb@openoffice.org>  [aff3c30fc491250582bdcbff6506a1edcd938e56]

sb118: simplified from CppUnit::assertion_traits<rtl::OUString> to just std::basic_ostream::operator<< specialization


2010-02-01  sb  <sb@openoffice.org>  [d1d0e725514e44abe46c24430b8317f6da75c93b]

sb119: merged in DEV300_m70


2010-01-29  Kohei Yoshida  <kyoshida@novell.com>  [2d816b0d698ef2accac21dd93a8fcb30200e7e40]

rebased to m70


2010-01-29  sb  <sb@openoffice.org>  [b5bc702de9aa9f143c8f66659452c516df7d4a58]

sb118: #i108776# changed addsym.awk to also export STLport num_put symbols, and simplified it by requiring that first section is labeled UDK_3_0_0; adapted map files accordingly, replacing many individual ones with solenv/src templates


2010-01-29  Ivo Hinkelmann  <ihi@openoffice.org>  [e5d96e68ec51ea5eb55fc04b166c83e835230de7]

CWS-TOOLING: integrate CWS automation007


2010-01-29  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [cd46f1e40c2d3d7a941baf81893e02126563a2ab]

merge


2010-01-28  Ingrid Halama  <iha@openoffice.org>  [759a3438578481959d85a1a2a4b1cc24c05d630d]

chartmultiline: merge with DEV300_m70


2010-01-27  sb  <sb@openoffice.org>  [46603badc3228167c0dfb88bc80b2054ea1719a9]

sb118: changed tools/debug to never fall back from writing to shell to writing to file, and read DBGSV_INIT from rtl::Bootstrap; the latter causes problems if tools/debug is called from static code executing before SAL_MAIN has called osl_setCommandArgs -> removed statics from code and added assertions to osl/process; various improvements to smoketests.cxx (incl. passing an appropriate dbgsv.ini for non-pro builds)


2010-01-27  Ingo Schmidt  <is@openoffice.org>  [581839e2521f53cb76cdbd95d2982746d02c8504]

native0: committing this file, because someone else changed it in this cws, and obviously forgot to commit it ((IS and CD)


2010-01-27  Ingo Schmidt  <is@openoffice.org>  [3caae1c9a69c99821fdddca0916cbec9d7da8e06]

native0: committing this file, because someone else changed it in this cws, and obviously forgot to commit it ((IS and CD)


2010-03-25  Vladimir Glazunov  <vg@openoffice.org>  [3ed22890760fa74e2f1f6bb17d7d31f0677538ee]

CWS-TOOLING: integrate CWS tbo08


2010-03-24  tb121644  <tb121644@sr1-eham02-04>  [610e6fa69ec2dabf32ee68fc3c8a6a4b94efdf1e]

resbase m75


2010-03-23  Vladimir Glazunov  <vg@openoffice.org>  [326e81015a3a0b814f497d22505c8fada09ba412]

CWS-TOOLING: integrate CWS autorecovery


2010-03-22  Vladimir Glazunov  <vg@openoffice.org>  [a91d53a2f3d4e86b528798a07188b9b8d5799dc9]

CWS-TOOLING: integrate CWS koheicsvimport


2010-03-17  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [4ece703a9682266ecca4bf130ae5735d1987a9c9]

autorecovery: merge latest changes from CWS dba33e


2010-03-11  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [2f00baeada6768f9d8bb1dd6012da5b86a684b78]

autorecovery: merged changes from m74. Still need to find out how to re-do two patches (to module_hidden_ooo.scp and file_ooo.scp in scp2/source/ooo) which do not apply anymore.


2010-02-25  Marc Neumann [msc]  <Marc.Neumann@sun.com>  [d516b75c40801075f5661abf11bc23d883f633b0]

dba33e: #108973# fix sid/win declaration


2010-02-25  Marc Neumann [msc]  <Marc.Neumann@sun.com>  [69aa87afd57e273cf98113b8bdc89428587d1145]

dba33e: #108973# fix double win declaration


2010-02-24  Marc Neumann [msc]  <Marc.Neumann@sun.com>  [c6f777b5065eaeee02b5bf95d7f7327f83b355ae]

dba33e: #108973# reactivate testcases


2010-02-19  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [8fd1d9b5d3c975af0a92d4a41db2833d1ce2b2ec]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/dba33e


2010-02-18  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [bec45f0edad950290b7f310c1ffa0c4fc9ba77a2]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/dba33e


2010-02-18  Marc Neumann [msc]  <Marc.Neumann@sun.com>  [79cf8f50aa40f907660d27ed545b4eb03e8bbac3]

dba33e: #108973# reactivate testcases


2010-02-18  Marc Neumann [msc]  <Marc.Neumann@sun.com>  [2670fd86063c2755206289473ce709d9b9700b0e]

dba33e: #108973# refactor and code cleanup and minor fixes


2010-02-04  tb121644  <tb121644@sr1-eham02-04>  [3c8c5afdde88cab15642ec644406e5d9335a1860]

#i108832# guessing culprint


2010-01-29  Oliver Craemer  <oc@openoffice.org>  [eaaca4164280554a5ec4b5ea5420921a01430d32]

#i108733# Autotest for enhanced csv import


2010-01-29  Oliver Craemer  <oc@openoffice.org>  [08ed3387bfada44d566af79c643153dc982e2359]

#i108733# Autotest for enhanced csv import


2010-01-27  Ivo Hinkelmann  <ihi@openoffice.org>  [5d25218cd108752485933be260ed2f4abb6a6816]

CWS-TOOLING: integrate CWS swunolocking1


2010-01-27  Helge Delfs  <hde@openoffice.org>  [b6206dd23a44bd22c7a1dd5441c8d95008ffb172]

cbosdo01:#i107088#adaptions for removel of options in Autocorrection


2010-01-27  Joerg Skottke [jsk]  <jsk@openoffice.org>  [cf863de1ece9d52b1921fba7495614f8150965f4]

automation007: Try to fix broken unicode in StarOffice_help_topics_en-US.txt


2010-01-26  Michael Stahl  <mst@openoffice.org>  [cc5ff4f48f57d4f9114c72fb53b780ef2d776504]

merge DEV300_m70


2010-01-26  Joerg Skottke [jsk]  <jsk@openoffice.org>  [b604ca8145aa194cd28a39562638932688d83270]

automation007: Fix more filetypes with CRLF line terminators


2010-01-26  Joerg Skottke [jsk]  <jsk@openoffice.org>  [174ff8847c649921eb6d7ca59b0d162e4d6a3121]

automation007: Fix CRLF line terminators: .inc-files


2010-01-26  Joerg Skottke [jsk]  <jsk@openoffice.org>  [01f642c32a4be24f8e7c9baa0dbf9b43da251048]

Fix CRLF to LF


2010-01-26  Joerg Skottke [jsk]  <jsk@openoffice.org>  [0d82b3892da144cd86b2206a2f60d735da48c4eb]

automation007: Change CRLF to LF


2010-01-26  Joerg Skottke [jsk]  <jsk@openoffice.org>  [a0ed99b0d92718f12e606424a8b7b1d907929470]

automation007: Resolved unintended merge conflict


2010-01-26  Joerg Skottke [jsk]  <jsk@openoffice.org>  [a0ced00c1d819cebdabaf97e39ae0cd6b05014d3]

automation007: #i108644 - Remove warning for corrupted template, changed it to be a qaerrorlog. This needs more investigation as hHandleActivesOnLoad() cannot reliably identify the dialog it is dealing with.


2010-01-26  Joerg Skottke [jsk]  <jsk@openoffice.org>  [996784faab5058bfd2d285e5bd8fa6a4133cf0fc]

automation007: #i108653 - Added missing string for .uno:ValidityReference, changed QAErrorLogs to WarnLogs (those issues should be fixed some day)


2010-01-26  Joerg Skottke [jsk]  <jsk@openoffice.org>  [c5c4b085de862d57701eb7574d1ce22d1a6d50fb]

automation007: #i108650 - Fixed missing object for .setPage()-method. This may not be empty anymore


2010-01-26  Joerg Skottke [jsk]  <jsk@openoffice.org>  [17b0897d14c0f71b67e9db378d89f0b91c7892a4]

automation007: #i108643 - Updated help reference files


2010-01-25  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [1e9c94971e896b513fd11e195d09ff8f14c7b95e]

cbosdo01: merged with DEV300_m70


2010-01-22  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [f185b04683e33cfb6cdc8e83ae9a1250bef47582]

Automated merge with http://hg.services.openoffice.org/cws/dba33f


2010-01-22  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [7c1e0b4ca875956926f0614405d7303a4bef00a6]

dba33f: #i108548# extend SingleSelectQueryComposer appendFilterByColumn with additonal parameter


2010-01-21  Helge Delfs  <hde@openoffice.org>  [7b1a7d0f46aea8b803afcfe81dee1a5472380480]

svxsplit: i105547: adaptions in testautomation for moving/removal of code


2010-01-21  Mathias Bauer  <mba@openoffice.org>  [239edfe422a97a0c21b609f617902000e07502b3]

resync to DEV300_m70


2010-01-21  sb  <sb@openoffice.org>  [6a54f83c4300f96ffcca19ffc190a88aa2b9e361]

sb118: merged in DEV300_m70


2010-01-21  sb  <sb@openoffice.org>  [aa9832eca4ecc404b122aa38c1d2159b45c51941]

sb111: merged in DEV300_m70


2010-01-19  Kohei Yoshida  <kyoshida@novell.com>  [2b96e8c70e5e266a06dc7d4e63bab622a9494dbe]

rebased to DEV300_m69.


2010-01-19  Kohei Yoshida  <kyoshida@novell.com>  [469ad710baad041f5017909c2f4ec86dc66b0564]

Rebased to DEV300_m69.


2010-01-19  tb121644  <tb121644@sr1-eham02-04>  [86354571f93487ac2e25072e6fb7a1d56f6042eb]

#i106811# new global variable: gAutoUpdate


2010-01-18  sb  <sb@openoffice.org>  [437be0941613a7b0799fae89a1f649176f245e72]

sb119: merged in DEV300_m69


2010-01-18  Oliver Craemer  <oc@openoffice.org>  [4ef48e07f392832e5ef80d15f1aeb69677c1827a]

#i108418# wrong errorhandling in c_so7_pp1.bas


2010-01-18  Oliver Craemer  <oc@openoffice.org>  [0cea1dc02da50ec1f985cc5f19d806e5a32e1750]

#i108418# wrong errorhandling in c_so7_pp1.bas


2010-01-15  Kurt Zenker  <kz@openoffice.org>  [74619fa522aef84c01f5a417dc3ea3a4e8ccdc70]

CWS-TOOLING: integrate CWS printerpullpages


2010-01-15  Kurt Zenker  <kz@openoffice.org>  [c2f0da050fb7ea016d5ec8c9f84ed359290938c4]

CWS-TOOLING: integrate CWS dba33b


2010-01-15  Daniel Rentz  <dr@openoffice.org>  [6945e96b65fd8f8ca632f7c26cd6acd0e1d35fb4]

dr74: merge with DEV300_m69


2010-01-15  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [25b877d7c4b00437f62076ce90be5147b247426f]

Automated merge with file:///net/so-cwsserv01/export/cws/dba33e/DEV300/ooo


2010-01-15  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [333299819e485a92d37e323aaa258db0c5a2a39a]

dba33b: merge


2010-01-15  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [3bb6e7d33fee5190f33cf90742ee4dbfc0b048e1]

dba33b: merge m69


2010-01-14  Kurt Zenker  <kz@openoffice.org>  [60b2c630faebaada35743c9b606b0f6484b7a1fc]

CWS-TOOLING: integrate CWS automationdev300m69cat0


2010-01-14  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [1b94922e39ba5ee378ad2a3adca0247a88dbaa5c]

rebase to DEV300_m69


2010-01-14  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [aa22db38e1cf416de400d5e918d79791f2297720]

Automated merge with file:///net/so-cwsserv01/export/cws/dba33e/DEV300/ooo


2010-01-14  Joerg Skottke [jsk]  <jsk@openoffice.org>  [1dd0fec48101fdf9af46c7234bab54cc6ccc5854]

sb111: Fix missing kontext


2010-01-14  Joerg Skottke [jsk]  <jsk@openoffice.org>  [283b8395ec180fe13944dff48d2585561f6f8ebd]

Extended workaround by handling the possible copy-creation-dialog


2010-01-14  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [580501e7ea5a64f14eaf042f2067384c671ddccb]

Automated merge with file:///net/so-cwsserv01/export/cws/dba33e/DEV300/ooo


2010-01-13  sb  <sb@openoffice.org>  [3c3d1e4a9ad2d12cd2b43785755addcd5a46118a]

sb118: smoketestoo_native installation depends on installation archive file


2010-01-13  sb  <sb@openoffice.org>  [1268df64c6a6ad86d0a1fad1abc51d4b187165fd]

sb118: added -quickstart=no to allow XDesktop::terminate to succeed


2010-01-13  Helge Delfs [hde]  <hde@openoffice.org>  [01617708ddda5004780257ec021d219012a16922]

printerpullpages:i108219 checkbox 'LeereZellenDrucken' was removed from tabpage


2010-01-13  Thomas Lange [tl]  <tl@openoffice.org>  [78450b327fa50fd8e5a27993e96b766501534a8b]

merge


2010-01-13  Joerg Skottke [jsk]  <jsk@openoffice.org>  [1be895872df7c3bc0ece90acf468c2fe3c29709c]

printerpullpages: Fix for fix (endsub not defined in functions)


2010-01-13  Joerg Skottke [jsk]  <jsk@openoffice.org>  [c1fd2f5aaab9f6ab3377428822f748bb55ea4e12]

printerpullpages: Local merge


2010-01-13  Joerg Skottke [jsk]  <jsk@openoffice.org>  [6416ced39c48a4dfcfcd7848b70ef7845db81fe9]

printerpullpages: Fixed a potential timout problem when retrieving file list within filepicker


2010-01-12  sb  <sb@openoffice.org>  [13e9fdbbc19358189566d997d522fba80631567e]

sb118: #i108269# first step of removing tcsh support


2010-01-12  tb121644  <tb121644@sr1-eham02-04>  [eda3bf39e23bef50f799a6ab8edc98bbc35daedf]

#106268# patch & license upgrade


2010-01-12  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [7d284fcf865254e9fe19726376f0490358b2e991]

cbosdo01: merge with DEV300_m69


2010-01-12  Helge Delfs [hde]  <hde@openoffice.org>  [3c8a73949240a977b7b614ae7ef5cd4495e1846a]

automationdev300m69:i108257 [Automation][w_opt.bas]Compatibility test fails


2010-01-12  Oliver Craemer  <oc@openoffice.org>  [4ad912164bc794c0c579e8c19d6a14fe961abec8]

#i108260# get independent from OLE sequenz


2010-01-12  Joerg Skottke [jsk]  <jsk@openoffice.org>  [fe879102c7cadc76ed7747cca6c4077fdb05fb76]

sb111: Fix sMakeDocumentEditable() with a weird piece of code (should be API based, really!), removed duplicate function GetOLEDefaultNames() as an API based function is available (which probably needs fixing in this CWS as well)


2010-01-12  Oliver Craemer  <oc@openoffice.org>  [066691dcccf3667a177509883daaf8733dde9069]

#i108249# Change position of errorid in warnlog


2010-01-12  Joerg Skottke [jsk]  <jsk@openoffice.org>  [e27b66963fa24358e4b5195ac36090aadfeeae68]

sb111: Local merge


2010-01-12  Joerg Skottke [jsk]  <jsk@openoffice.org>  [b5f377bc18b7d19056e56e16013d0e941f50d3e2]

sb111: Better dialog handling for the Assign Macro dialog (using timeout now). Added slot <ContextProperties> to hUseAsyncSlot


2010-01-11  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [de50aaeb4b3d07c9d935d9646007331ef4949666]

dba33f: merge


2010-01-11  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [619132e6cccd8acd237154e6b3c314b56f45c29f]

printerpullpages: #i106219# latest updates


2010-01-11  sb  <sb@openoffice.org>  [b61cad188d356628410c113e5887697826f51fb2]

sb118: documentation


2010-01-09  sb  <sb@openoffice.org>  [5573ef26c842766de5bcced1aecc490adb2f8e84]

sb118: merged in DEV300_m69


2010-01-08  sb  <sb@openoffice.org>  [210079e68ebf922b7dff6f973ecb65bdcc1a92f1]

sb118: adapted new smoketestoo_native to Windows


2010-01-08  Michael Stahl  <mst@openoffice.org>  [069ca30a088a51cfab64ac009d1829d9df4c9285]

swunolocking1: #i107777#: qadevOOo: fix SwXDocumentIndex{,Mark}.java


2010-01-08  Oliver Craemer  <oc@openoffice.org>  [14012c3c5d976865e38b741bb2dbae4d26a9da83]

#i107842# ch2_updt_calc does not support CJK


2010-01-08  ms93807  <ms93807@x4240-so3>  [f831ea9821389eb212d379c5ded011f722c6e1b1]

dba33b : add sleep


2010-01-08  ms93807  <ms93807@x4240-so3>  [5ebded93efc7e7192c4f888770f52f14f1f8acf0]

dba33b : add sleep


2010-01-08  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [8d5415df41c73599253842cd53921b2f04a706e4]

dba33f: merge from dba33e


2010-01-08  sb  <sb@openoffice.org>  [dfd0e442e3562f0ea69291ff12a4e775396adf89]

sb111: merged in DEV300_m69


2010-01-06  Thomas Lange [tl]  <tl@openoffice.org>  [1c70ea9837e8c7fecdad8b9708876eb52c17381b]

cws tl74: merge with DEV300_m68; AND Unix LF conversion for some files!


2010-01-05  Mathias Bauer  <mba@openoffice.org>  [eac375a0fb8298816690dc0f731ae5c0ffefd543]

merge commit for m68


2010-01-05  Jens-Heiner Rechtien  <hr@openoffice.org>  [97138b2dc297c802389dc10aba1bc8a757dbbc23]

CWS-TOOLING: integrate CWS cmcfixes68


2010-01-05  sb  <sb@openoffice.org>  [abd215cd688a0f149530a9df05d8c4bd9cf3742f]

sb118: merged in DEV300_m68


2010-01-05  sb  <sb@openoffice.org>  [25724d781dfa2f819a76fc9c0d7b285aa796f6dc]

sb111: merged in DEV300_m68


2010-01-05  Jens-Heiner Rechtien  <hr@openoffice.org>  [d1aa275c896cf81c3b1cdd06ecbb0cea45b9aa08]

CWS-TOOLING: integrate CWS sb116


2009-12-18  sb  <sb@openoffice.org>  [531e25ebdf28797f7ba5ce38e7bb26c9fb57ee46]

sb118: work in progress of a simplified smoketestoo_native


2009-12-18  Joerg Skottke [jsk]  <jsk@openoffice.org>  [83b91a25f60f2e5fe8d26687f8f1716f4c1a32bc]

printerpullpages: #i103052 - delete removed contronls from .win files


2009-12-17  Joerg Skottke [jsk]  <jsk@openoffice.org>  [fbcd846a43893e653e9bd5ca00983919095f6fe5]

printerpullpages: Removed warnings and errors from update test g_printing.


2009-12-16  Jens-Heiner Rechtien  <hr@openoffice.org>  [d18b36ab6e434950bfdf924fe064988ca66d2f64]

tl74: merge with DEV300 m60


2009-12-15  Vladimir Glazunov  <vg@openoffice.org>  [a4c3d4832058660854aadbc03b45f4c285dc1983]

CWS-TOOLING: integrate CWS jl146_DEV300


2009-12-15  Vladimir Glazunov  <vg@openoffice.org>  [5692b34a9e5cad3d99c9d84c6e91038c8dbfcd82]

CWS-TOOLING: integrate CWS fwk132_DEV300


2009-12-12  Joerg Skottke  <jsk@openoffice.org>  [3a00f39808f16d9811ba554aec73766841e98afb]

fwk132: <no issue> Found coding error, corrected


2009-12-11  Vladimir Glazunov  <vg@openoffice.org>  [43cc785888955b80351727c58123a61da93af7d3]

CWS-TOOLING: integrate CWS fwk129_DEV300


2009-12-11  Joerg Skottke  <jsk@openoffice.org>  [7a498527a33e7e4bf0baf28ae9fa4dd9a75f98d7]

jl146: #i107038 - The page is now centered so the workarounds for UNIX(like) OS are no longer required. Fixed one timing issue in a tools library


2009-12-11  Helge Delfs  <hde@openoffice.org>  [afc1c87be429cd936aae142ce1fc0c94c0118b93]

reverted previous changes


2009-12-11  Helge Delfs  <hde@openoffice.org>  [4242d05582139a7ced595ca8dd0a35222cf7c9b9]

Introduce new sub to change default page layout


2009-12-11  Helge Delfs  <hde@openoffice.org>  [7ee53dc1370152d3db93680b78bed3aad6b6f812]

Introduce new sub to change default page layout


2009-12-10  Vladimir Glazunov  <vg@openoffice.org>  [ee4fd37c2a2482911f1214233f3afa6ee9590309]

CWS-TOOLING: integrate CWS automationdev300m61


2009-12-10  sb  <sb@openoffice.org>  [0c209e49932c6856a8a5ee3f5b5231a56e777aeb]

sb111: merged in DEV300_m67


2009-12-10  Helge Delfs  <hde@openoffice.org>  [ad556334a87beeb91e04a9263d9dd9a7844f27f6]

FIX: initial dialog closed that opened after loading document, close all documents at end of testcase


2009-12-10  Joerg Skottke  <jsk@openoffice.org>  [ad7070068ad03803548ff140b431b4764230a147]

jl146: #i107038 - Added call to ViewZoom at the end of hNewDocument() for Writer documents


2009-12-10  Helge Delfs  <hde@openoffice.org>  [641aa7dac02fdebe6fa239a87830e405faea350c]

FIX: selection of tabpage failed


2009-12-10  Joerg Skottke  <jsk@openoffice.org>  [e123c676d3ea5f1e447f305cb41fe007bd64f8fe]

jl146: #i107038 - Reverting changes made for the given issue as it is no longer reproducible in a m7.


2009-12-10  Helge Delfs  <hde@openoffice.org>  [39b61dd86937098ea407c5b7d0767a2acb3a0ebe]

FIX: document must'nt be read only, export Filter fixed


2009-12-10  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [4a28ec1202b364311431a2640cb82d63765b304a]

dba33d: merge with DEV300_m67


2009-12-09  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [52182541698150244f98d7de084e6c4f9f0b5e5e]

dba33b: merge CWS head with head resulting from pulling DEV300_m67


2009-12-09  Vladimir Glazunov  <vg@openoffice.org>  [d1614423bed90559f4c90d147f7ffd53410592c0]

CWS-TOOLING: integrate CWS killnonpro


2009-12-09  Joerg Skottke  <jsk@openoffice.org>  [f22712609a5d216e58ac0852b50f632168ba4458]

jl149: #i107548 - e_extensions.bas was unable to handle root-installations. Now we identify the installation target directory messagebox (which only pops up if the user has the rights to install into shared layer). Otherwise we skip.


2009-12-09  Joerg Skottke  <jsk@openoffice.org>  [3b8c3df4378c06d379cbd9ef769147dc8fbb53d1]

sb146: #i107548 - Replacing publisher.inc with the version from cws sb111 (which brings dynamic waiting plus extra time for unopkg add to complete)


2009-12-07  Thomas Benisch  <tbe@openoffice.org>  [ff4ed1525dd4f7e464e9f98947c0bfaa4ec6df5c]

chartshapes: merge with DEV300_m66


2009-12-07  sb  <sb@openoffice.org>  [361927798f2dcb2f43ad82c47aec3d7437757a68]

merged in DEV300_m66


2009-12-05  Mathias Bauer  <mba@openoffice.org>  [5b333a8751aa805d83027f945e6eac51ef2e0ab1]

merge to m67


2009-12-04  Kurt Zenker  <kz@openoffice.org>  [a8dd183cc609177551403822375e7c2eef4d3ffa]

CWS-TOOLING: integrate CWS automationooo320m6_DEV300


2009-12-04  Kurt Zenker  <kz@openoffice.org>  [7549e5e74ffabf29186f7e5d60ac597d8a2f09f5]

CWS-TOOLING: integrate CWS dv16_DEV300


2009-12-04  Kurt Zenker  <kz@openoffice.org>  [b5d17d081f9d7e30097a077c2212c9421b4fc0fd]

CWS-TOOLING: integrate CWS dba32j_DEV300


2009-12-04  Joerg Skottke [jsk]  <jsk@openoffice.org>  [465672fe13c52100950e5efe6be59436f068e51b]

sb111: <no issue> Removed invalid warning (the issue has been resolved on OOo320 but the warning was not removed for DEV300 scripts


2009-12-04  skotti  <skotti@buster.gleitmeier.de>  [177c22f7a9a79ba0830b96f0f226e0f05348824d]

sb111: <no issue> Fixed incorrect use of .notExists() method which caused the office to crash under certain circumstances


2009-12-03  Kurt Zenker  <kz@openoffice.org>  [20b45da8f30a0ba7d769eb3454e19adaa74f3413]

CWS-TOOLING: integrate CWS automationooo320m5cat0_DEV300


2009-12-03  Kurt Zenker  <kz@openoffice.org>  [3d0c0c58e21e39be271293b640455aeb51251a6c]

CWS-TOOLING: integrate CWS fwk125_DEV300


2009-12-03  Kurt Zenker  <kz@openoffice.org>  [289aa65d1fc2ba3f76e4de9005cbfce917fd94c1]

CWS-TOOLING: integrate CWS validityref


2009-12-03  Kurt Zenker  <kz@openoffice.org>  [d199130330be69079db40726fd7786facdeb0bc0]

update to current version


2009-12-03  skotti  <skotti@buster.gleitmeier.de>  [b051a76293b842de85656c60e0dc792bbc553982]

sb111: <no issue> Removed invalid warnlog from f_basic_documents


2009-12-03  skotti  <skotti@buster.gleitmeier.de>  [68d2fbbe761dcfc9fdfed747774983bab435bc53]

sb111: <no issue> Fixed timing issue in e_publisher.bas which is also present on MWS


2009-12-03  Kurt Zenker  <kz@openoffice.org>  [3f3973e54df476ecd7448843b3b26a423beb19e1]

CWS-TOOLING: integrate CWS gridcontrol_02


2009-12-02  Kurt Zenker  <kz@openoffice.org>  [0fa00eb64729d6cbbb51b997c22b21c594c2a166]

CWS-TOOLING: integrate CWS automationOOO320m4_DEV300


2009-12-02  Kurt Zenker  <kz@openoffice.org>  [ad71de8cb1d745606406f437398b45475e2912ae]

CWS-TOOLING: integrate CWS automationOOO320m3_DEV300


2009-12-02  Mathias Bauer  <mba@openoffice.org>  [d9773d353bcdc0c185a4637c61e4815715d4f756]

merge with db33a


2009-12-02  mb93783  <mb93783@v60x-so15.Germany.Sun.COM>  [c56fc0cba9a91b14e85a4e3d45333494848f1d16]

merge to m66


2009-12-02  Joerg Skottke  <jsk@openoffice.org>  [0585441989b6fdb376f5b4a010b6a53170424a7e]

fwk129: #i105719 - Fixed file size, wording and timing


2009-12-01  mb93783  <mb93783@X42-SO17.germany.sun.com>  [5646376353233df5a21c404bea4c6ce9748b59be]

fixed warning in 64Bit builds


2009-12-01  sb  <sb@openoffice.org>  [d07c01c4d20b178488fc16de1ab5926fe6f3af8c]

sb111: merged in to-the-side QA fixes


2009-12-01  Kurt Zenker  <kz@openoffice.org>  [0b1eb415b5a0d641ed4410fc24bee07eae74cc43]

CWS-TOOLING: integrate CWS dba33a


2009-12-01  skotti  <skotti@buster>  [112a510acacfc293ad7971acbc3cf0d9e2344be8]

sb111: <no issue> Bring documentation up to date, reenable warnlog for excluded test case (was disabled for OOo 3.2)


2009-12-01  skotti  <skotti@buster>  [1ead33813d150678f9af5954e9b49aa47c8b4964]

sb111: <no issue> Minor, non critical refactoring, done while reviewing test case for this CWS


2009-12-01  Caolán McNamara  <cmc@openoffice.org>  [ffdd4c934bc56adfe138c0007aa2bfb02612afda]

cmcfixes68: #i107182# ppc fix argument passing in a rare case


2009-12-01  Caolán McNamara  <cmc@openoffice.org>  [82b88fd94e2aa62a7a7034b2990c44e4d2ef34d9]

cmcfixes68: merge with DEV300 m66


2009-12-01  Oliver Bolte  <obo@openoffice.org>  [80363aa5524b8d438d60181ecf4a6d3c2595436e]

CWS-TOOLING: integrate CWS dba32j 2009-11-26 09:30:10 +0100 msc  r277648 : #100000 fix urgent testscript error 2009-11-25 10:27:56 +0100 msc  r277625 : #i100000 fix urgent testscript error 2009-11-17 22:16:46 +0100 fs  r277544 : CWS-TOOLING: rebase CWS dba32j to branches/OOO320@277531 (milestone: OOO320:m5) 2009-11-17 14:26:47 +0100 fs  r277535 : ooops, didn't mean to commit this uncommented line 2009-11-14 20:50:29 +0100 fs  r277505 : add a --disable-pango switch to SM's configure options, and add a patch which makes certain code respect it (well, respect it better than currently, by not using some pango_x_* functions, which are not always available, even when pango itself is present) 2009-11-14 20:47:41 +0100 fs  r277504 : spelling 2009-11-13 14:04:00 +0100 fs  r277502 : #i100764# (commit approved by ab@openoffice.org): getModelFromBasic: do not start with the parent's parent when looking for ThisComponent, but walk up the anchestor chain, starting with the immediate parent 2009-11-13 11:04:15 +0100 fs  r277496 : #i100764# better heuristics for determining whether or not to participate in the ThisComponent game 2009-11-13 11:02:30 +0100 fs  r277495 : #i100764# set the WB_EXT_DOCUMENT style at the backing component's container window, when creating it without the TaskCreator (which would normally do this) 2009-11-11 13:49:11 +0100 fs  r277452 : #i106816# 2009-11-11 13:48:53 +0100 fs  r277451 : fix the CREATETARBAL target, which is expected to create the zips used as prebuilts. The *inc.zip missed the NSS files in case NSS was built externally 2009-11-11 12:15:34 +0100 fs  r277449 : update ignore list 2009-11-11 12:09:23 +0100 fs  r277448 : add a link to the Mozilla build tools download location 2009-11-11 12:07:16 +0100 fs  r277447 : add a link to the Mozilla build tools download location 2009-11-06 16:23:12 +0100 fs  r277393 : #i106643# 2009-11-03 23:20:29 +0100 fs  r277328 : #i106574# reverted the recent fix for issue #i105235#, and implemented a better one. 2009-11-02 12:59:48 +0100 fs  r277294 : #i106550# errorOccured: also display the error when we're not in a nested form action - form actions are allowed to be triggered by other instances as well


2009-11-30  Joerg Skottke  <jsk@openoffice.org>  [7a3f18d9efe9d57117fb213c4c93cf2fe154d18c]

<no issue> Remove invalid warning from testcase


2009-11-30  oc93805  <oc93805@x4240-so3>  [442ebdfee8514707e84b277c23ea0cb3b8dab71d]

validityref: #i107311# - New test for data validity


2009-11-27  Jens-Heiner Rechtien  <hr@openoffice.org>  [5a366cae86b5aadaf3b2fc645b81eab9469503a4]

dba33a: summary migration from SVN

2009-11-06 13:10:39 +0000 msc  r277387 : minor fix for automatic test
2009-11-06 13:09:33 +0000 msc  r277385 : minor fix for automatic test
2009-11-06 12:30:57 +0000 fs  r277383 : argh. On some virtual machines, waiting 5 seconds for the event to arrive is not enough. Increasing the timeout ...
2009-11-06 12:13:34 +0000 fs  r277382 : this diagnostic code should not have slipped in
2009-11-05 13:21:06 +0000 fs  r277369 : SHL2NOCHECK=TRUE (requested by hjs)
2009-11-04 14:09:46 +0000 msc  r277355 : minor fix for automatic testing
2009-11-04 13:23:02 +0000 msc  r277352 : minor fix for automatic testing
2009-11-04 10:53:28 +0000 msc  r277341 : minor fix for automated testscript
2009-11-04 08:30:58 +0000 msc  r277333 : minor fix for automatic test
2009-11-04 08:15:43 +0000 msc  r277332 : minor fix for automatic test
2009-11-03 14:25:44 +0000 fs  r277324 : #i10000#
2009-11-03 09:47:47 +0000 fs  r277315 : found yet another help ID zombie ... moved formhelpid.hrc content to propctrlr.hrc, where it belongs
2009-11-03 08:50:24 +0000 fs  r277312 : use createTempFileURL, which cares for some more specialities ...
2009-11-03 08:44:55 +0000 fs  r277311 : when creating a temp file for purpose of getting a temp file URL, the delete the file immediately. On some machines/JVMs, the file exists, with write access denied, which isn't Good (TM)
2009-10-22 13:06:17 +0000 fs  r277126 : removed wrong assertion
2009-10-21 08:10:35 +0000 fs  r277077 : reverted the previous change, which was nonsense
2009-10-21 07:19:43 +0000 fs  r277076 : export the component_foo functions, now that some of the objects are built with VISIBILITY_HIDDEN=TRUE
2009-10-21 07:08:35 +0000 fs  r277075 : spare useless call
2009-10-20 21:26:31 +0000 fs  r277072 : #i10000#
2009-10-20 08:06:04 +0000 fs  r277039 : CWS-TOOLING: rebase CWS dba33a to trunk@277035 (milestone: DEV300:m62)
2009-10-16 09:55:25 +0000 fs  r276960 : remove one of the superfluous implts_doLayout calls introduced with the previous patch
2009-10-15 13:18:52 +0000 fs  r276941 : removed the basic tests. According to cn, they're not used anymore (for a long time), and according to 'du -h', they take up 6.0M on my hard disc. For too much for useless code, /me thinks.
2009-10-15 13:06:51 +0000 fs  r276940 : #i10000# remove useless include (otherwise the compiler warning it provokes would need to be fixed by declaring VISIBILITY_HIDDEN=TRUE in the makefile.mk)
2009-10-15 12:52:39 +0000 fs  r276939 : #i10000#
2009-10-15 12:44:26 +0000 fs  r276938 : #i10000#
2009-10-15 12:00:33 +0000 fs  r276936 : #i10000#
2009-10-15 10:31:37 +0000 fs  r276934 : #i105259# prepare for the Hidden arg
2009-10-15 10:31:05 +0000 fs  r276933 : IsMaximized -> const
2009-10-15 09:50:15 +0000 fs  r276932 : during #i105259#:
introduce an option to the layout manager to preserve, if possible, the size of the content window
when layouting. Enable this option for embedded (SFX-based) documents opened for outplace editing.
(the option is incompatible with in-place editing, anyway)
This is because such embedded objects couple the (content) window size to the VisAreaSize, in that
both are used interchangeably. When an embedded object is closed, it remembers the VisAreaSize,
and restores it upon next open. This, however, leads to different content window sizes when the
window is closed with another toolbar set than used during opening.
This patch here prevents those different content window sizes. Also, now the content window size
doesn't change when, explicitly or implicitly, a toolbar is shown or hidden. Instead, the content
window size stays the same, and the container window size is adjusted.
2009-10-15 09:32:41 +0000 fs  r276931 : during #i105259#: UNO access to more attributes of top windows
2009-10-15 09:30:28 +0000 fs  r276930 : indention corrected (better readable)
2009-10-15 09:26:46 +0000 fs  r276929 : during #i105259#: access to more attributes of top windows
2009-10-14 10:04:39 +0000 fs  r276889 : connecting via services manager, not naming service
2009-10-12 11:31:08 +0000 fs  r276831 : during #i105806# FillPropertySet: do not attempt to set *AutoStyleName if it doesn't exist
2009-10-12 11:24:44 +0000 fs  r276830 : #i105806# getPropertyValue: throw an UnknownPropertyException for, well, unknown properties
2009-10-08 08:20:58 +0000 fs  r276774 : implSubmit: re-throw WrappedTargetExceptions unmodified
2009-10-07 19:19:42 +0000 fs  r276770 : #i105198# do not pass an CommandType if we do not have a command
2009-10-07 17:39:36 +0000 fs  r276768 : export the OWeakObject::disposeWeakConnectionPoint symbol
2009-10-07 12:59:17 +0000 fs  r276754 : #i87693#
2009-10-07 11:19:22 +0000 fs  r276752 : #i10000#
2009-10-07 10:21:08 +0000 fs  r276748 : #105482# do not require a controller, at least not in *all* circumstances (executed reports have a model, the ReportDefinition, but no Controller)
2009-10-07 10:04:08 +0000 fs  r276747 : copying the changes from CWS fwk121 herein, in particular the fix for
issue #i105371#
2009-10-07 09:58:30 +0000 fs  r276746 : copying the changes from CWS fwk121 herein, in particular the fix for
issue #i105371#
2009-10-07 09:48:14 +0000 fs  r276744 : removed (now) pointless assertion
2009-10-07 06:59:19 +0000 fs  r276740 : export the OWeakObject::disposeWeakConnectionPoint symbol
2009-10-07 06:44:43 +0000 fs  r276739 : OComponentHelper::release & WeakAggComponentImplHelperBase::release:
when our ref count drops to 0, call OWeakObject's disposeWeakConnectionPoint before (temporarily) incrementing
the ref count, again. This ensures that our adapter cannot create references to the dying object anymore.
(A complex test case in dbaccess (#i105505#) triggered such a situation, but in another class using an analogous
release/dispose/destroy pattern, namely WeakComponentImplHelperBase)
2009-10-07 06:37:20 +0000 fs  r276738 : found during some new complex test cases: call disposeWeakConnectionPoint before actually starting to destroy the object, this ensures no other threads will resurrect it while it is dying
2009-10-06 21:58:24 +0000 fs  r276734 : oops, two small corrections to the previous fix (hey, complex test cases are cool)
2009-10-06 21:51:16 +0000 fs  r276733 : log the name of the data source which cannot be revoked
2009-10-06 21:50:41 +0000 fs  r276732 : more detailed error message when cleanup fails
2009-10-06 21:50:01 +0000 fs  r276731 : reworked the ModelImpl caching. The new and improved UNO API test for css.sdb.RowSet
revealed some inconsistencies, in whether the objects are cached by their URL, or by their
registration name. This has been changed to caching by registration name.
2009-10-06 13:50:34 +0000 fs  r276714 : print diagnostics when we cannot clean up the test case
2009-10-06 13:45:02 +0000 fs  r276713 : this test failed all the time, since the core (rightfully) threw an exception. Disabled it for the moment, until issue 84253 is fixed
2009-10-06 12:52:46 +0000 fs  r276711 : rewrote this test. Now we do not re-use the same .odb across different test cases, as this leads to unreliable
(timing-dependent) results/failures. Instead, every test sets up a new odb file.
Also, did some re-factoring, improved the cleanup code, and caught a few more errors.
2009-10-06 12:51:07 +0000 fs  r276710 : DBTools taking a logger now
